angular.module('starter.controllers', ['OPERATION_REMIND', 'User'])
  .controller('HomeCtrl', function ($scope, $ionicNativeTransitions, $interval, $ionicGesture, $cordovaNetwork, $state, $rootScope, WebSql, Mes, MesDom, $compile, $timeout, $cacheFactory, Plan, Loading, userService, $stateParams, $cordovaLocalNotification, $ionicScrollDelegate, drugService, /*tipService,*/ $ionicSlideBoxDelegate, MY_MAP, $ionicPopup,$sce) {
    /* $timeout(function(){
     if(localStorage.getItem("inviteFlag").length>2)
     {
     console.log("注册页面传过来的参数："+localStorage.getItem("inviteFlag"));
     $scope.invite();
     localStorage.removeItem("inviteFlag");
     }
     },500);*/
//Plan.start_minute_interval();
    //地图坐标初始化
    MY_MAP.init();
    var toUser = "";
    $scope.form = {
      start: 1,
      count: 3,
      has_more: true,
      hideProblem: true,
      offline: false   //是否离线
    };

    $rootScope.$on('$cordovaNetwork:online', function (event, networkState) {
      console.log("网络重新连接了...");
      $scope.form.offline = false;
    });

    $rootScope.$on('$cordovaNetwork:offline', function (event, networkState) {
      console.error("网络断开...");
      $scope.form.offline = true;
    })

    //IOS上手机权限提示隐藏
    if ($rootScope.os == "Android") {

    } else {
      $scope.form.hideProblem = false;
    }

    $rootScope.$on('logout', function (evt, data) {
      if (window.cordova) {
        $cordovaLocalNotification.clearAll().then(function (data) {
          console.log("清楚本地闹铃22", data);
        }, function (e) {
          console.log("清楚本地闹铃", e);
        });
      }
      //清除产品信息缓存
      var product_cache = $cacheFactory.get('product');
      if (product_cache) {
        product_cache.destroy();
      }
      $('.z_diaryWrap').remove();
      // mes_cache.remove('all');
    });

//        $rootScope.$on('DAY_CHANGE', function (evt, data) {
//            $scope.getMes();
//        });


    $scope.scan_report = function () {
      //alert('浏览报表');
    };

    //跳转到咨询页面
    $scope.goConsult = function (e) {
      console.log('进入咨询界面');
      $ionicNativeTransitions.stateGo('doctor_consult', {backUrl: 'tab.home'}, {
        "type": "slide",
        "direction": "left", // 'left|right|up|down', default 'left' (which is like 'next')
        "duration": 400 // in milliseconds (ms), default 400
      });

    }


    $scope.myProduct = function () {
      if (!$rootScope.token) //未登陆跳到登陆页面
      {
        $ionicNativeTransitions.stateGo('g_load', {backUrl: 'tab.home'}, {
          "type": "slide",
          "direction": "left",
          "duration": 500
        });
        return false;
      }
      $ionicNativeTransitions.stateGo('g_my_product', {backUrl: 'tab.home'}, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    };

    $scope.expect = function(){

     var check = $ionicPopup.show({
        template: '<div class="z_addSucc" style="background: #fff; border-radius: 10px;">敬请期待...</div>',
        scope: $scope
      });
      $timeout(function() {
        check.close(); //由于某种原因3秒后关闭弹出
      }, 1000);
    };
    /**
     * 分享到微信（供其他函数调用）
     * @param p_scene 场景：朋友圈，微信好友
     */
    $scope.shareWechat = function (p_scene,articleId) {
      Wechat.isInstalled(function () {
        var title = $scope.form.title;
        if (!title) {
          ErrorShow("标题不能为空！");
          return;
        }
        //测试库链接
        //alert("首页分享页面传来的值",articleId);
        var url = $rootScope.reqUrl + "/share/news.htm?articleId=" + articleId;
        var desc = text;  //分享描述
        var thumb = $rootScope.reqUrl + "/app/img/healthpatient.png";
        var msg = {
          message: {
            title: title,
            description: desc,
            thumb: thumb,
            media: {
              type: Wechat.Type.WEBPAGE,
              webpageUrl: url
            }
          },
          scene: p_scene
        }

        Wechat.share(msg, function (data) {

          drugService.addShareNumService($stateParams.id).then(function (data) {
            //$rootScope.speciallyShareNum = data[0].shareNum;
            var temp = $stateParams.id;
            $scope.$emit("SHARE_MODIFY",data,temp);
            //$scope.queryWonderfulArticle();
          }, function (e) {
            console.error(e);
          });
          var type = p_scene == Wechat.Scene.TIMELINE ? 0 : 1;
          console.info("data", data);
        }, function (error) {
          console.error("error:", error);
        });

      }, function () {
        alert('请安装微信客户端');
      });
    };
    //分享到QQ
    $scope.qqShare = function () {
      YCQQ.checkClientInstalled(function () {
        var title = $scope.form.title;
        if (!title) {
          ErrorShow("标题不能为空");
          return;
        }
        var args = {};
        //正式库链接
        var reqUrlQQ = '';
        if ($rootScope.reqQQAppid == '101327838') {
          reqUrlQQ = 'appdemo.sinoicity.com';//测试库
        } else {
          reqUrlQQ = 'wx.sinoicity.com';//正式库
        }
        args.url = $rootScope.reqUrl + "/share/news.htm?articleId=" + $stateParams.id;
        args.title = title;
        args.description = text;
        args.imageUrl = "http://appdemo.sinoicity.com:8080/HealthMonitor/app/img/healthpatient.png";
        args.appName = "心常态";
        YCQQ.shareToQQ(function () {
          drugService.addShareNumService($stateParams.id).then(function (data) {
            //$rootScope.speciallyShareNum = data[0].shareNum;
            var temp = $stateParams.id;
            $scope.$emit("SHARE_MODIFY",data,temp);
            //$scope.queryWonderfulArticle();
          }, function (e) {
            console.error(e);
          });
          console.log("进如sharetoQQ方法");
        }, function (failReason) {
          console.error("failReason:", failReason);
        }, args);
      }, function () {
        ErrorShow('请安装QQ客户端');
      });

    };

    //分享到朋友圈
    $scope.weiboShare = function () {
      $scope.shareWechat(Wechat.Scene.TIMELINE);
    };


    //分享给微信好友
    $scope.weixinShare = function (articleId) {
      console.log("获取首页点赞获取的文章ID",articleId);
      $scope.shareWechat(Wechat.Scene.SESSION,articleId);
    };

    $scope.review = function(){
      $ionicPopup.show({
        template: '<div class="z_addSucc" style="background: #fff; border-radius: 10px;">敬请期待...</div>',
        scope: $scope
      });
    };

    //----------------------------------------

    var cache = $cacheFactory.get($state.current.name);
    if (!cache) {
      cache = $cacheFactory($state.current.name);
    }
    /*  $scope.play=function(){
     alert("11");
     $("#music").attr("src","sound/pillbox.mp3");
     var mp3=$("#music")[0];
     mp3.play();
     }*/

    // $scope.$on("$ionicView.enter", function (scopes, states) {
    //   var cache = $cacheFactory.get('tab.pillbox');
    //   if (!cache) {
    //     cache = $cacheFactory('tab.pillbox');
    //   }
    //   console.log(cache.get('network_error'));
    //   //如果页面存在失败标志进入404页面
    //   if (cache.get('network_error')) {
    //     //$scope.getPlanList();
    //   }
    // });

    MY_MAP.init();
    var toUser = "";
    var method = "effect";
    $scope.flag = {deleting: false, is_empty: false};
    $scope.form = {flag: true, title: '我', refresh: false};
    var plans = [];//计划数组

    //全局缓存
    var user_cache = $cacheFactory.get('user');
    if (!user_cache) {
      user_cache = $cacheFactory('user');
    }

    /**
     * 初始化用户缓存
     */
    var likUser = user_cache.get('likUser');
    if (!likUser) {
      likUser = {
        toUser: '',
        userName: '我',
        headImg: $rootScope.user && $rootScope.user.headImg ? $rootScope.user.headImg : 'img/z_sysHeadPic.png',
        gender: $rootScope.user && $rootScope.user.gender == 1 ? '男' : '女'
      },
        user_cache.put('likUser', likUser);
    }
    $scope.likUser = likUser;
    //console.log("plans缓存",user_cache.get('plans'));
    /**
     * 从缓存获取计划列表，若不存在则请求网络
     */
    /* var plan_cache=user_cache.get("plans");
     if(!plan_cache)
     {
     boxService.viewPillBox(method, toUser).then(function (data) {
     $scope.list = data.list;
     user_cache.put("plans", data.list);
     }, function (error) {
     console.log(error);
     });
     }*/
    /**
     * 收到登录的广播
     */
    $rootScope.$on('login', function () {
      console.log("收到登录成功的广播在药盒");
      user_cache = $cacheFactory.get('user');
      alarm_users = user_cache.get("alarm_users");
      if (!alarm_users) {
        drugService.getUser().then(function (data) {
          user_cache.put('alarm_users', data.list);
          $scope.users = data.list;
        }, function (error) {
        });
      }

      //
      $timeout(function () {
        $scope.form.title = '';
      });

    });

    /**
     * 跳转到医院界面
     * @param type 类型 药店、医院
     */
    $scope.goHospital = function (type) {
      $ionicNativeTransitions.stateGo('nearbyhospital', {type: type, backUrl: 'tab.home'}, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    };



    $rootScope.$on('REFRESH', function () {
      console.log('监听刷新药盒广播');
    });

    //获取提醒用户id
    $scope.getUserId = function (id, name, header, gender) {
      /*            if (id == toUser) {
       return;
       }*/
      $scope.form.title = name;
      $scope.likUser.toUser = id;
      $scope.likUser.userName = name;
      $scope.likUser.headImg = header;
      $scope.likUser.gender = gender;
      user_cache.put('likUser', $scope.likUser);
      console.log($scope.likUser);
      $scope.getPlanList(id);
      /* boxService.viewPillBox(method, id).then(function (data) {
       $scope.list = data.list;
       plans = data.list;
       if ($scope.list.length == 0) {  //判空
       $("#emptyBox").show();
       } else {
       $("#emptyBox").hide();
       }
       user_cache.put("plans_", data.list);
       console.log($scope.list);
       }, function (error) {
       console.log(error);
       });*/
    };
    $scope.addUser = function () {
      $ionicNativeTransitions.stateGo('g_my_information', {backUrl: 'tab.pillbox'}, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    };


    $rootScope.$on("logout", function () {
      console.log("监听注销事件");
      $scope.list = [];
      $scope.likUser = {};
//            $scope.form.title='我';
//            console.log("收到注销事件，设置title",$scope.form.title);
    });



    /**
     * 播放音频（备忘）
     */
    $scope.audioPlay = function (index) {
      console.log("index:" + index + "\n")
      $("#audio_" + index)[0].play();
    };

    /**
     * 停止用药
     */
    var planId, index;
    $scope.stopPlan = function (p, i) {
      $("#ZHEZHAO").show();
      $("#box_msg").show();
      planId = p;
      index = i;    //界面传过来的索引

      $("#ZHEZHAO").click(function (e) {
        e.stopPropagation;
        $("#ZHEZHAO").hide();
        $("#box_msg").hide();
      });
    };

    /*    $scope.cancel = function () {
     $("#ZHEZHAO").show();
     $("#box_msg").hide();
     };*/
    $("#cancel").click(function () {
      $("#ZHEZHAO").hide();
      $("#box_msg").hide();
    });

    $("#confirm").click(function () {
      for (var i = 0; i < plans.length; i++) {
        if (plans[i].id == planId) {
          var result = plans.splice(i, 1);
          $("#ZHEZHAO").hide(); //用绑定不能实时显示出来
          $("#box_msg").hide();
          console.log(result);
          boxService.stopDrug(planId).then(function (d) {
            //$("#plan_" + index).remove();
            $scope.list = plans;
            console.log($scope.list.length);
            if ($scope.list.length == 0) {  //判空
              $("#emptyBox").show();
            } else {
              $("#emptyBox").hide();
            }
            $scope.$emit("RESET_ALARM");
            $scope.$emit("RELOAD_MESSAGE"); //通知主页面
            console.log(d);
          }, function (e) {
            console.log(e);
          });
          user_cache.put("plans", plans);
          break;
        }
      }

    });
    /* $scope.confirm = function () {

     }*/

    /**
     * 跳到加药选人页面
     */
    $scope.goToAddDrug = function () {
      if (!$rootScope.token) {
        $ionicNativeTransitions.stateGo('g_load', {}, {
          "type": "slide",
          "direction": "right",
          "duration": 500
        });
      }
      $ionicNativeTransitions.stateGo('add_drug', {
        backUrl: 'tab.pillbox', toUser: toUser
      }, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    }
    /**
     * 跳到历史用药页面
     */
    $scope.goToHisDrug = function () {
      console.log("进入历史用药");

      $ionicNativeTransitions.stateGo('drug_history', {
        backUrl: "tab.home", toUser: $scope.likUser.toUser
      }, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });

    }
    /**
     * 进入药品详情
     */
    $scope.detail = function (id) {
      console.log("进入药品详情");
      $ionicNativeTransitions.stateGo('drug_detail', {id: id, backUrl: "tab.pillbox", toUser: $scope.likUser.toUser}, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    };

    /**
     * 跳到服药柱状图页面
     */
    $scope.goToYy = function (id, medicineName) {
      console.log("进入柱状图");
      $ionicNativeTransitions.stateGo('drug_schedule', {
        planId: id,
        backUrl: "tab.pillbox",
        medicineName: medicineName
      }, {
        "type": "slide",
        "direction": "leftF",
        "duration": 500
      });
    }

    /**
     * 跳到服药日历页面
     */
    $scope.goToCalendarInfo = function (medicineId, planId, remark, remarkText, remarkTime, imgurl) {
      console.log("进入服药日历页面");
      console.log(medicineId);
      console.debug("planId:", planId);
      console.debug("imgurl:", imgurl);
      $ionicNativeTransitions.stateGo('drug_calendar', {
        backUrl: "tab.pillbox",
        medicineId: medicineId,
        planId: planId,
        remark: remark,
        remarkText: remarkText,
        remarkTime: remarkTime,
        imgurl: imgurl
      }, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });

    }

    /**
     * 使用方法
     */

    $scope.goToUsage = function (url) {
      console.log(url);
      console.log("进入使用方法");
      var url2 = $rootScope.reqUrl + url;
      cordova.ThemeableBrowser.open(url2, '_blank', {
        toolbar: {
          height: 44,
          color: '#f0f0f0ff'
        },
        title: {
          color: '#003264ff',
          showPageTitle: true
        },
        backButton: {
          wwwImage: 'img/cha3.png',
          wwwImagePressed: 'img/cha3.png',
          align: 'left',
          event: 'backPressed'
        },
        backButtonCanClose: true
      }).addEventListener('backPressed', function (e) {
        //alert(e);
        /*$ionicNativeTransitions.stateGo('tab.pillbox', {}, {
         "type": "slide",
         "direction": "right",
         "duration": 200
         });*/
      });
    }

    //----------------------------------------

    var tipsData = null;

    $scope.remindDetail = function () {
      $("#zz_tips").css("display", "block");
      $("#zz_text_tips .scroll").html(tipsData.title + '<br/>' + tipsData.content);
      var height = $("#zz_text_tips")[0].clientHeight;
      var bh = $("#zz_bord")[0].clientHeight;
      if (height == 140) {
        $("#zz_bord").css('height', (($rootScope.screenWidth - 30) * 30 / 690 + 172) + 'px');
      } else {
        $("#zz_slide").css("display", 'none');
        bh = $("#zz_bord")[0].clientHeight;
        $("#zz_bord").css('height', height + (($rootScope.screenWidth - 30) * 30 / 690 + 15) + 'px');

      }
      $(".z_blackBoard").css('height', bh + (($rootScope.screenWidth - 30) * 38 / 690 - 5) + 'px');
    };
    $rootScope.closeBlock = function () {
      $("#zz_tips").css("display", "none");
    };

    $scope.addMedicine = function () {
      if (!$rootScope.token) {
        $ionicNativeTransitions.stateGo('g_load', {backUrl: 'tab.home'}, {
          "type": "slide",
          "direction": "left",
          "duration": 500
        });
      } else {
        if (!$rootScope.user) {
          cache.put('network_error', true);
          $state.go('network_error', {backUrl: 'tab.home', broadcast_name: 'REFRESH'});
        } else {
          $rootScope.add_plan_remind.show = false;
          $ionicNativeTransitions.stateGo('add_drug', {backUrl: 'tab.home'}, {
            "type": "slide",
            "direction": "left",
            "duration": 500
          });
        }
      }

    };

    /**
     *调到为什么不能提醒详情页
     */
    $scope.godetail = function () {
      $ionicNativeTransitions.stateGo('g_yindao', {backUrl: 'tab.home'}, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    }

    /**
     *调到为什么不能提醒详情页
     */
    $scope.hideProblem = function () {
      $scope.form.hideProblem = false;
    }

    var localKey=null;

    /**
     * 调到图片对应详情页
     */
    $scope.detail = function (news) {
      if(news.content==null){
        return ;
      }
      localKey=$rootScope.user.userId+"-art"+news.id;
      if (news.img == 'img/no_img.png') {
        $scope.getTips();
        return;
      }
      if(!localStorage.getItem(localKey)){
        drugService.addScanNum(news).then(function (data) {
          localStorage.setItem(localKey,true);
        }, function (e) {
          console.error(e);
        });
      }
      //console.log("转到详情页拿到的数据内容：",news.content);
      $ionicNativeTransitions.stateGo('news_detail', {
        backUrl: 'tab.home',
        title: news.title,
        content: news.content,
        id: news.id,
        shareNum: news.shareNum,
        scanNum: news.scanNum,
        thumbsNum:news.thumbsNum ,
        collect:news.collect ,
        thumbsStatus:news.thumbsStatus,
        collectStatus:news.collectStatus,
        classId:news.classId

      }, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });

    }

    /**
     * 跳转到精彩活动详情页
     * @author weiqi
     */
    $scope.activityDetail = function (activity) {

      $ionicNativeTransitions.stateGo('activity_detail', {backUrl: 'activity_list',activityId:activity.id,
          activityUrl:activity.content,title:activity.title,brief:activity.brief},
        {
          "type": "slide",
          "direction": "left",
          "duration": 500
        });
     /* var regArticleText=activity.content.replace(/<\/?.+?>/g,"");
      var content=regArticleText.replace(/&nbsp;/g,"");
      var contentText = content.replace(/ /g,"");
      console.log("获取活动动态地址：",contentText);
      //获取活动详情动态地址
      $scope.requestUrlDll = contentText+"?id="+activity.id+"&token="+$rootScope.token;
      //获取活动详情静态地址
      //$scope.requsetUrl = $rootScope.reqUrl+"/article/activity/detail.htm"+"?id="+$stateParams.activityId+"&token="+$rootScope.token;
      $scope.obtainActivityDetail = $sce.trustAsResourceUrl($scope.requestUrlDll);*/
    }


    /**
     * 跳转到精彩文章详情页
     * @author weiqi
     */
    $scope.wonderfulActivityDetail = function (article) {
      localKey=$rootScope.user.userId+"-art"+article.id;
      if (article.img == 'img/no_img.png') {
        $scope.getTips();
        return;
      }
      if(!localStorage.getItem(localKey)){
        drugService.addScanNum(article).then(function (data) {
          localStorage.setItem(localKey,true);
          article.scanNum = data[0].scanNum;
        }, function (e) {
          console.error(e);
        });
      }
      $ionicNativeTransitions.stateGo('news_detail', {
        backUrl: 'tab.home',
        title: article.title,
        content: article.content,
        id: article.id,
        shareNum:article.shareNum,
        scanNum:article.scanNum,
        thumbsNum:article.thumbsNum,
        collect:article.collect,
        thumbsStatus:article.thumbsStatus,
        collectStatus:article.collectStatus
      }, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    }

    $scope.changeTopClass = function () {
      var top = $ionicScrollDelegate.$getByHandle('mainArea').getScrollPosition().top;
      // console.log(top);
      if (top == 0) {
        $("#headerBar").addClass("z_blank");
      } else {
        $("#headerBar").removeClass("z_blank");
      }

    }

    /**
     * 获取首页tips的内容
     */
    $scope.slidList = [
      {
        author: "佚名",
        content: "",
        createTime: "",
        img: "img/no_img.png",
        id: 1,
        publishTime: '',
        title: ""
      },
      {
        author: "佚名",
        content: "",
        createTime: "",
        img: "img/no_img.png",
        id: 2,
        publishTime: '',
        title: ""
      },
      {
        author: "佚名",
        content: "",
        createTime: "",
        img: "img/no_img.png",
        id: 3,
        publishTime: '',
        title: ""
      },
      {
        author: "佚名",
        content: "",
        createTime: "",
        img: "img/no_img.png",
        id: 4,
        publishTime: '',
        title: ""
      }
    ];

    $scope.getTips = function () {
      console.info("重新拉取首页新闻...");
//            $scope.slidList = tipService;
      drugService.queryArticle(1).then(function (data) {
        $scope.slidList = data;
        $ionicSlideBoxDelegate.update();
        console.info("$scope.slidList:", data);
      }, function (e) {
        console.error(e);
      });
    }
    $scope.getTips();



    /**
     * 精彩活动查询
     */
    $scope.queryWonderfulActivity = function () {
      drugService.queryWonderfulActivityService(2).then(function (data) {
        $scope.wonderfulActivityArticle = data;
        $ionicSlideBoxDelegate.update();
       // console.info("精选活动数据:", data);
      }, function (e) {
        console.error(e);
      });
    }
    //$scope.queryWonderfulActivity();

    $scope.queryWonderfulArticle = function () {
      drugService.queryWonderfulActivityService(3).then(function (data) {
        $scope.wonderfulArticle = data;
        $ionicSlideBoxDelegate.update();
        //console.info("精彩文章数据:", data);
      }, function (e) {
        console.error(e);
      });
    }
    //$scope.queryWonderfulArticle();

    $scope.queryAllArticle = function () {
      drugService.queryAllArticleService().then(function (data) {
        $scope.allArticle = data;
        $ionicSlideBoxDelegate.update();
        console.info("全部数据:", data);
      }, function (e) {
        console.error(e);
      });
    }
    $scope.queryAllArticle();

    $rootScope.$on("DIRECTIVE_SHARE_MODIFY",function(evt,data,temp){
      $scope.queryAllArticle();
    })


    $rootScope.$on("ADDTHUM",function (evt,data) {
      console.log("===============",data);
      $scope.queryWonderfulArticle();
      $scope.queryWonderfulActivity();
      $scope.queryAllArticle();
    })

    $rootScope.$on("ADDCOLLECT",function (evt,data) {
      console.log("===============",data);
      $scope.queryWonderfulArticle();
      $scope.queryWonderfulActivity();
      $scope.queryAllArticle();
    })
    $rootScope.$on("THUMBSUP",function (evt,data) {
      console.log("===============",data);
      $scope.queryWonderfulArticle();
      $scope.queryWonderfulActivity();
    })
    $scope.obtain = function(){
      drugService.obtainThumbs($stateParams.id).then(function(data){
        if(data[0].status == 1){
          //$scope.isThumbsUpFlag = true;
          window.document.getElementById($stateParams.id).style.backgroundImage = 'url(img/z_artIcon03On.png)';
        }else{
          // $scope.isThumbsUpFlag = false;
          window.document.getElementById($stateParams.id).style.backgroundImage = 'url(img/z_artIcon03.png)';
        }
      },function(error){
        console.error(error);
      })
    }
   // $scope.obtain();

    $scope.addThumbsUp = function (articleOrActivity) {
      drugService.addThumbsUpNumService(articleOrActivity).then(function (data) {
        $scope.$emit("THUMBSUP",data,articleOrActivity);
        articleOrActivity.thumbsNum = data[0].thumbsUp;
        articleOrActivity.thumbsStatus = data[0].status;

        console.log("活动详情页点赞成功!");

      }, function (error) {
        console.error(error);
          alert('取消赞');
          window.document.getElementById(articleOrActivity.id).style.backgroundImage = 'url(img/z_artIcon03.png)';
      })
    }


    $scope.addCollectArticle = function (collectArticle) {
      drugService.addCollectArticleService(collectArticle).then(function (data) {
        collectArticle.collect = data[0].collect;
        collectArticle.collectStatus = data[0].status;
        //window.document.getElementById(articleOrActivity.id).innerHTML = data[0].thumbsUp;
        if(data[0].status == 1){
          window.document.getElementById(collectArticle.id+6).style.backgroundImage = 'url(img/z_caiOn.png)';
        }else{
          window.document.getElementById(collectArticle.id+6).style.backgroundImage = 'url(img/z_cai.png)';
        }
        console.log("首页------文章收藏文章成功!");
      }, function (error) {
        console.error(error);
      })
    }

    /**
     * 跳到历史用药页面
     */
   /* $scope.goToHisDrug = function () {
      console.log("进入历史用药");

      $ionicNativeTransitions.stateGo('drug_history', {
        backUrl: "tab.pillbox", toUser: $scope.likUser.toUser
      }, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });

    }*/

    // 一个确认对话框
    $rootScope.fistaid = function (type) {
      if ($rootScope.user.isVip) {
        // if (false) {  //调试用
        var fun = "";
        if (type == '0')
          fun = "咨询";
        else
          fun = "急救";

        var confirmPopup = $ionicPopup.confirm({
          title: '紧急救援',
          template: '<span class="home_dail">是否拨打' + fun + '电话？</span>',
          cancelText: '取消',
          okText: '确定'

        });
        confirmPopup.then(function (res) {
          if (res) {
            console.log('You are sure');
            $rootScope.execute();
          } else {
            console.log('You are not sure');
          }
        });
      } else {
        //去填写急救卡
        $ionicNativeTransitions.stateGo('g_card', {backUrl: 'tab.home', type: type}, {
          "type": "slide",
          "direction": "left",
          "duration": 500
        });
      }


    };


    /**
     * 紧急救援、咨询
     */
    $rootScope.execute = function (type) {
      //急救服务
      userService.ymService(type).then(function (d) {
        console.info(d);
        //拨打电话
        if ($rootScope.os == "Android") {
          window.plugins.CallNumber.callNumber(function () {
          }, function () {
          }, "010-59095095");
        } else {
          window.PhoneCaller.call("010-59095095", function () {
          }, function () {
          })
        }
      }, function (e) {
        console.error(e);
      });

    }
  /*  $scope.$on("THUMBSUP",function(evt,data,articleOrActivity){
      console.log("点赞成功................!");
      window.document.getElementById(articleOrActivity.id).innerHTML = data[0].thumbsUp;
     // $scope.queryWonderfulArticle();
    })*/


    /***
     * 我的动态
     */
    $scope.goMessages = function () {
      $ionicNativeTransitions.stateGo('messages', {backUrl: 'tab.home'}, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    }

    $scope.activity = function () {
      $ionicNativeTransitions.stateGo('activity_list', {backUrl: 'tab.home'}, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    };
    $scope.article = function () {
      $ionicNativeTransitions.stateGo('article_list', {backUrl: 'tab.home'}, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    };


  })
  .controller('MineCtrl', function ($scope, $ionicNativeTransitions, $state, $rootScope, $cacheFactory, userService, imageUtil, FileServer) {
    /**
     * 弹出邀请码框
     */
    $scope.invite = function () {
      userService.getInviteStatus().then(function (d) {
          if (d.invite == 1) {
            userService.showInvite();
          }
        }, function (e) {
          console.log(e);
          ErrorShow("网络异常");
        }
      );
    }
    //
//        userService.showInvite();
    //
    $rootScope.$on('bindPhoneSuccess', function (evt) {
      console.log("收到了手机号绑定成功的广播");
      $scope.invite();
    });
    var user_cache = $cacheFactory.get('user');
    if (!user_cache) {
      user_cache = $cacheFactory('user');
    }
    //服药计划缓存
    var plan_cache = $cacheFactory.get('plan');
    if (!plan_cache) {
      plan_cache = $cacheFactory('plan');
    }
    $scope.login = function (evt) {
      evt.stopPropagation();
      $state.go('g_load');
    };

    //我的亲朋页面
    $scope.myFriends = function () {
      //console.log("This is myFriends...");
      if (!$rootScope.token) //未登陆跳到登陆页面
      {
        $ionicNativeTransitions.stateGo('g_load', {backUrl: 'tab.mine'}, {
          "type": "slide",
          "direction": "left",
          "duration": 500
        });
        return false;
      }
      $ionicNativeTransitions.stateGo('g_my_friends', {backUrl: 'tab.mine'}, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    };

    /**
     * 我的钱包页面
     */
    $scope.myWallet = function(){
     // console.log("This is myWallet...");
      if(!$rootScope.token){
        $ionicNativeTransitions.stateGo('g_load', {backUrl: 'tab.home'}, {
          "type": "slide",
          "direction": "left",
          "duration": 500
        });
        return false;
      }else{

       // $scope.balanceData = 21.8;
        $ionicNativeTransitions.stateGo('g_myWallet',{backUrl:'tab.mine'},{
          "type":"slide",
          "direction": "left",
          "duration": 500
        });
      }
    }

    /**
     * 产品中心页面
     */
    $scope.myProduct = function () {
      if (!$rootScope.token) //未登陆跳到登陆页面
      {
        $ionicNativeTransitions.stateGo('g_load', {backUrl: 'tab.home'}, {
          "type": "slide",
          "direction": "left",
          "duration": 500
        });
        return false;
      }
      $ionicNativeTransitions.stateGo('g_my_product', {backUrl: 'tab.home'}, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    };


    /**
     * 我的个人设置页面
     */
    $scope.mySet = function () {
      if (!$rootScope.token) //未登陆跳到登陆页面
      {
        $ionicNativeTransitions.stateGo('g_load', {backUrl: 'tab.mine'}, {
          "type": "slide",
          "direction": "left",
          "duration": 500
        });
        return false;
      }
      $rootScope.gender = $rootScope.user.gender;
      $rootScope.name = $rootScope.user.name;
      $rootScope.date = $rootScope.user.date;
      $ionicNativeTransitions.stateGo('g_my_set', {backUrl: 'tab.mine'}, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    };

    /**
     * 登陆页面
     */
    $scope.goLoad = function () {
      $ionicNativeTransitions.stateGo('g_load', {backUrl: 'tab.mine'}, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    }

    /**
     *
     * 补全手机号
     */
    $scope.visitorClick = function () {
      $("#ZHEZHAO").click(function (e) {
        e.stopPropagation;
        $("#ZHEZHAO").hide();
        $("#mine_pop").hide();
      });
      $("#ZHEZHAO").show(); //遮罩
      $("#mine_pop").show();

      //绑定手机号
      $("#mine_bind").click(function (e) {
        e.stopPropagation;
        $("#mine_pop").hide();
        $("#ZHEZHAO").hide();
        $ionicNativeTransitions.stateGo('g_my_changephone', {backUrl: 'tab.mine', userType: 'visitor'}, {
          "type": "slide",
          "direction": "left",
          "duration": 500
        });
      });

      //立即去登录
      $("#mine_login").click(function (e) {
        e.stopPropagation;
        //后台置空deviceId
        $rootScope.userType = "";
        if (localStorage.getItem("token")) { //删掉游客的token
          localStorage.removeItem("token");
        }
        var user_cache = $cacheFactory.get('user');
        if (user_cache) {
          user_cache.removeAll();
        }
        userService.clearVisitorData().then(function (d) {
          console.log("数据删除成功！", d);
        }, function (e) {
          ErrorShow("网络异常");
          return false;
        });
        $("#mine_pop").hide();
        $("#ZHEZHAO").hide();
        $ionicNativeTransitions.stateGo('g_load', {backUrl: 'tab.mine'}, {
          "type": "slide",
          "direction": "left",
          "duration": 500
        });
      });

    }

    /**
     * 问题页面
     */
    $scope.goProblem = function () {
      $ionicNativeTransitions.stateGo('z_problems', {backUrl: 'tab.mine'}, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
//            var params = {
//                partnerid: '1317125601', // merchant id
//                prepayid: 'wx201612011524393d13765a3b0175183929', // prepay id
//                noncestr: 'aHOOTv03uOgfml8C', // nonce
//                timestamp: '1439531364', // timestamp
//                sign: 'E42545147D98CC0146B74106736F3DA9'// signed string
//            };
//
//            Wechat.sendPaymentRequest(params, function () {
//                alert("Success");
//            }, function (reason) {
//                alert("Failed: " + reason);
//            });

    }

    /**
     * 系统设置
     */
    $scope.goMySetting = function () {
      $ionicNativeTransitions.stateGo('mySetting', {backUrl: 'tab.mine'}, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    }


    /**
     * 我的设备页面
     */
    $scope.myEquipment = function () {
      if (!$rootScope.token) //未登陆跳到登陆页面
      {
        $state.go("g_load");
        return false;
      }
      $ionicNativeTransitions.stateGo('g_my_equipment', {backUrl: 'tab.mine'}, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    };

    /**
     * 拍照
     */
    $scope.selectImageByCamera = function () {
      imageUtil.takePhoto($rootScope.screenWidth, $rootScope.screenHeight, Camera.DestinationType.FILE_URI).then(function (data) {
        $scope.user.headImg = data;
        imageUtil.uploadImages(data, "/open/user/uploadHeadImg.htm?type=file", $rootScope.token).then(function (ret) {
          var Img = FileServer.saveHeadImg(ret.headImg, $rootScope.user.phone);
          localStorage.setItem($rootScope.user.phone, Img);
        }, function (error) {
          ErrorShow("头像上传失败");
        });
      }, function (err) {
        ErrorShow("图片读取失败");
      });
    };

    /**
     * 取出本地照片
     */
    $scope.selectImageByPic = function () {
      imageUtil.pickOne($rootScope.screenWidth, $rootScope.screenHeight).then(function (data) {
        $scope.user.headImg = data;
        var tempImg = data.split("?")[0];
        imageUtil.uploadImages(tempImg, "/open/user/uploadHeadImg.htm?type=file", $rootScope.token).then(function (ret) {
          var Img = FileServer.saveHeadImg(ret.headImg, $rootScope.user.phone);
          localStorage.setItem($rootScope.user.phone, Img);
        }, function (error) {
          ErrorShow("头像上传失败");
        });
      }, function (err) {
        ErrorShow("图片读取失败");
      });
    };
    $scope.to_messagelist = function () {
      $(".g_n_range").css({"display": "none"});
      $ionicNativeTransitions.stateGo("g_news", {backUrl: 'tab.mine'}, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    }

  })
  //引导页面
  .controller('IndexCtrl', function ($scope, $ionicNativeTransitions, userService, $rootScope, $cacheFactory) {
    localStorage.setItem('index', 'yes');
    //$rootScope.user.headImg='img/g_tx_03.png';
    console.log('设备号', $rootScope.deviceId);
    $scope.skip = function () {
      if (localStorage.getItem('index') && localStorage.getItem('index') == 'yes') {
        userService.visitorLogin().then(function (data) {
          if (data.status) {
            $rootScope.user = data;
            if (!data.gender) {
              $rootScope.date = '3';
            }
            console.log('游客登陆返回的数据：', data);
            //登陆成功后的一些动作
            $rootScope.userType = parseInt(data.userType);
            console.log("初次登录userType：", $rootScope.userType);
            $rootScope.token = data.token;
            //记住密码
            localStorage.setItem("token", data.token);
            $rootScope.userId = data.userId;
            $rootScope.name = data.name;
            $rootScope.phone = data.telephone;
            console.log('token:', $rootScope.token);
            var user_cache = $cacheFactory.get('user');
            if (!user_cache) {
              user_cache = $cacheFactory('user');
            }
            $scope.$emit("login");
            $scope.$emit('addMedicineSuccess');  //刷新药盒列表
            $ionicNativeTransitions.stateGo('tab.home', {}, {
              "type": "slide",
              "direction": "left",
              "duration": 500
            });
          } else {
            ErrorShow('网络异常,请求失败');
            return false;
          }

        }, function (e) {
          ErrorShow('网络异常,请求失败');
        });
      }
    };

    /**
     * 去登录
     */
    $scope.goLoad = function () {
      console.log("去登录");
      $ionicNativeTransitions.stateGo('g_load', {backUrl: 'linkPage'}, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    }

  })
  //网络异常控制器
  .controller('NetworkErrorCtrl', function ($scope, $stateParams, $timeout, $state, $rootScope, $cacheFactory, $cordovaToast, $ionicTabsDelegate) {

    console.log($stateParams.broadcast_name);

    var title_map = new Object();
    title_map["tab.home"] = {title: '首页', index: 0};
    title_map["tab.pillbox"] = {title: '药盒', index: 1};
    title_map["tab.health"] = {title: '健康', index: 2};
    title_map["tab.mine"] = {title: '我', index: 3};
    title_map["g_my_friends"] = {title: '我的亲朋', index: 4};

    $timeout(function () {
      var title = $('[network_error_id="title"]');
      title.html(title_map[$stateParams.backUrl].title);
      $ionicTabsDelegate.$getByHandle('network_error').select(title_map[$stateParams.backUrl].index);
    });

    $scope.backUrl = $stateParams.backUrl;

    $scope.refreshing = false;

    var back_cache = $cacheFactory.get($stateParams.backUrl);
    if (!back_cache) {
      back_cache = $cacheFactory($stateParams.backUrl);
    }
    //进入404的页面网络错误标志置为真
    back_cache.put('network_error', true);

    var cache = $cacheFactory.get($state.current.name);
    if (!cache) {
      cache = $cacheFactory($state.current.name);
    }
    //保留当前页面参数
    cache.put('stateParams', $stateParams);

    var b_name = $stateParams.broadcast_name;
    $scope.refresh = function () {
      $scope.refreshing = true;
      //$('#network_error_refresh_img').css('-webkit-animation', 'myrefresh 0.75s ease-out infinite;');
      $scope.$emit('REFRESH');
    };
    $scope.$on('REFRESH_SUCCESS', function (evt, data) {
      $scope.refreshing = false;
      //进入404的页面网络错误标志置为真
      if (back_cache.get('network_error')) {
        $state.go($stateParams.backUrl);
        back_cache.put('network_error', false);
      }
    });
    $rootScope.$on(b_name + '_ERROR', function (evt, data) {
      $scope.refreshing = false;
      $cordovaToast.showShortBottom('刷新失败');
    });

    $scope.go = function (url) {
      if (url != $stateParams.backUrl) {
        var cache = $cacheFactory.get(url);
        if (!cache) {
          cache = $cacheFactory(url);
        }
        console.log(cache.get('network_error'));
        //如果页面存在失败标志进入404页面
        if (cache.get('network_error')) {
          console.log('wangluoyichang');
          $timeout(function () {
            $state.go('network_error', {backUrl: url, broadcast_name: 'REFRESH'});
          });
          return;
        }
        $state.go(url);
      }
    }
  })

  //不同手机品牌设置引导
  .controller('YinDaoCtrl', function ($scope, $stateParams, $timeout, $state, $rootScope, $cacheFactory, $cordovaToast, $ionicNativeTransitions) {
    //页面跳转参数存储
    var cache = $cacheFactory.get($state.current.name);
    if (!cache) {
      cache = $cacheFactory($state.current.name);
    }
    cache.put('stateParams', $stateParams);
    var flag = false;
    $scope.form = {        //小米：1，魅族：2，vivo：3，华为：4
      status: 1,
      show: '小米【MIUI】',
      flag: 1 //手机品牌小箭头
    };
    $("#content_").slideUp(50);

    /**
     * 显示菜单
     */
    $scope.showMenu = function () {
      if (!flag) {
        $("#content_").slideDown(100); // 展开
        $scope.form.flag = 2;
        flag = true;
      } else {
        $("#content_").slideUp(100); // 收缩
        flag = false;
        $scope.form.flag = 1;
      }
    };


    /**
     * 显示详情
     * @param str
     */
    $scope.showDetail = function (index, str) {
      $scope.form.status = index;
      $scope.form.show = str;
    }

    /**
     * 返回
     */
    $scope.goBack = function () {
      console.log("回退");
      //取出回退页面跳转参数
      var param = $cacheFactory.get($stateParams.backUrl);
      var sp = null;
      //如果不在页面参数则设置为空串
      if (param) {
        sp = param.get('stateParams');
        if (!sp) {
          sp = {};
        }
      } else {
        sp = {};
      }
      $ionicNativeTransitions.stateGo($stateParams.backUrl, sp, {
        "type": "slide",
        "direction": "right",
        "duration": 500
      });
    };
  })

  /**
   * news_detail页面
   */
  .controller('newsCtrl', function ($timeout,$scope, $stateParams, $state, $rootScope, $ionicNativeTransitions, $cacheFactory, drugService) {
    //页面跳转参数存储
    var cache = $cacheFactory.get($state.current.name);
    if (!cache) {
      cache = $cacheFactory($state.current.name);
    }
    cache.put('stateParams', $stateParams);
    console.log("新闻发布页面",$stateParams);
    //console.log("新闻发布页面content",$stateParams.content);
    $scope.form = {};
    if($stateParams.classId == 1){
      drugService.queryNewsStatus($stateParams.id).then(function (data) {
        $scope.StatusValue = data;
        console.log("首页新闻详情huoqu数据：",data);
          $scope.form = {
            id:$stateParams.id,
            title: $stateParams.title,
            type: 'zty',
            content: "",
            shareNum: $stateParams.shareNum,
            scanNum: $stateParams.scanNum,
            thumbsNum:data[0].thumbsNum ,
            collect:data[0].collect ,
            thumbsStatus:data[0].thumbsStatus,
            collectStatus:data[0].collectStatus,
            scanNum:data[0].scanNum
          };
          console.log("$scope.form=",$scope.form);
      }, function (e) {
        console.error(e);
      })
    }else{
      drugService.queryNewsStatus($stateParams.id).then(function (data) {
        $scope.form = {
          id: $stateParams.id,
          title: $stateParams.title,
          type: 'zty',
          content: "",
          shareNum: $stateParams.shareNum,
          scanNum: $stateParams.scanNum,
          thumbsNum: $stateParams.thumbsNum,
          collect: $stateParams.collect,
          thumbsStatus: $stateParams.thumbsStatus,
          collectStatus: $stateParams.collectStatus,
          scanNum:data[0].scanNum
        };
      }, function (e) {
        console.error(e);
      })
    }



    //console.log("页面content",$stateParams.content);
    $("#content").html($stateParams.content);
//        $("#content p,span").contents().removeAttr("class").removeAttr("style");
//        $("#content").css({"margin-left":"15px","margin-right":"15px","font":"1.4rem/1.5 '华文行楷'"});
    $("#content").css({"padding": "10px 15px 60px", "font": "1.4rem/1.5 '微软雅黑'"});
//        $("#content span").addClass('z_conP');
//        $("#content p").addClass('z_conP');
    $("#content img").css({"width": "100%", "height": "auto"});
    var text = $("#content").text();
//        $scope.form.type = $stateParams.type;
//        console.log("type：",$stateParams.type);
//
//        if($scope.form.type=='zty'){
//            $scope.form.title="科学认知止痛片";
//        }else if($scope.form.type=='gxy'){
//            $scope.form.title="夏季养生拒绝高血压";
//        }else{
//            $scope.form.title="退热贴能“退热”";
//        }

    //console.info("id---", $scope.form.id,$scope.form .thumbsStatus,$stateParams.thumbsStatus,$scope.form.collectStatus);


    /**
     * 分享到微信（供其他函数调用）
     * @param p_scene 场景：朋友圈，微信好友
     */
    $scope.shareWechat = function (p_scene) {
      Wechat.isInstalled(function () {
        var title = $scope.form.title;
        if (!title) {
          ErrorShow("标题不能为空！");
          return;
        }
        //测试库链接
        var url = $rootScope.reqUrl + "/share/news.htm?articleId=" + $stateParams.id;
        var desc = text.substr(0, 20);  //分享描述
        var thumb = $rootScope.reqUrl + "/app/img/healthpatient.png";
        var msg = {
          message: {
            title: title,
            description: desc,
            thumb: thumb,
            media: {
              type: Wechat.Type.WEBPAGE,
              webpageUrl: url
            }
          },
          scene: p_scene
        }

        Wechat.share(msg, function (data) {

          drugService.addShareNumService($stateParams.id).then(function (data) {
                //$rootScope.speciallyShareNum = data[0].shareNum;
            var temp = $stateParams.id;
            $scope.$emit("SHARE_MODIFY",data,temp);
            //$scope.queryWonderfulArticle();
          }, function (e) {
            console.error(e);
          });

          console.info("data", data);
        }, function (error) {
          console.error("error:", error);
        });

      }, function () {
        alert('请安装微信客户端');
      });
    };
    //分享到QQ
    $scope.qqShare = function () {
      YCQQ.checkClientInstalled(function () {
        var title = $scope.form.title;
        if (!title) {
          ErrorShow("标题不能为空");
          return;
        }
        var args = {};
        //正式库链接
        var reqUrlQQ = '';
        if ($rootScope.reqQQAppid == '101327838') {
          reqUrlQQ = 'appdemo.sinoicity.com';//测试库
        } else {
          reqUrlQQ = 'wx.sinoicity.com';//正式库
        }
        args.url = $rootScope.reqUrl + "/share/news.htm?articleId=" + $stateParams.id;
        args.title = title;
        args.description = text;
        args.imageUrl = "http://appdemo.sinoicity.com:8080/HealthMonitor/app/img/healthpatient.png";
        args.appName = "心常态";
        YCQQ.shareToQQ(function () {
          drugService.addShareNumService($stateParams.id).then(function (data) {
            //$rootScope.speciallyShareNum = data[0].shareNum;
            var temp = $stateParams.id;
            $scope.$emit("SHARE_MODIFY",data,temp);
            //$scope.queryWonderfulArticle();
          }, function (e) {
            console.error(e);
          });
          console.log("进如sharetoQQ方法");
        }, function (failReason) {
          console.error("failReason:", failReason);
        }, args);
      }, function () {
        ErrorShow('请安装QQ客户端');
      });

    };

    //分享到朋友圈
    $scope.weiboShare = function () {
      $scope.shareWechat(Wechat.Scene.TIMELINE);
    };


    //分享给微信好友
    $scope.weixinShare = function () {
      $scope.shareWechat(Wechat.Scene.SESSION);
    };

    $scope.$on("SHARE_MODIFY",function (evt,data,temp) {
      window.document.getElementById(temp+2).innerHTML = data[0].shareNum;
    })

    $scope.$on("HOMT_THUMBSUP",function(evt,data,thumbs,status1){
      console.log("点赞成功+++++!",thumbs);

      window.document.getElementById(thumbs+3).innerHTML = data[0].thumbsUp;

      //window.document.getElementById(thumbs).innerHTML = data[0].thumbsUp;

    })

   /* $scope.obtain = function(){
      drugService.obtainThumbs($stateParams.id).then(function(data){
        if(data[0].status == 1){
          //$scope.isThumbsUpFlag = true;
          window.document.getElementById($stateParams.id).style.backgroundImage = 'url(img/z_artIcon03On.png)';
        }else{
         // $scope.isThumbsUpFlag = false;
          window.document.getElementById($stateParams.id).style.backgroundImage = 'url(img/z_artIcon03.png)';
        }
      },function(error){
        console.error(error);
      })
    }
    $scope.obtain();*/

    /*$scope.obtainCollect = function(){
      drugService.obtainCollectService($stateParams.id).then(function(data){
        if(data[0].status == 1){
          //$scope.isThumbsUpFlag = true;
          window.document.getElementById($stateParams.id).style.backgroundImage = 'url(img/z_artIcon03On.png)';
        }else{
          // $scope.isThumbsUpFlag = false;
          window.document.getElementById($stateParams.id).style.backgroundImage = 'url(img/z_artIcon03.png)';
        }
      },function(error){
        console.error(error);
      })
    }
    $scope.obtainCollect();*/
    $scope.addThumbsUp = function(articleOrActivity){
      drugService.addThumbsUpNumService(articleOrActivity).then(function(data){
        console.debug("文章点赞发广播", data);
        $rootScope.$emit("ADDTHUM",data);
        articleOrActivity.thumbsNum = data[0].thumbsUp;
        articleOrActivity.thumbsStatus = data[0].status;
        //window.document.getElementById(articleOrActivity.id+9).innerHTML = data[0].thumbsUp;
       /* if(data[0].status == 1){
          window.document.getElementById(articleOrActivity.id+9).style.backgroundImage = 'url(img/z_artIcon03On.png)';
        }else{
          window.document.getElementById(articleOrActivity.id+9).style.backgroundImage = 'url(img/z_artIcon03.png)';
        }*/
        console.log("活动详情页点赞成功!");
      },function(error){
        console.error(error);
          alert('取消赞');
       //
      })
    }

    $scope.addCollectArticle = function(collectArticle){
      drugService.addCollectArticleService(collectArticle).then(function(data){
        collectArticle.collect = data[0].collect;
        $rootScope.$emit("ADDCOLLECT",data);
        if(data[0].classId==3){
          collectArticle.collectStatus = data[0].status;
        }
        //window.document.getElementById(articleOrActivity.id).innerHTML = data[0].thumbsUp;
        if(data[0].status == 1){
          window.document.getElementById(collectArticle.id+7).style.backgroundImage = 'url(img/z_caiOn.png)';
        }else{
          window.document.getElementById(collectArticle.id+7).style.backgroundImage = 'url(img/z_cai.png)';
        }
        console.log("收藏文章成功!");
      },function(error){
        console.error(error);
      })
    }

    /**
     * 返回
     */
    $scope.goBack = function () {
      console.log("回退");
      //取出回退页面跳转参数
      var param = $cacheFactory.get($stateParams.backUrl);
      var sp = null;
      //如果不在页面参数则设置为空串
      if (param) {
        sp = param.get('stateParams');

        if (!sp) {
          sp = {};
        }
      } else {
        sp = {};
      }
      $ionicNativeTransitions.stateGo($stateParams.backUrl, sp, {
        "type": "slide",
        "direction": "right",
        "duration": 500
      });
    };
  })

  /**
   * 急救卡
   */
  .controller('g_cardCtrl', function ($scope, $rootScope, $state, $ionicNativeTransitions, $stateParams, $cacheFactory, $ionicModal, $ionicActionSheet, userService, $ionicPopup, $timeout) {
    //页面跳转参数存储
    var cache = $cacheFactory.get($state.current.name);
    console.log("跳转页面存储缓存", cache);
    if (!cache) {
      cache = $cacheFactory($state.current.name);
    }
    cache.put('stateParams', $stateParams);

    cache.put('special_back', true);
    var card_cache = cache.get("card_" + $rootScope.user.userId);

    $scope.form = {
      typeShow: '身份证',
      saved: false,
      showFlag: false,
      showText: "保存",
      next: true,
      type: '1'
    }

    if ($stateParams.type == '0') {
      $scope.form.type = "0";
    }

    $scope.card = {
      userName: null,
      sex: "1011201",
      mobile1: null,
      idcardType: '1010901',
      idcardNum: "",
      birthday: null,
      emergencyContact: null,
      recvisits: null,
      address: null,
      remark: null
    }

//        if ($stateParams.backUrl == 'g_my_set') {
//            $scope.form.showButton = false;
//        }


    if ($rootScope.user.card) {
      var temp = clone($rootScope.user.card);
      $scope.card = temp;
    } else if (card_cache) {
      $scope.card = card_cache;
    }

    if (!card_cache && !$scope.card.idcardNum) {
      $scope.form.next = false;
    }


    var original = clone($scope.card);

    /**
     * 选择性别 selectType
     */
    $scope.selectType = function () {
      $ionicActionSheet.show({
        buttons: [
          {text: '<b>身份证</b>'},
          {text: '<b>军官证</b>'},
          {text: '<b>护照</b>'}
        ],
//                destructiveText: 'Delete',
        titleText: '选择证件类型',
        cancelText: '取消',
        buttonClicked: function (index) {
          if (index == 0) {
            $scope.card.idcardType = "1010901";
          } else if (index == 1) {
            $scope.card.idcardType = "1010902";
          } else {
            $scope.card.idcardType = "1010903";
          }
          return true;
        }
      });

    };

    /**
     * 选择证件类型
     */
    $scope.selectGender = function () {
      $ionicActionSheet.show({
        buttons: [
          {text: '<b>男</b>'},
          {text: '<b>女</b>'}
        ],
//                destructiveText: 'Delete',
        titleText: '选择性别',
        cancelText: '取消',
        buttonClicked: function (index) {
          if (index == 0) {
            $scope.card.sex = "1011201";
          } else {
            $scope.card.sex = "1011202";
          }
          return true;
        }
      });

    };

    $('#c_birth').mobiscroll().date({
      theme: '',     // Specify theme like: theme: 'ios' or omit setting to use default
      mode: 'scroller',       // Specify scroller mode like: mode: 'mixed' or omit setting to use default
      dateFormat: 'yyyy-mm-dd',
      display: 'bottom', // Specify display mode like: display: 'bottom' or omit setting to use default
      lang: 'zh',        // Specify language like: lang: 'pl' or omit setting to use default
      maxDate: new Date(new Date().getFullYear(), new Date().getMonth(), new Date().getDate())
    });

    //监听生日输入完毕
    $scope.$watch("card.idcardNum", function (newVal) {
      if (newVal.length == 18 && $scope.card.idcardType == '1010901') {
        $scope.card.birthday = newVal.substring(6, 10) + "-" + newVal.substring(10, 12) + "-" + newVal.substring(12, 14);
        var sex_num = newVal.substring(16, 17)
        if (sex_num % 2 == 0) {
          $scope.card.sex = "1011202";
        } else {
          $scope.card.sex = "1011201";
        }
      }
    });

    $scope.$watch("card.sex", function (newVal) {
      if (newVal != original.sex) {
        $scope.form.next = false;
      }
    });

    $scope.$watch("card.idcardType", function (newVal) {
      if (newVal != original.idcardType) {
        $scope.form.next = false;
      }
    });

    /**
     * 当表单发生变化时
     */
    $scope.input_chanage = function (key, val) {
//            console.debug(original[key],val);
      if (original[key] != val) {
        $scope.form.next = false;
      }
    }

    $scope.verifyParams = function () {
      //校验参数
      if (!$scope.card.userName) {
        ErrorShow("用户名不能为空");
        return false;
      }

      if (!$scope.card.sex) {
        ErrorShow("请选择性别");
        return false;
      }

      if (!checkPhone($scope.card.mobile1)) {
        return false;
      }

//            if(!$scope.card.idcardType){
//                ErrorShow("身份证类型未选择");
//                return;
//            }

      if ($scope.card.idcardType == '1010901') {
        if (!checkCardNum($scope.card.idcardNum)) {
          return false;
        }
      }

      if (!$scope.card.birthday) {
        ErrorShow("生日不能为空");
        return false;
      }

      if (!$scope.card.address) {
        ErrorShow("地址为必填项");
        return false;
      }
      return true;
    }

    $scope.to_Pay = function () {
      console.info("topay");
      var flag = $scope.verifyParams();
      if (!flag) {
        console.error("参数不合法");
        return;
      }
      cache.put("card_" + $rootScope.user.userId, $scope.card);
      $ionicNativeTransitions.stateGo('g_pay', {backUrl: 'g_card'}, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      })
    }


    /*
     * 点击 保存  跳转到 支付页面
     * */
    $scope.save = function () {
      console.info("save...");
      var flag = $scope.verifyParams();
      if (!flag) {
        return;
      }
      console.info('flag:', flag);
      userService.saveCard($scope.card).then(function (d) {
        console.info(d);
        if (d.status) {
          //2、弹出提示
          var alertPopup = $ionicPopup.alert({
            title: '提示',
            template: '<span id="saveCardTip">保存成功</span>',
            okText: '确定'
          });
          alertPopup.then(function (res) {
            $scope.form.next = true;
            $rootScope.user.card = $scope.card;

            if ($rootScope.userType) {//如果是游客
              console.info("修改游客个人信息：");
              $rootScope.userType = "";
              $rootScope.user.name = $scope.card.userName;
              if ($scope.card.sex == "1011201") {
                $rootScope.gender = "1";
              } else {
                $rootScope.gender = "0";
              }

              $rootScope.date = $scope.card.birthday;
              $rootScope.user.phone = $scope.card.mobile1;
            }

          });

          cache.put("card_" + $rootScope.user.userId, $scope.card);
          $scope.form.saved = true;
        } else {
          console.error("d", d);
          ErrorShow(d.message);
          return;
        }

      }, function (e) {
        console.error(e);
      });
    }


    $scope.showTip = function () {
      var cover = document.getElementById("g_card_cover"); //遮罩
      var content = document.getElementById("g_card_content");
      var confirm = document.getElementById("g_card_confirm");
      var cancel = document.getElementById("g_card_cancel");
      cover.style.display = 'block';
      content.style.display = 'block';
      /**
       * 我知道了
       */
      confirm.onclick = function () {
        cover.style.display = 'none';
        content.style.display = 'none';
        localStorage.setItem("NoRemind-" + $rootScope.user.userId, true);
      }

      /**
       * 不再提醒
       */
      cancel.onclick = function () {
        cover.style.display = 'none';
        content.style.display = 'none';
      }
    }


    /**
     * 服务详情介绍
     */
    $scope.serviceDetail = function () {
      $ionicNativeTransitions.stateGo('g_service', {backUrl: 'g_card'}, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });

    }
    var lastPage = sessionStorage.getItem('lastPage');
    $scope.NoRemind = localStorage.getItem("NoRemind-" + $rootScope.user.userId);
    console.info("backUrl:", lastPage);
    if ($scope.NoRemind || lastPage == 'g_pay') {
      sessionStorage.removeItem('lastPage');
      return;
    } else {
      $scope.showTip();
    }


    $scope.back = function () {
      //取出回退页面跳转参数
      var param = $cacheFactory.get($stateParams.backUrl);
      var sp = null;
      //如果不在页面参数则设置为空串
      if (param) {
        sp = param.get('stateParams');
        if (!sp) {
          sp = {};
        }
      } else {
        sp = {};
      }
      $ionicNativeTransitions.stateGo($stateParams.backUrl, sp, {
        "type": "slide",
        "direction": "right",
        "duration": 500
      });
    }

    $scope.goback1 = function () {
      $scope.form.showFlag = false;
      $scope.back();
    }

    $scope.goOn = function () {
      $scope.form.showFlag = false;
    }

//        document.addEventListener("backbutton", function () {
//            // 判断是否需要提醒保存
//            if (!$scope.form.saved && isObjectValueEqual($scope.card, original)) {
//                console.log("就这样走了？");
//                $scope.form.showFlag = true;
//                return;
//            }
//        }, false); // 返回键
    $scope.goBack = function () {
//            console.info(!isObjectValueEqual($scope.card, original));
//            console.info($scope.card, original);
      if (!$scope.form.saved && !isObjectValueEqual($scope.card, original)) {
        console.log("就这样走了？");
        $scope.form.showFlag = true;
        return;
      }
      $scope.back();
    }

    $scope.$on($state.current.name + '_HARDWARE_BACK', function (evt, data) {
      console.info("按了回退键---------ee33");
      $("#card_back").trigger("click");
    });
  })

  /**
   * 急救卡-仅用于显示
   */
  .controller('g_cardCtrl2', function ($scope, $rootScope, $state, $ionicNativeTransitions, $stateParams, $cacheFactory) {
    console.info("$rootScope.user.card:", $rootScope.user.card);
    $scope.card = $rootScope.user.card;

    //页面跳转参数存储
    var cache = $cacheFactory.get($state.current.name);
    if (!cache) {
      cache = $cacheFactory($state.current.name);
    }
    cache.put('stateParams', $stateParams);

    $scope.serviceDetail2 = function () {
      $ionicNativeTransitions.stateGo('g_service', {backUrl: 'g_card2'}, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });

    }

    $scope.goBack = function () {
      //取出回退页面跳转参数
      var param = $cacheFactory.get($stateParams.backUrl);
      var sp = null;
      //如果不在页面参数则设置为空串
      if (param) {
        sp = param.get('stateParams');
        if (!sp) {
          sp = {};
        }
      } else {
        sp = {};
      }
      $ionicNativeTransitions.stateGo($stateParams.backUrl, sp, {
        "type": "slide",
        "direction": "right",
        "duration": 500
      });
    }
  })

  /**
   * 会员支付
   */
  .controller('g_payCtrl', function ($scope, $rootScope, $state, $ionicNativeTransitions, $stateParams, $cacheFactory, payData, userService, $cordovaToast) {
    //页面跳转参数存储
    var cache = $cacheFactory.get($state.current.name);
    if (!cache) {
      cache = $cacheFactory($state.current.name);
    }
    cache.put('stateParams', $stateParams);
    sessionStorage.setItem("lastPage", 'g_pay');

    var card_cache = $cacheFactory.get('g_card');
    var card = null;
    if (card_cache) {
      card = card_cache.get("card_" + $rootScope.user.userId);
    }
//        console.info("card::",card);
    $scope.productList = null;

    if (!cache.get("products")) {
      console.info(payData);
      $scope.productList = payData;
      cache.put("products", $scope.productList);
    }
    $scope.productList = cache.get("products"); //商品列表

    $scope.form = {
      state: 0,
      pay: 'alipay',
      canOpen: true, //是否可以点击立即开通的标识
      isPay: false  //是否支付成功了
    }


    var product0 = $scope.productList[0];
    /**
     * 选套餐
     */
    var productId = $scope.productList[0].productId,
      description = $scope.productList[0].description,
      totalPrice = $scope.productList[0].price,
      orderNo = null,
      duration = 1;

    var userName = $rootScope.user.card.userName;
    if (card) {
      userName = card['userName'];
    }

    $scope.getSelected = function (index) {
      $scope.form.state = index;
      productId = this.x.productId;
      description = this.x.description;
      totalPrice = this.x.price;
      duration = this.x.duration;
      console.info(productId, userName, description, totalPrice, duration);
    }

    /**
     * 微信支付
     */
    $scope.wxPay = function (params) {
      Wechat.sendPaymentRequest(params, function () {
        /* $scope.form.canOpen = "";*/
        console.info("微信支付成功回调");
        $scope.form.isPay = true;
        $scope.openYm();
      }, function (reason) {
        console.error("微信支付失败");
        $cordovaToast.showLongCenter(reason);
      });
    }

    /**
     * 支付宝支付
     */
    $scope.aliPay = function (payInfo) {
      cordova.plugins.AliPay.pay(payInfo, function success(d) {
        /* $scope.form.canOpen = "";*/
        $scope.form.isPay = true;
        console.info("支付宝成功回调", d);
        $scope.openYm();
      }, function error(e) {
        console.error("支付宝支付失败");
        console.info(e);
      });
    }


    /**
     * 选择支付方式，获取支付参数
     * @param type
     */
    $scope.selectPay = function (type) {
      $scope.form.pay = type;
    }


    /**
     * 开通远盟服务
     */
    $scope.openYm = function () {
      console.info("$rootScope.os:", $rootScope.os);
      var operation = "01"; //(01:新增；02：更新)
      var deviceType = 2 //安卓
      if ($rootScope.os != 'Android') {
        deviceType = 1;
      }
      console.info("$rootScope.userType:", $rootScope.userType);
      userService.ymRegist(duration, orderNo, operation, $rootScope.userType, deviceType)
        .then(function (d) {
          $rootScope.user.card = card;
          console.info("注册结果：", d.data);
          if (d.status) {
//                        if ($rootScope.userType) {//如果是游客
//                            console.info("修改游客个人信息：");
//                            $rootScope.userType = "";
//                            $rootScope.user.name = userName;
//                            if (card['sex'] == "1011201") {
//                                $rootScope.gender = "1";
//                            } else {
//                                $rootScope.gender = "0";
//                            }
//
//                            $rootScope.date = card['birthday'];
//                            $rootScope.user.phone = card['mobile1'];
//                        }


            $rootScope.user.isVip = true;
            $rootScope.user.ymDaysLeft = 365 * duration;
            $cordovaToast.showLongCenter("服务购买成功");
            $ionicNativeTransitions.stateGo('tab.home', null, {
              "type": "slide",
              "direction": "right",
              "duration": 500
            });
          } else {
            ErrorShow(d.message);
            return;
          }
        }, function (e) {
          console.error(e);
        });
    }

    /**
     * 立即开通
     */
    $scope.immediately = function () {
      var params = {};   //微信参数
      var payInfo = null; //支付宝参数
      var result = null;
      if ($scope.form.isPay) {
        $scope.openYm();
        return;
      }
      console.info(productId, userName, description, totalPrice, $scope.form.pay);
      userService.getPayParams(productId, userName, description, totalPrice, $scope.form.pay).then(function (d) {
        result = d;
        console.info("下单返回的参数：", d);
        orderNo = d.orderNo;
        if ($scope.form.pay == 'wechat') {
          console.info("微信支付");
          Wechat.isInstalled(function (installed) {
            console.info("已经安装了微信");
            if (!installed) {
              ErrorShow('您还未安装微信客户端喔');
            }
          }, function (reason) {
            ErrorShow(reason);
            return;
          });
          params.partnerid = result.data.partnerid;
          params.prepayid = result.data.prepayid;
          params.noncestr = result.data.noncestr;
          params.timestamp = result.data.timestamp;
          params.sign = result.data.sign;
          $scope.wxPay(params);
        } else {
          payInfo = result.data;
          console.info("支付宝支付");
          $scope.aliPay(payInfo);
        }
      }, function (e) {
        console.error(e);
      });
    }


    $scope.goBack = function () {
      //取出回退页面跳转参数
      var param = $cacheFactory.get($stateParams.backUrl);
      var sp = null;
      //如果不在页面参数则设置为空串
      if (param) {
        sp = param.get('stateParams');
        if (!sp) {
          sp = {};
        }
      } else {
        sp = {};
      }
      $ionicNativeTransitions.stateGo($stateParams.backUrl, sp, {
        "type": "slide",
        "direction": "right",
        "duration": 500
      });
    }

  })

  //手环配对友好提示
  .controller('g_ts1Ctrl', function ($scope, $rootScope, $state, $ionicNativeTransitions, $stateParams, $cacheFactory) {
    console.info("进入友好提示!!!!!!!!!!!");
    $scope.goBack = function () {
      //取出回退页面跳转参数
      var param = $cacheFactory.get($stateParams.backUrl);
      var sp = null;
      //如果不在页面参数则设置为空串
      if (param) {
        sp = param.get('stateParams');
        if (!sp) {
          sp = {};
        }
      } else {
        sp = {};
      }
      $ionicNativeTransitions.stateGo($stateParams.backUrl, sp, {
        "type": "slide",
        "direction": "right",
        "duration": 400
      });
    }
    $scope.g_ts1 = function () {
      $ionicNativeTransitions.stateGo('z_wristStrap', {backUrl: 'g_my_equipment'}, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    }
  })
  .controller('g_ts2Ctrl', function ($scope, $rootScope, $state, $ionicNativeTransitions, $stateParams, $cacheFactory) {
    $scope.goBack = function () {
      $rootScope.flag.isBindFlag = false;
      $ionicNativeTransitions.stateGo('g_my_equipment', {backUrl: 'tab.mine'}, {
        "type": "slide",
        "direction": "right",
        "duration": 400
      });
    }
    $scope.g_ts2 = function () {
      //变成未绑定
      $rootScope.flag.isBindFlag = false;
      $ionicNativeTransitions.stateGo('g_my_equipment', {backUrl: 'tab.mine'}, {
        "type": "slide",
        "direction": "right",
        "duration": 400
      });
    };
  })

  /**
   * 我的动态
   *
   */
  .controller('IndexMessageCtrl', function ($scope, $ionicNativeTransitions, $interval, $ionicGesture, $cordovaNetwork, $state, $rootScope, WebSql, Mes, MesDom, $compile, $timeout, $cacheFactory, Plan, Loading, userService, $stateParams, $cordovaLocalNotification, $ionicScrollDelegate, drugService, $ionicSlideBoxDelegate, $ionicPopup) {
    console.debug("arg:", "我的动态");
    var cache = $cacheFactory.get($state.current.name);
    if (!cache) {
      cache = $cacheFactory($state.current.name);
    }

    cache.put('stateParams', $stateParams);
    $scope.form = {
      start: 1,
      count: 3,
      has_more: true,
      hideProblem: true,
      offline: false   //是否离线
    };

    $scope.getMes = function (show_loading) {
      //加载动画为奔跑的小女孩
      var loading_type = 'running_woman';
      //alert('网络读取消息');
      if (show_loading) {
        Loading.show(loading_type, '我的动态');
      }
      $scope.form.refresh = true;
      var form = $scope.form;
      form.start = 1;
      form.has_more = true;
      //查询列表f
      Mes.find(form.start, form.count).then(function (data) {
        console.info('find the planList：', data);
        $('.z_diaryWrap').remove();
        mes_list = data.list;
        if (data.list.length == 0) {
          //首页空白
          var dom = null;
          if (data.firstTakeDate) {
            //存在历史服药计划
            dom = MesDom.get_remind_day('HAS_PLAN', data.firstTakeDate);
          } else {
            //不存在历史服药计划
            dom = MesDom.get_remind_day('HAS_NO_PLAN');
          }
          $compile(dom)($scope);
          $("#mes").append(dom);
        } else {
          $rootScope.add_plan_remind.show = false;
          for (var i in data.list) {
            var obj = data.list[i];
            console.log('data.list-' + i, obj);
//                        for (var j = 0; j < obj.drug.length; j++) {
//                            if (obj.drug[j].morning.length == 0 && obj.drug[j].beforeDawn.length == 0 && obj.drug[j].afternoon.length == 0 && obj.drug[j].evening.length == 0) {
//                                //如果服药列表4个时间段都没有药物,那么就服药长度为0
//                                console.log("服药列表为空!!!!!!!!!!!!!!!!!!!!!");
//                                obj.drug.length = 0;
//                                break;
//                            }
//                        }
            var dom = MesDom.get_day(obj);
            $compile(dom)($scope);
            $("#mes").append(dom);
          }
        }
        if (show_loading) {
          Loading.hide(loading_type);
        }
        cache.put('network_error', false);
        $scope.$emit("REFRESH_SUCCESS");
        mes_cache.put('all', mes_list);
        //form.start=form.start+ form.count;
      }, function (error) {
        if (show_loading) {
          Loading.hide(loading_type);
        }
      }).finally(function () {
        // 停止广播ion-refresher
        $scope.$broadcast('scroll.refreshComplete');

      });

    };

    /**
     * 首次加载数据
     */
    if ($rootScope.token) {
      $scope.getMes(true);
    }


    /**
     * 监听广播事件，刷新数据
     *
     */
    $rootScope.$on('login', function (evt) {
      $scope.getMes();
    });
    $rootScope.$on('$cordovaNetwork:online', function (event, networkState) {
      console.log("networkState", "网络重新连接");
      $scope.getMes();
    });
    $rootScope.$on('addMedicineSuccess', function (evt) {
      $scope.getMes();
    });

    $rootScope.$on('REFRESH_PLAN_IMG', function (evt) {
      $scope.getMes();
    })

    $rootScope.$on('TAKE_MEDICINE', function (evt, data) {
      $scope.getMes();
    });
    //服药计划广播
    $rootScope.$on('RELOAD_MESSAGE', function (evt, data) {
      console.log('监听重发广播');
      $scope.getMes();
    });

    //监听用户修改信息广播
    $rootScope.$on('USER_MODIFY', function (evt, data) {
      console.log('首页兼听广播', data);
      var name_flag = data.id ? data.id : 'self';
      MesDom.deal_name($('[name_flag="' + name_flag + '"]'), data.name, 4);
    });

    //监听报表生成事件 生成dom
    $rootScope.$on('REPORT_GENERATE', function (evt, data) {
    });

    //监听测量血氧时间 生成dom
    $rootScope.$on('CHECK_OX', function (evt, data) {
      //alert('血压测量数据广播接收');
      if (data) {
        var item = MesDom.get_ox_item(data);
        $compile(item)($scope);
        //如果今天的消息div存在
        if ($('#' + data.ymd).length > 0) {
          //如果今天有非服药消息
          if ($('#' + data.ymd + '_common_message').length > 0) {
            item.insertBefore($($('#' + data.ymd + '_common_message').children()[0]));
          } else {
            //创建浦东消息区域
            var divMes = MesDom.get_empty_common_message(data.ymd);
            $compile(divMes)($scope);
            $('#' + data.ymd).append(divMes);
            divMes.append(item);
          }
        } else {
          var div = MesDom.get_empty_day(data.ymd);
          $compile(div)($scope);
          if ($('.z_diaryWrap').length != 0) {
            div.insertBefore($('#mes').children()[0]);
          } else {
            $("#mes").append(div);
          }
          var divMes = MesDom.get_empty_common_message(data.ymd);
          divMes.css('margin-top', '0px');
          $compile(divMes)($scope);
          div.append(divMes);
          divMes.append(item);
        }
      }
    });
    //监听测量血糖时间 生成dom
    $rootScope.$on('CHECK_BS', function (evt, data) {
      //alert('血压测量数据广播接收');
      if (data) {
        var item = MesDom.get_bs_item(data);
        $compile(item)($scope);
        //如果今天的消息div存在
        if ($('#' + data.ymd).length > 0) {
          //如果今天有非服药消息
          if ($('#' + data.ymd + '_common_message').length > 0) {
            item.insertBefore($($('#' + data.ymd + '_common_message').children()[0]));
          } else {
            //创建浦东消息区域
            var divMes = MesDom.get_empty_common_message(data.ymd);
            $compile(divMes)($scope);
            $('#' + data.ymd).append(divMes);
            divMes.append(item);
          }
        } else {
          var div = MesDom.get_empty_day(data.ymd);
          $compile(div)($scope);
          if ($('.z_diaryWrap').length != 0) {
            div.insertBefore($('#mes').children()[0]);
          } else {
            $("#mes").append(div);
          }
          var divMes = MesDom.get_empty_common_message(data.ymd);
          divMes.css('margin-top', '0px');
          $compile(divMes)($scope);
          div.append(divMes);
          divMes.append(item);
        }
      }
    });

    //监听测量心率时间 生成dom
    $rootScope.$on('CHECK_HR', function (evt, data) {
      if (data) {
        var item = MesDom.get_hr_item(data);
        $compile(item)($scope);
        //如果今天的消息div存在
        if ($('#' + data.ymd).length > 0) {
          //如果今天有非服药消息
          if ($('#' + data.ymd + '_common_message').length > 0) {
            item.insertBefore($($('#' + data.ymd + '_common_message').children()[0]));
          } else {
            //创建浦东消息区域
            var divMes = MesDom.get_empty_common_message(data.ymd);
            $compile(divMes)($scope);
            $('#' + data.ymd).append(divMes);
            divMes.append(item);
          }
        } else {
          var div = MesDom.get_empty_day(data.ymd);
          $compile(div)($scope);
          if ($('.z_diaryWrap').length != 0) {
            div.insertBefore($('#mes').children()[0]);
          } else {
            $("#mes").append(div);
          }
          var divMes = MesDom.get_empty_common_message(data.ymd);
          divMes.css('margin-top', '0px');
          $compile(divMes)($scope);
          div.append(divMes);
          divMes.append(item);
        }
      }
    });

    //监听测量血压时间 生成dom
    $rootScope.$on('CHECK_BP', function (evt, data) {
      //alert('血压测量数据广播接收');
      if (data) {
        var item = MesDom.get_bp_item(data);
        $compile(item)($scope);
        //如果今天的消息div存在
        if ($('#' + data.ymd).length > 0) {
          //如果今天有非服药消息
          if ($('#' + data.ymd + '_common_message').length > 0) {
            item.insertBefore($($('#' + data.ymd + '_common_message').children()[0]));
          } else {
            //创建浦东消息区域
            var divMes = MesDom.get_empty_common_message(data.ymd);
            $compile(divMes)($scope);
            $('#' + data.ymd).append(divMes);
            divMes.append(item);
          }
        } else {
          var div = MesDom.get_empty_day(data.ymd);
          $compile(div)($scope);
          if ($('.z_diaryWrap').length != 0) {
            div.insertBefore($('#mes').children()[0]);
          } else {
            $("#mes").append(div);
          }
          var divMes = MesDom.get_empty_common_message(data.ymd);
          divMes.css('margin-top', '0px');
          $compile(divMes)($scope);
          div.append(divMes);
          divMes.append(item);
        }
      }
    });

//监听微信分享 生成dom
    $rootScope.$on('WECHAT_SHARE', function (evt, data) {
      console.log('分享广播接收');
      //根据属于年月日
      var item = MesDom.get_wechat_share_item_002(data);
      $compile(item)($scope);
      if ($('#' + data.ymd).length > 0) {
        if ($('#' + data.ymd + '_common_message').length > 0) {
          item.insertBefore($($('#' + data.ymd + '_common_message').children()[0]));
        } else {                        //创建浦东消息区域
          var divMes = MesDom.get_empty_common_message(data.ymd);
          $compile(divMes)($scope);
          $('#' + data.ymd).append(divMes);
          divMes.append(item);
        }
      } else {
        var div = MesDom.get_empty_day(data.ymd);
        $compile(div)($scope);
        if ($('.z_diaryWrap').length != 0) {
          div.insertBefore($('#mes').children()[0]);
        } else {
          $("#mes").append(div);
        }
        var divMes = MesDom.get_empty_common_message(data.ymd);
        divMes.css('margin-top', '0px');
        $compile(divMes)($scope);
        div.append(divMes);
        divMes.append(item);
      }
      $rootScope.bug.clear();
    });

    $timeout(function () {
      $scope.$emit('test');
    }, 3000);

    //监听微信回复 生成dom
    $rootScope.$on('WECHAT_REPLY', function (evt, data) {
      //alert('微信回复广播接收');
      //根据属于年月日
      //var item = MesDom.get_wechat_reply_item(data);
      var item = MesDom.get_wechat_share_item_002(data);
      $compile(item)($scope);
      var share_id = data.ymd + '_share_' + data.relation;
      if ($('#' + share_id).length > 0) {
        // alert('存在微信分享item');
        $('#' + share_id).replaceWith(item);
      } else {
        if ($('#' + data.ymd).length > 0) {
          if ($('#' + data.ymd + '_common_message').length > 0) {
            //当天普通消息存在则直接插入
            item.insertBefore($($('#' + data.ymd + '_common_message').children()[0]));
          } else {
            var divMes = MesDom.get_empty_common_message(data.ymd);
            $compile(divMes)($scope);
            $('#' + data.ymd).append(divMes);
            divMes.append(item);
          }
        } else {
          var div = MesDom.get_empty_day(data.ymd);
          $compile(div)($scope);
          if ($('.z_diaryWrap').length != 0) {
            div.insertBefore($('#mes').children()[0]);
          } else {
            $("#mes").append(div);
          }
          var divMes = MesDom.get_empty_common_message(data.ymd);
          divMes.css('margin-top', '0px');
          $compile(divMes)($scope);
          div.append(divMes);
          divMes.append(item);
        }
      }
      $rootScope.bug.clear();
    });

//监听未测量体征数据消息 生成dom
    $rootScope.$on('NO_CHECK', function (evt, data) {
      //alert('未测量数据广播接收');
      //根据属于年月日
      var item = MesDom.get_no_check_item(data);
      $compile(item)($scope);
      if ($('#' + data.ymd + '_common_message').children().length > 0) {
        item.insertBefore($($('#' + data.ymd + '_common_message').children()[0]));
      } else {
        $('#' + data.ymd + '_common_message').append(item);
      }
      $rootScope.bug.clear();
    });

    $rootScope.$on('REFRESH', function (evt, data) {
      if (cache.get('network_error')) {
        $scope.getMes();
        if (!$rootScope.user) {
          $rootScope.get_user_info();
        }
      }
    });


    var mes_list = [];
    /**
     * 今日药物进入函数
     * @param day 年月日 如'2016-06-06'
     * @param self 是否为本人
     * @param uid 计划作用人
     * @param time 时段 如凌晨、上午、下午、晚上
     */

    $scope.todayDrug = function (day, self, uid, time, evt) {
      evt.stopPropagation();
      //console.log('进入今日药物');
      $ionicNativeTransitions.stateGo('drug_bottle', {
        day: day,
        self: self,
        uid: uid,
        time: time,
        backUrl: $state.current.name
      }, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    };


    var user_cache = $cacheFactory.get('user');
    if (!user_cache) {
      user_cache = $cacheFactory('user');
    }

    var mes_cache = $cacheFactory.get('mes');
    if (!mes_cache) {
      mes_cache = $cacheFactory('mes');
    }


    $scope.health = function (type) {
      if (type == 1) {
        $timeout(function () {
          $scope.$emit('LOOK_HEALTH', {
            type: 1,
            userId: null
          });
        }, 1000);
      }
      if (type == 2) {
        $timeout(function () {
          $scope.$emit('LOOK_HEALTH', {
            type: 2,
            userId: null
          });
        }, 1000);
      }
      if (type == 3) {
        $timeout(function () {
          $scope.$emit('LOOK_HEALTH', {
            type: 3,
            userId: null
          });
        }, 1000);
      }
      if (type == 0) {
        $timeout(function () {
          $scope.$emit('LOOK_HEALTH', {
            type: 0,
            userId: null
          });
        }, 1000);
      }
      $state.go('tab.health');
    };


    /**
     * 浏览微信分享页面
     * @param shareId 分享id
     */
    $scope.look_share = function (shareId) {
      $ionicNativeTransitions.stateGo('user_messages', {
        backUrl: $state.current.name,
        shareId: shareId
      }, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    };

    /**
     * 上拉加载数据
     */
    $scope.loadMore = function () {
      $scope.getMesNext();
    };

    /**
     * 上拉加载数据实现部分，当form.has_more=true时有下一页
     */
    $scope.getMesNext = function () {
      $scope.form.refreshNext = true;
      var form = $scope.form;
      form.start = mes_list.length + 1;
      Mes.find(form.start, form.count).then(function (data) {
        mes_list = mes_list.concat(data.list);//将之前的数据追加
        for (var i in data.list) {
          var obj = data.list[i];
          console.log("获取一天的药", obj);
          var dom = MesDom.get_day(obj);
          $compile(dom)($scope);
          $("#mes").append(dom);
        }
        mes_cache.put('all', mes_list);
        if (data.list.length == 0) {
          //  alert("没有更多数据");
          $("#ERROR").css('display', 'block').html("没有更多");
          $scope.form.refreshNext = false;
          form.has_more = false;//如果获取的list数据为0，则置为false
        }
        $timeout(function () {
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, 500);
      }, function (error) {
        form.has_more = false;
        //  alert("没有更多数据");
        $("#ERROR").css('display', 'block').html("没有更多");
        $timeout(function () {
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, 500);

      }).finally(function () {
        $timeout(function () {
          $("#ERROR").css('display', 'none');
        }, 500);
      });
    };

    $scope.$on('scroll.infiniteScrollComplete', function () {
      $scope.form.refreshNext = false;
    });

    $scope.$on('scroll.refreshComplete', function () {
      $scope.form.refresh = false;
    });

    $scope.doRefreshHome = function () {
      if (sessionStorage.getItem('preTime')) {
        console.log("存在上一个时间");
        if (new Date().getTime() - sessionStorage.getItem('preTime') < 300000) {
          ErrorShow("请您5分钟后再刷");
          $scope.$broadcast('scroll.refreshComplete');
          return;
        }
      }
      sessionStorage.setItem('preTime', new Date().getTime());
      $scope.form.refresh = true;
      var form = $scope.form;
      form.start = 1;
      form.has_more = true;
      //查询列表
      Mes.find(form.start, form.count).then(function (data) {
        //alert('网络读取消息成功');
        if (data.list.length == 0 && $state.current.name == 'tab.home') {
          $rootScope.add_plan_remind.show = true;
        }
        $('.z_diaryWrap').remove();
        mes_list = data.list;
        for (var i in data.list) {
          var obj = data.list[i];
          console.log(obj + "bcd");
          console.log("首页请求的服药列表=============", obj.drug);
          var dom = MesDom.get_day(obj);
          $compile(dom)($scope);
          $("#mes").append(dom);
        }
        cache.put('network_error', false);
        $scope.$emit("REFRESH_SUCCESS");
        mes_cache.put('all', mes_list);
      }, function (error) {
        cache.put('network_error', true);
        console.log('获取消息error');
        if ($state.current.name == 'tab.home') {
          $state.go('network_error', {backUrl: $state.current.name, broadcast_name: 'REFRESH'});
        } else {
          $scope.$emit("REFRESH_ERROR");
        }
      }).finally(function () {
        // 停止广播ion-refresher
        $timeout(function () {
          $scope.$broadcast('scroll.refreshComplete');
        }, 500);

      });
    }

    /**
     * 跳转分享页面
     */
    $scope.share = function (ymd, toUser) {
      $('#' + ymd + '_' + toUser + '_share').attr('src', 'img/z_admireOff.png');
      $timeout(function () {
        $ionicNativeTransitions.stateGo('drug_share', {backUrl: $state.current.name}, {
          "type": "slide",
          "direction": "left",
          "duration": 500
        });
        $('#' + ymd + '_' + toUser + '_share').attr('src', 'img/z_admireOn.png');
      }, 500);
    };


    $scope.addMedicine = function () {
      if (!$rootScope.token) {
        $ionicNativeTransitions.stateGo('g_load', {backUrl: $state.current.name}, {
          "type": "slide",
          "direction": "left",
          "duration": 500
        });
      } else {
        if (!$rootScope.user) {
            ErrorShow.show("用户未登录");
        } else {
          $rootScope.add_plan_remind.show = false;
          $ionicNativeTransitions.stateGo('add_drug', {backUrl: $state.current.name}, {
            "type": "slide",
            "direction": "left",
            "duration": 500
          });
        }
      }

    };



    $scope.goBack = function () {
      console.debug("$stateParams.backUrl:",$stateParams.backUrl);
      //取出回退页面跳转参数
      var param = $cacheFactory.get($stateParams.backUrl);
      var sp = null;
      //如果不在页面参数则设置为空串
      if (param) {
        sp = param.get('stateParams');
        if (!sp) {
          sp = {};
        }
      } else {
        sp = {};
      }
      $ionicNativeTransitions.stateGo($stateParams.backUrl, sp, {
        "type": "slide",
        "direction": "right",
        "duration": 500
      });
    }
  })
  .controller('ActivityCtrl', function ($scope, $ionicNativeTransitions, $interval, $ionicGesture, $cordovaNetwork, $state, $rootScope, WebSql, Mes, MesDom, $compile, $timeout, $cacheFactory, Plan, Loading, userService, $stateParams, $cordovaLocalNotification, $ionicScrollDelegate, drugService, /*tipService,*/ $ionicSlideBoxDelegate, MY_MAP, $ionicPopup,$sce) {

    $scope.form = {
      start: 0,
      count: 5,
      has_more: true,
      hideProblem: true,
      offline: false   //是否离线
    };

    /**
     * 跳转到精彩活动详情页
     * @author weiqi
     */
    $scope.activityDetailAll = function (activity) {
      console.log("before",activity);
      $ionicNativeTransitions.stateGo('news_detail', {
        backUrl: 'activity_list',
        title: activity.title,
        content: activity.content,
        id: activity.id,
        shareNum: activity.shareNum,
        scanNum: activity.scanNum,
        thumbsNum: activity.thumbsNum,
        collect: activity.collect,
        thumbsStatus:activity.thumbsStatus,
        collectStatus:activity.collectStatus
      }, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    }

    /**
     * 精彩活动查询
     */
    $scope.queryWonderfulActivityAll = function () {
      drugService.queryWonderfulActivityService(2,0,5).then(function (data) {
        $scope.wonderfulActivityArticleAll = data;
        $ionicSlideBoxDelegate.update();
        //console.info("精彩活动查询:", data);
      }, function (e) {
        console.error(e);
      });
    }
    $scope.queryWonderfulActivityAll();

    $scope.doRefreshArticle = function () {
      if (sessionStorage.getItem('activityRefreshTime')) {
        if (new Date().getTime() - sessionStorage.getItem('activityRefreshTime') < 300000) {
          ErrorShow("请您稍后再刷新...");
          $scope.$broadcast('scroll.refreshComplete');
          return;
        }
      }
      sessionStorage.setItem('activityRefreshTime', new Date().getTime());
      //$scope.form.refresh = true;
      var form = $scope.form;
      form.has_more = true;
      //查询列表
      drugService.queryWonderfulActivityService(2,form.start, form.count).then(function (data) {
        $scope.wonderfulActivityArticleAll = data;
        $ionicSlideBoxDelegate.update();
        //console.info("精彩活动查询:", data);
      }, function (error) {
        console.log(error);
      }).finally(function () {
        $timeout(function () {
          $scope.$broadcast('scroll.refreshComplete');
        }, 500);
      });
    }

    /**
     * 上拉加载数据
     */
    $scope.loadMoreActivity = function () {
      console.log("-----------============");
      $scope.getActivityNext();
    };

    /**
     * 上拉加载数据实现部分，当form.has_more=true时有下一页
     */
    $scope.getActivityNext = function () {
      $scope.form.refreshNext = true;
      var form = $scope.form;
      form.start = $scope.wonderfulActivityArticleAll.length + 1;
      drugService.queryWonderfulActivityService(3,form.start, form.count).then(function (data) {
        $scope.wonderfulActivityArticleAll = $scope.wonderfulActivityArticleAll.concat(data);
        console.log("--------------------",$scope.wonderfulActivityArticleAll);
        if (data.length == 0) {
          $("#ERROR").css('display', 'block').html("没有更多").fadeOut(1000);
          $scope.form.refreshNext = false;
          form.has_more = false;//如果获取的list数据为0，则置为false
        }
        $timeout(function () {
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, 500);
      }, function (error) {
        form.has_more = false;
        $("#ERROR").css('display', 'block').html("没有更多").fadeOut(1000);
        $timeout(function () {
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, 500);

      }).finally(function () {
        $timeout(function () {
          $("#ERROR").css('display', 'none');
        }, 500);
      });
    };
    $scope.$on('scroll.infiniteScrollComplete', function () {
      $scope.form.refreshNext = false;
    });
  $scope.goActivityDetail = function(activity){
    $ionicNativeTransitions.stateGo('activity_detail', {backUrl: 'activity_list',activityId:activity.id,
        activityUrl:activity.content,title:activity.title,brief:activity.brief},
      {
      "type": "slide",
      "direction": "left",
      "duration": 500
    });
  }
  })

  .controller('ActivityDetailCtrl', function ($scope,$rootScope,$stateParams,$sce) {
    //console.log("获取活动ID：",$stateParams.activityId);

    var regArticleText=$stateParams.activityUrl.replace(/<\/?.+?>/g,"");
    var content=regArticleText.replace(/&nbsp;/g,"");
    var contentText = content.replace(/ /g,"");
    console.log("获取活动动态地址：",contentText);
    //获取活动详情动态地址
    $scope.requestUrlDll = contentText+"?id="+$stateParams.activityId+"&token="+$rootScope.token;
    //获取活动详情静态地址
    //$scope.requsetUrl = $rootScope.reqUrl+"/article/activity/detail.htm"+"?id="+$stateParams.activityId+"&token="+$rootScope.token;
    $scope.obtainActivityDetail = $sce.trustAsResourceUrl($scope.requestUrlDll);

    /**
     * 分享到微信（供其他函数调用）
     * @param p_scene 场景：朋友圈，微信好友
     */
    $scope.shareWechat = function (p_scene) {
      Wechat.isInstalled(function () {
        var title = $stateParams.title;
        if (!title) {
          ErrorShow("标题不能为空！");
          return;
        }
        //测试库链接
        var url = $rootScope.reqUrl + "/article/activity/detail.htm?id=" + $stateParams.activityId;
        var desc = $stateParams.brief;  //分享描述
        var thumb = $rootScope.reqUrl + "/app/img/healthpatient.png";
        var msg = {
          message: {
            title: title,
            description: desc,
            thumb: thumb,
            media: {
              type: Wechat.Type.WEBPAGE,
              webpageUrl: url
            }
          },
          scene: p_scene
        }

        Wechat.share(msg, function (data) {
          var type = p_scene == Wechat.Scene.TIMELINE ? 0 : 1;
          console.info("data", data);
        }, function (error) {
          console.error("error:", error);
        });

      }, function () {
        alert('请安装微信客户端');
      });

    };
    //分享到QQ
    $scope.qqShare = function () {
      YCQQ.checkClientInstalled(function () {
        var title = $stateParams.title;
        if (!title) {
          ErrorShow("标题不能为空");
          return;
        }
        var args = {};
        //正式库链接
        var reqUrlQQ = '';
        if ($rootScope.reqQQAppid == '101327838') {
          reqUrlQQ = 'appdemo.sinoicity.com';//测试库
        } else {
          reqUrlQQ = 'wx.sinoicity.com';//正式库
        }
        args.url = $rootScope.reqUrl + "/article/activity/detail.htm?id=" + $stateParams.activityId;
        args.title = title;
        args.description = $stateParams.brief;
        args.imageUrl = "http://appdemo.sinoicity.com:8080/HealthMonitor/app/img/healthpatient.png";
        args.appName = "心常态";
        YCQQ.shareToQQ(function () {

          console.log("进如sharetoQQ方法");
        }, function (failReason) {
          console.error("failReason:", failReason);
        }, args);
      }, function () {
        ErrorShow('请安装QQ客户端');
      });

    };

    //分享到朋友圈
    $scope.weiboShare = function () {
      $scope.shareWechat(Wechat.Scene.TIMELINE);
    };

    //分享给微信好友
    $scope.weixinShare = function () {
      $scope.shareWechat(Wechat.Scene.SESSION);
    };

  })

  .controller('ArticleCtrl', function ($scope, drugService, $ionicSlideBoxDelegate, $ionicNativeTransitions,$rootScope,$timeout) {

    $scope.form = {
      start: 0,
      count: 5,
      has_more: true,
      hideProblem: true,
      offline: false   //是否离线
    };

    /**
     * 跳转到精彩文章详情页
     * @author weiqi
     */
    $scope.wonderfulArticleDetailAll = function (article) {
      //console.log("shoucangye========",article);
      $ionicNativeTransitions.stateGo('news_detail', {
        backUrl: 'article_list',
        title: article.title,
        content: article.content,
        id: article.id,
        shareNum: article.shareNum,
        scanNum: article.scanNum,
        thumbsNum: article.thumbsNum,
        collect: article.collect,
        thumbsStatus:article.thumbsStatus,
        collectStatus:article.collectStatus
      }, {
        "type": "slide",
        "direction": "left",
        "duration": 500
      });
    }

    $scope.addShareNum = function(article){
      drugService.addShareNumService(article).then(function (data) {
      }, function (e) {
        console.error(e);
      });
    }

    /**
     * 精选文章查询
     */
    $scope.queryWonderfulArticleAll = function () {
      drugService.queryWonderfulActivityService(3,0,5).then(function (data) {
        $scope.wonderfulArticleAll = data;
        $ionicSlideBoxDelegate.update();
        //console.info("精彩文章数据:", data);
      }, function (e) {
        console.error(e);
      });
    }
    $scope.queryWonderfulArticleAll();
    $rootScope.$on("ADDTHUMOTHER",function (evt,data) {
      $scope.queryWonderfulArticleAll();
    })
    $rootScope.$on("ADDTHUMOTHER1",function (evt,data) {
      $scope.queryWonderfulArticleAll();
    })
    /**
     * 获取收藏文章
     */
    $scope.queryCollectArticleAll = function () {
      drugService.queryCollectActivityService().then(function (data) {
        $scope.collectArticleAll = data;
        $ionicSlideBoxDelegate.update();
        //console.info("收藏也数据==========:", data);
      }, function (e) {
        console.error(e);
      });
    }
    $scope.queryCollectArticleAll();
    $scope.$on("REFRESHCOLLECT",function (evt,data) {
      $scope.queryWonderfulArticleAll();
    });

    $rootScope.$on("DIRECTIVE_SHARE_MODIFY",function(evt,data,temp){
      $scope.queryWonderfulArticleAll();
      $scope.queryCollectArticleAll();
    })

    $scope.addThumbsUp = function (articleOrActivity) {
      console.log("收藏也来的数据",articleOrActivity);
      drugService.addThumbsUpNumService(articleOrActivity).then(function (data) {
        console.log("收藏也来的数据1",data);
        $rootScope.$emit("ADDTHUMOTHER",data);
        articleOrActivity.thumbsNum = data[0].thumbsUp;
        articleOrActivity.thumbsStatus = data[0].status;
        window.document.getElementById(articleOrActivity.id).innerHTML = data[0].thumbsUp;
        if(data[0].status == 1){
          window.document.getElementById(articleOrActivity.id).style.backgroundImage = 'url(img/z_artIcon03On.png)';
          articleOrActivity.thumbsStatus = data[0].status;
        }else{
          window.document.getElementById(articleOrActivity.id).style.backgroundImage = 'url(img/z_artIcon03.png)';
          articleOrActivity.thumbsStatus = data[0].status;
        }
        console.log("全部文章里面点赞成功!");
      }, function (error) {
        console.error(error);
      })
    }

    $scope.addCollectArticle = function (collectArticle) {
      drugService.addCollectArticleService(collectArticle).then(function (data) {
        collectArticle.collect = data[0].collect;
        collectArticle.collectStatus = data[0].status;
        $scope.$emit("REFRESHCOLLECT",data);
        //window.document.getElementById(articleOrActivity.id).innerHTML = data[0].thumbsUp;
        if(data[0].status == 1){
          window.document.getElementById(collectArticle.id+"addCollect").style.backgroundImage = 'url(img/z_caiOn.png)';
        }else{
          window.document.getElementById(collectArticle.id+"addCollect").style.backgroundImage = 'url(img/z_cai.png)';
        }
        console.log("全部文章里面收藏文章成功!");
      }, function (error) {
        console.error(error);
      })
    }


    $scope.addThumbsUp1 = function (articleOrActivity) {
      console.log("收藏也来的数据",articleOrActivity);
      drugService.addThumbsUpNumService(articleOrActivity).then(function (data) {
        console.log("收藏也来的数据1",data);
        $rootScope.$emit("ADDTHUMOTHER1",data);
        articleOrActivity.thumbsNum = data[0].thumbsUp;
        articleOrActivity.thumbsStatus = data[0].status;
        window.document.getElementById(articleOrActivity.id+11).innerHTML = data[0].thumbsUp;
        if(data[0].status == 1){
          window.document.getElementById(articleOrActivity.id+11).style.backgroundImage = 'url(img/z_artIcon03On.png)';
          articleOrActivity.thumbsStatus = data[0].status;
        }else{
          window.document.getElementById(articleOrActivity.id+11).style.backgroundImage = 'url(img/z_artIcon03.png)';
          articleOrActivity.thumbsStatus = data[0].status;
        }
        console.log("全部文章里面点赞成功!");
      }, function (error) {
        console.error(error);
      })
    }

    $scope.addCollectArticle1 = function (collectArticle) {
      drugService.addCollectArticleService(collectArticle).then(function (data) {
        collectArticle.collect = data[0].collect;
        collectArticle.collectStatus = data[0].status;
        //window.document.getElementById(articleOrActivity.id).innerHTML = data[0].thumbsUp;
        if(data[0].status == 1){
          window.document.getElementById(collectArticle.id+12).style.backgroundImage = 'url(img/z_caiOn.png)';
        }else{
          window.document.getElementById(collectArticle.id+12).style.backgroundImage = 'url(img/z_cai.png)';
        }
        console.log("全部文章里面收藏文章成功!");
      }, function (error) {
        console.error(error);
      })
    }

  $scope.doRefreshArticle = function () {
        if (sessionStorage.getItem('preTime')) {
          if (new Date().getTime() - sessionStorage.getItem('preTime') < 300000) {
            ErrorShow("请您稍后再刷新...");
            $scope.$broadcast('scroll.refreshComplete');
            return;
          }
        }
        sessionStorage.setItem('preTime', new Date().getTime());
        $scope.form.refresh = true;
        var form = $scope.form;
        form.start = 1;
        form.has_more = true;
        //查询列表
        drugService.queryWonderfulActivityService(3,form.start, form.count).then(function (data) {
          $scope.wonderfulArticleAll = data;
          $ionicSlideBoxDelegate.update();
        }, function (error) {
          console.log(error);
        }).finally(function () {
          $timeout(function () {
            $scope.$broadcast('scroll.refreshComplete');
          }, 500);
        });
  }

  $scope.doRefreshCollect = function () {

      drugService.queryCollectActivityService().then(function (data) {
        $scope.collectArticleAll = data;
        $ionicSlideBoxDelegate.update();
      }, function (error) {
        console.log(error);
      }).finally(function () {
        $timeout(function () {
          $scope.$broadcast('scroll.refreshComplete');
        }, 500);
      });
  }

    /**
     * 上拉加载数据
     */
    $scope.loadMoreArticle = function () {
      console.log("-----------============");
      $scope.getArticleNext();
    };

    /**
     * 上拉加载数据实现部分，当form.has_more=true时有下一页
     */
    $scope.getArticleNext = function () {
      $scope.form.refreshNext = true;
      var form = $scope.form;
      form.start = $scope.wonderfulArticleAll.length + 1;
      console.log("--------------------",$scope.wonderfulArticleAll);
      drugService.queryWonderfulActivityService(3,form.start, form.count).then(function (data) {
        $scope.wonderfulArticleAll = $scope.wonderfulArticleAll.concat(data);
        if (data.length == 0) {
          $("#ERROR").css('display', 'block').html("没有更多").fadeOut(1000);
          $scope.form.refreshNext = false;
          form.has_more = false;//如果获取的list数据为0，则置为false
        }
        $timeout(function () {
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, 500);
      }, function (error) {
        form.has_more = false;
        $("#ERROR").css('display', 'block').html("没有更多").fadeOut(1000);
        $timeout(function () {
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }, 500);

      }).finally(function () {
        $timeout(function () {
          $("#ERROR").css('display', 'none');
        }, 500);
      });
    };
    $scope.$on('scroll.infiniteScrollComplete', function () {
      $scope.form.refreshNext = false;
    });
    /**
     * 分享到微信（供其他函数调用）
     * @param p_scene 场景：朋友圈，微信好友
     */
    $scope.shareWechat = function (p_scene) {
      Wechat.isInstalled(function () {
        var title = $scope.form.title;
        if (!title) {
          ErrorShow("标题不能为空！");
          return;
        }
        //测试库链接
        var url = $rootScope.reqUrl + "/share/news.htm?articleId=" + $stateParams.id;
        var desc = text;  //分享描述
        var thumb = $rootScope.reqUrl + "/app/img/healthpatient.png";
        var msg = {
          message: {
            title: title,
            description: desc,
            thumb: thumb,
            media: {
              type: Wechat.Type.WEBPAGE,
              webpageUrl: url
            }
          },
          scene: p_scene
        }

        Wechat.share(msg, function (data) {

          drugService.addShareNumService($stateParams.id).then(function (data) {
            //$rootScope.speciallyShareNum = data[0].shareNum;
            var temp = $stateParams.id;
            $scope.$emit("SHARE_MODIFY",data,temp);
            //$scope.queryWonderfulArticle();
          }, function (e) {
            console.error(e);
          });
          var type = p_scene == Wechat.Scene.TIMELINE ? 0 : 1;
          console.info("data", data);
        }, function (error) {
          console.error("error:", error);
        });

      }, function () {
        alert('请安装微信客户端');
      });


    };
    //分享到QQ
    $scope.qqShare = function () {
      YCQQ.checkClientInstalled(function () {
        var title = $scope.form.title;
        if (!title) {
          ErrorShow("标题不能为空");
          return;
        }
        var args = {};
        //正式库链接
        var reqUrlQQ = '';
        if ($rootScope.reqQQAppid == '101327838') {
          reqUrlQQ = 'appdemo.sinoicity.com';//测试库
        } else {
          reqUrlQQ = 'wx.sinoicity.com';//正式库
        }
        args.url = $rootScope.reqUrl + "/share/news.htm?articleId=" + $stateParams.id;
        args.title = title;
        args.description = text;
        args.imageUrl = "http://appdemo.sinoicity.com:8080/HealthMonitor/app/img/healthpatient.png";
        args.appName = "心常态";
        //YCQQ
        YCQQ.shareToQQ(function () {
          drugService.addShareNumService($stateParams.id).then(function (data) {
            //$rootScope.speciallyShareNum = data[0].shareNum;
            var temp = $stateParams.id;
            $scope.$emit("SHARE_MODIFY",data,temp);
            //$scope.queryWonderfulArticle();
          }, function (e) {
            console.error(e);
          });
          console.log("进如sharetoQQ方法");
        }, function (failReason) {
          console.error("failReason:", failReason);
        }, args);
      }, function () {
        ErrorShow('请安装QQ客户端');
      });

    };

    //分享到朋友圈
    $scope.weiboShare = function () {
      $scope.shareWechat(Wechat.Scene.TIMELINE);
    };


    //分享给微信好友
    $scope.weixinShare = function () {
      $scope.shareWechat(Wechat.Scene.SESSION);
    };

  });
