angular.module('OPERATION_REMIND', [])
    .factory('Loading', function ($rootScope) {
        return {
            /**
             * 显示提示框
             * @param type 类型
             * @param title 标题
             * @param not_show_tabs 不显示底部标签
             */
            show: function (type, title, not_show_tabs) {
                //var show_height = $rootScope.screenHeight - 44;
                var show_height = $rootScope.screenHeight -44 ;
                if (not_show_tabs) {
                    show_height = $rootScope.screenHeight + 44;
                    //show_height = $rootScope.screenHeight;
                }
                $('#running_woman').css('height', show_height + 'px');
                if (type == 'running_woman') {
                    $('#running_woman_title').html(title);
                    $('#running_woman').css('display', 'block');
                }
            },
            /**
             * 隐藏提示框
             * @param type 类型
             */
            hide: function (type) {
                if (type == 'running_woman') {
                    $('#running_woman').css('display', 'none');
                }
            }
        }
    });