var baseineval = 128;
var adu = 100;
var samplingrate = 320;
var max_times = 0;
var points_one_times = 4;
//一个大格的宽度
var gride_width = 40;

var gx = points_one_times * (gride_width * 4 / samplingrate);
var x_start = 0;
var y_starts = 100;
var draw_lines_index = [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11];
var last_points = [
    [gride_width, 100],
    [gride_width, 200],
    [gride_width, 300],
    [gride_width, 400],
    [gride_width, 500],
    [gride_width, 600],
    [gride_width, 700],
    [gride_width, 800],
    [gride_width, 900],
    [gride_width, 1000],
    [gride_width, 1100],
    [gride_width, 1200]
];

//缩放倍数
var ecg_scope = 0.034;

var current_times = 0;
var hits = 1;
var channels = 8;
var count = draw_lines_index.length;


//数据队列方法
function Queue() {
    var B = new Array();
    var A = 50;
    Queue.prototype.EnQueue = function (C) {
        if (C == null) {
            return -1
        }
        if (B.length >= this.capacity) {
            B.remove(0)
        }
        B.push(C)
    };
    Queue.prototype.DeQueue = function () {
        if (B.length == 0) {
            return null
        } else {
            return B.shift()
        }
    };
    Queue.prototype.GetSize = function () {
        return B.length
    };
    Queue.prototype.GetHead = function () {
        if (B.length == 0) {
            return null
        } else {
            return B[0]
        }
    };
    Queue.prototype.MakeEmpty = function () {
        B.length = 0
    };
    Queue.prototype.IsEmpty = function () {
        if (B.length == 0) {
            return true
        } else {
            return false
        }
    }
}


var canvas = null;
var canvasline = null;
var ctx = null;
var linectx = null;
var width = 0;
var height = 0;
var isstop = true;

function drawecg(bgid, id, time) {
    //获取画背景网格的canvas
    canvasline = document.getElementById(id);
    if (bgid == 'ecg_background') {
        width = window.screen.width;
        canvasline.width=window.screen.width;
    }
    if (time) {
        $("#detail_bg_ecg").css("width", time * 7200);
        canvasline.width = time * 7200;
        height = 250;
        width = time * 7200;
    } else {
        height = 250;
    }
    x_start = 0;
    y_starts = 160;
    //获取画线canvas
    linectx = canvasline.getContext("2d");
    current_times = 0;
    oQueue.MakeEmpty();
//    if (bgid == 'ecg_background') {
//        ctx = canvas.getContext("2d");
//        drawgrid();
//    }
}


//画背景网格
//function drawgrid() {
//    var D = gride_width;
//    var H = gride_width;
//    var B = 0;
//    var C = 0;
//    var G = width;
//    var E = height;
//
//    ctx.lineWidth = 2;
//    ctx.strokeStyle = "#ffbebe";
//    ctx.moveTo(B, C);
//    ctx.lineTo(G, C);
//    ctx.stroke();
//    //细线间隔
//    var F = D / 5;
//    //画横粗线
//    while (C < E) {
//        C = C + H;
//        ctx.moveTo(B, C - 1);
//        ctx.lineTo(G, C - 1);
//        ctx.stroke()
//    }
//    C = 0;
//    ctx.moveTo(B, C);
//    ctx.lineTo(B, E);
//    ctx.stroke();
//    //画纵粗线
//    console.log("ddd", G)
//    while (B < G) {
//        B = B + D;
//        ctx.moveTo(B - 1, C);
//        ctx.lineTo(B - 1, E);
//        ctx.stroke()
//    }
//    ctx.lineWidth = 1;
//    ctx.strokeStyle = "#ffbebe";
//    B = 0;
//    C = 0;
//    G = width;
//    E = height;
//    while (C < E) {
//        for (var A = 0; A < 4; A++) {
//            C = C + F;
//            ctx.moveTo(B, C - 0.5);
//            ctx.lineTo(G, C - 0.5);
//            ctx.stroke()
//        }
//    }
//    B = 0;
//    C = 0;
//    G = width;
//    E = height;
//    while (B < G) {
//        for (var A = 0; A < 4; A++) {
//            B = B + F;
//            ctx.moveTo(B - 0.5, C);
//            ctx.lineTo(B - 0.5, E);
//            ctx.stroke()
//        }
//    }
//}
var oQueue = new Queue();

function ecg() {
    initparm();
    // Convert16Scale(data);
    loop();
}

//解析数据
function Convert16Scale(data) {
    oQueue.EnQueue(data)
    //adddata(ecgdata, 5)
}

function showgrid() {
    var A = document.getElementById("chkshowgrid").checked;
    if (A) {
        drawgrid()
    } else {
        ctx.beginPath();
        ctx.clearRect(0, 0, width, height);
        ctx.stroke()
    }
    addfilltext()
}


function initparm() {
    if (width < 150) {
        console.log("宽度小于150px")
    } else {
        max_times = parseInt((width - 70) / gx)
    }
    linectx.strokeStyle = "#3f3a39";
    linectx.lineWidth = 1.7;
}
var current_time_millis = 0;


function sleep(B) {
    var A = new Date().getTime();
    for (var C = 0; C < 10000000; C++) {
        if ((new Date().getTime() - A) > B) {
            break
        }
    }
}


function loop() {
    var A = new Date().getTime();
    current_time_millis = A;
    draw(y_starts, baseineval, adu, samplingrate, max_times, points_one_times, linectx, draw_lines_index);
    if (isstop) {
        setTimeout(loop, 10);
        var C = new Date().getTime();
        var B = C - current_time_millis + 1;
        if (B < 10) {
            sleep(10 - B)
        }
    }
    if (oQueue.IsEmpty()) {
        //Convert16Scale()
    }
}

function draw(Q, B, P, N, G, H, A, E) {
    current_times = current_times % G;
    if (oQueue.IsEmpty()) {
        return
    }
    if (oQueue.GetSize() < H) {
        return
    }
    clearcanvans(current_times, H, N, A);
    //一次取出队列中的一组点
    var F = new Array();
    F = oQueue.DeQueue();

    A.beginPath();


    for (var K = 0; K < F.length; K++) {
        //遍历一组点轨迹
        //一个点
        var C = F[K] - B;
        //点与点之间的宽度
        var I = K * parseFloat((gride_width * 5 / N));
        //点的纵坐标 ecg_scope为放大倍数
        var M;
        if (ecg_scope != 0) {
            M = parseFloat((Math.abs(C)) * (P / (gride_width * 2)) * ecg_scope)
        } else {
            M = parseFloat((Math.abs(C)) * (P / (gride_width * 2)) / 2)
        }
        //每次的起点
        var L = parseFloat(x_start + current_times * H * (gride_width * 5 / N));
        if (K == 0) {
            //第一次画点
            if (current_times != 0) {
                //移动到起始位置
                A.moveTo(last_points[1][0], last_points[1][1]);
                var D = parseFloat(C >= 0 ? Q - M : Q + M);
                A.lineTo(last_points[1][0], D+77);
                last_points[1][0] = last_points[1][0];
                last_points[1][1] = D+77;
            } else {
                var D = parseFloat(C >= 0 ? Q - M : Q + M);
                A.moveTo(x_start, D+77);
                last_points[1][0] = x_start;
                last_points[1][1] = D+77;
            }
        } else {
            var D = parseFloat(C >= 0 ? Q - M : Q + M);
            A.lineTo(L + I, D+77);
            last_points[1][0] = L + I;
            last_points[1][1] = D+77;
        }
    }

    A.stroke();
    current_times++
}

function clearcanvans(B, F, C, D) {
    var A = parseFloat(F * (gride_width * 5 / C));
    var E = x_start + B * A;
    if (B != 0) {
        D.clearRect(E, 0, width, height)
    } else {
        D.clearRect(E - 10, 0, E + 20, height)
    }
}
function convertCanvasToImage() {
    var image = new Image();
    image.src = canvas.toDataURL("image/png");
    return image;
}