<!-- health.js 里面所用到的方法  start -->
//得到X轴坐标
function getXArray(datas) {
  var xArr = new Array();
  var time = date2str(new Date(), 'MM/dd hh:mm');
  var dataArray = ["", "", "", "", "", "", ""];
  if (datas.data.length <= 0 && datas.healthIndex != 'stepnum') {
    return dataArray;
  }
  if (datas.healthIndex == 'bp' || datas.healthIndex == 'bmi') {
    var count = 0;
    for (var i = datas.data.length - 1; i >= 0; i--) {
      if (datas.data[i].itemCode == 'SZY' || datas.data[i].itemCode == 'TZ') {
        xArr[count] = date2str(new Date(datas.data[i].examTime), 'MM/dd hh:mm');
        count++;
      }
    }
  } else if (datas.healthIndex == 'stepnum') {
    xArr = ['00', '', '03', '', '06', '', '09', '', '12', '', '15', '', '18', '', '21', '', '24']
  } else {
    var count = 0;
    for (var i = datas.data.length - 1; i >= 0; i--) {
      xArr[count] = date2str(new Date(datas.data[i].examTime), 'MM/dd hh:mm');
      count++;
    }
  }
  console.log(xArr)
  return xArr;
}
function getTime(data) {
  if (data.data.length > 0) {
    return date2str(new Date(data.data[data.data.length - 1].examTime), 'yyyy年');
  }
  return date2str(new Date(), 'yyyy年');
}
//获取Y轴坐标
function getyArray(data) {
  console.log(data);
  var yArray = new Array();
  /*    if (data.healthIndex == 'stepnum') {
   yArray = [null, 233, null, 450, null, 630, null, 350, null, 444, null, 666, null, 555, null, 789, null];
   console.log(yArray)
   return yArray;
   }*/
  if (data.healthIndex == 'bp') {
    if (data.data.length <= 0) {
      yArray = [
        [null, null],
        [null, null],
        [null, null],
        [null, null],
        [null, null],
        [null, null],
        [null, null]
      ];
      return yArray;
    }
    var bpArray = new Array();
    var c1 = 0;
    var count = 0;
    for (var i = data.data.length - 1; i >= 0; i--) {
      if (data.data[i].itemCode == 'SSY') {
        bpArray[0] = parseFloat(data.data[i].data);
        count++;
      } else if (data.data[i].itemCode == 'SZY') {
        bpArray[1] = parseFloat(data.data[i].data);
        count++;
      }
      if (count == 2) {
        yArray[c1++] = bpArray;
        bpArray = new Array();
        count = 0;
      }
    }
  } else if (data.healthIndex == 'bmi') {
    if (data.data.length <= 0) {
      yArray = [null, null, null, null, null, null, null];
      return yArray;
    }
    var b1 = 0;
    for (var i = data.data.length - 1; i >= 0; i--) {
      if (data.data[i].itemCode == 'TZ') {
        yArray[b1] = parseFloat(data.data[i].data);
        b1++;
      }
    }
    console.log("bmi", yArray);
  } else if (data.healthIndex == 'stepnum') {
    if (data.data.length <= 0) {
      yArray = [null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null];
      return yArray;
    }
    for (var j = 0, count = data.data.length - 1; j < 16; j = j + 2, count--) {
      yArray[j] = null;
      if (data.data[count].data == 0) {
        yArray[j + 1] = null;
      } else {
        yArray[j + 1] = parseFloat(data.data[count].data);
      }
    }
    if (yArray.length == 16) {
      yArray[16] = null;
    }
    console.log(yArray)
  } else {
    if (data.data.length <= 0) {
      yArray = [null, null, null, null, null, null, null];
      return yArray;
    }
    //o.name = changeName(data.healthIndex);
    for (var j = 0; j < data.data.length; j++) {
      yArray[data.data.length - j - 1] = parseFloat(data.data[j].data);
    }
  }
  console.log(yArray);
  return yArray;
}
//获取页面显示标题名称
function changeName(healthIndex, userId, users) {
  var name = '';
  if (!userId) {
    name = '我的';
  } else {
    for (var i = 0; i < users.length; i++) {
      if (users[i].systemUserId == userId) {
        name = users[i].name + '的';
        break;
      }
    }
  }
  if (healthIndex == 'bs' || healthIndex == 'XT1' || healthIndex == 'XT2') {
    return name + "血糖"; //mmol/L
  }
  if (healthIndex == 'ox') {
    return name + "血氧";    //%
  }
  if (healthIndex == 'hr') {
    return name + "心率";    //bpm/min
  }
  if (healthIndex == 'bp') {
    return name + "血压";
  }
  if (healthIndex == 'bmi') {
    return name + "体重";
  }
  if (healthIndex == 'stepnum') {
    return name + "运动";
  }
  if (healthIndex == 'sleep') {
    return name + "睡眠";
  }
  if (healthIndex == 'ecg') {
    return name + "心电";
  }
}
//获取当前点对应的时间
function getDataTime(x, data) {
  return date2str(new Date(data.data[data.data.length - x].examTime), 'yyyy.MM.dd hh:mm');
}
//时间转换
function date2str(x, y) {
  var z = {
    M: x.getMonth() + 1,
    d: x.getDate(),
    h: x.getHours(),
    m: x.getMinutes(),
    s: x.getSeconds()
  };
  y = y.replace(/(M+|d+|h+|m+|s+)/g, function (v) {
    return ((v.length > 1 ? "0" : "") + eval('z.' + v.slice(-1))).slice(-2);
  });
  return y.replace(/(y+)/g, function (v) {
    return x.getFullYear().toString().slice(-v.length);
  });
}

//改变折线图的类型
function changeType(index) {
  if (index == 'bp') {
    return 'columnrange';   //柱状
  } else if (index == 'stepnum') {
    return 'column';
  } else {
    return 'line';      //线性
  }
}
//获取单位
function getUnit(healthIndex) {
  if (healthIndex == 'bs') {
    return " mmol/L"; //mmol/L
  }
  if (healthIndex == 'ox') {
    return " %";    //%
  }
  if (healthIndex == 'hr') {
    return " bpm/min";    //bpm/min
  }
  if (healthIndex == 'bp') {
    return " mmHg";
  }
  if (healthIndex == 'bmi') {
    return " BMI";
  }
}
//获取体检数据
function getTdata(data) {
  if (!data || data.data.length <= 0) {
    return;
  }
  if (data.healthIndex == 'bp') {
    console.log("血压值！！！");
    var count = 0;
    var first;
    var last;
    for (var i = 0; i < data.data.length; i++) {
      if (data.data[i].itemCode == 'SSY') {
        first = parseFloat(data.data[i].data);
        count++;
      } else if (data.data[i].itemCode == 'SZY') {
        last = parseFloat(data.data[i].data);
        count++;
      }
      if (count == 2) {
        $("#zz_tdata").html(first + '/' + last + '<small>mmHg</small>');
        return first + '/' + last;
      }
    }
  } else if (data.healthIndex == 'bmi') {
    var count = 0;
    var first;
    var last;
    for (var i = 0; i < data.data.length; i++) {
      if (data.data[i].itemCode == 'TZ') {
        if (!first) {
          first = parseFloat(data.data[i].data);
        }
        count++;
      } else if (data.data[i].itemCode == 'BMI') {
        if (!last) {
          last = data.data[i].data;
        }
        count++;
      }
      if (count == 2 && last) {
        $("#zz_tdata").html(first + '<small>kg</small>' + '/<span id="zz_dddd">' + last + '</span><small>bmi</small>');
        return first + '/' + last;
      }
      if (count == 2 && !last) {
        $("#zz_tdata").html(first + '<small>kg</small>' + '/-');
        return first + '/-';
      }
    }
  } else if (data.healthIndex == 'bs' || data.healthIndex == 'XT1' || data.healthIndex == 'XT2') {
    $("#zz_tdata").html(data.data[0].data + '<small>' + 'mmol/L' + '</small>');
    return data.data[0].data;
  } else if (data.healthIndex == 'hr') {
    $("#zz_tdata").html(data.data[0].data + '<small>' + '次/分钟' + '</small>');
    return data.data[0].data;
  } else if (data.healthIndex == 'ox') {
    $("#zz_tdata").html(data.data[0].data + '<small>' + '%' + '</small>');
    return data.data[0].data;
  } else if (data.healthIndex == 'stepnum') {
    var count = 0;
    for (var i = 0; i < data.data.length; i++) {
      count += parseFloat(data.data[i].data);
    }
    $("#zz_tdata").html(count + '<small>' + ' 步' + '</small>');
    return count;
  } else if (data.healthIndex == 'sleep') {
    var count = 0;
    for (var i = 0; i < data.data.length; i++) {
      if (data.data[i].itemCode != 'WAKE' && data.data[i].itemCode != 'SLEEPSTART') {
        count += parseInt(data.data[i].data);
      }
    }
    var hour = Math.floor(count / 60);
    var min = count % 60;
    $("#zz_tdata").html(hour + '<small>' + ' 小时 ' + '</small>' + min + '<small>' + ' 分钟' + '</small>');
    return count;
  }
}
//获取各项指标的正常值
function getNdata(data) {
  var nArray = new Array();
  if (data.healthIndex == 'bp') {
    nArray[0] = 60;
    nArray[1] = 90;
    nArray[2] = 90;
    nArray[3] = 140;
  } else if (data.healthIndex == 'XT1') {
    nArray[0] = 4.4;
    nArray[1] = 6.1;
  } else if (data.healthIndex == 'XT2') {
    nArray[0] = 4.4;
    nArray[1] = 8.0;
  } else if (data.healthIndex == 'ox') {
    nArray[0] = 94;
    nArray[1] = 100;
  } else if (data.healthIndex == 'hr') {
    nArray[0] = 60;
    nArray[1] = 100;
  } else if (data.healthIndex == 'bmi' && !data.timeCategory) {
    nArray[0] = null;
    nArray[1] = null;
  } else if (data.healthIndex == 'stepnum') {
    nArray[0] = null;
    nArray[1] = null;
  } else {
    nArray[0] = 18.5;
    nArray[1] = 23.9;
  }
  console.log("表示区", nArray);
  return nArray;
}
//返回X轴中文数字对应的阿拉伯数字
/*var dateArray = [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23];*/
var wArray = ['星期日', '星期一', '星期二', '星期三', '星期四', '星期五', '星期六'];
/*var monthArray = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30];
 var yearArray = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12];*/
function changeNum(num, type, data) {
  if (type == "Day") {
    for (var i = 0; i < data.data.length; i++) {
      if (new Date(data.data[i].time).getHours() == num) {
        return data.data[i];
      }
    }
  } else if (type == "Week") {
    for (var i = 0; i < data.data.length; i++) {
      if (wArray[new Date(data.data[i].time).getDay()] == num) {
        return data.data[i];
      }
    }
  } else if (type == "Month") {
    for (var i = 0; i < data.data.length; i++) {
      if (new Date(data.data[i].time).getDate() == num - 1) {
        return data.data[i];
      }
    }
  } else {
    for (var i = 0; i < data.data.length; i++) {
      if (new Date(data.data[i].time).getMonth() == num - 1) {
        return data.data[i];
      }
    }
  }
}
/**
 * 获取提示框
 * @param num
 * @param type
 * @param data
 * @returns {string}
 */
function getToolTips(num, type, data) {
  var obj = changeNum(num, type, data);
  var tips = '<span style="font-size: 11px; font-weight: normal">收缩压：' + obj.value.high + '</span> <p style="font-size:10px;">mmHg</p><br/>' + '<span style="font-size: 11px;font-weight: normal">舒张压：' + obj.value.low + '</span> <p style="font-size:10px;">mmHg</p>';
  return tips;
}
//设置线条的颜色
function getColor(healthIndex) {
  if (healthIndex == 'XT1' || healthIndex == 'XT2' || healthIndex == 'bs') {//血糖
    return '#FEC400';
  }
  if (healthIndex == 'ox') {//血氧 #7D9AE6
    return '#7D9AE6';
  }
  if (healthIndex == 'hr') {    //心率
    return '#EE5D48';
  }
  if (healthIndex == 'bp') {    //血压
    return '#F8C38D';
  }
  if (healthIndex == 'bmi') {    //bmi
    return '#6bd5b1';
  }
  if (healthIndex == 'stepnum') {    //步数
    return '#f088dd';
  }
}
function getTickPost(data) {
  var tickData = new Array();
  //没有数据的时候设置默认值
  if (data.data.length <= 0) {
    if (data.healthIndex == 'hr') {
      tickData = [50, 70, 90, 110, 130, 150];
    } else if (data.healthIndex == 'bp') {
      tickData = [50, 70, 90, 110, 130, 150];
    } else if (data.healthIndex == 'bs' || data.healthIndex == 'XT1' || data.healthIndex == 'XT2') {
      tickData = [3.3, 3.8, 4.3, 4.8, 5.3, 5.8, 6.3];
    } else if (data.healthIndex == 'ox') {
      tickData = [89, 91, 93, 95, 97, 99, 101, 103];
    } else if (data.healthIndex == 'bmi') {
      tickData = [14, 16, 18, 20, 22, 24, 26, 28, 30];
    }
    return tickData;
    console.log("可能值", tickData);
  } else {
    return null;
  }
}
function getTickPost1(data) {
  var tickData = new Array();
  //没有数据的时候设置默认值
  if (data.data.length <= 0) {
    if (data.healthIndex == 'bs') {
      tickData = [3.8, 4.3, 4.8, 5.3, 5.8, 6.3, 6.8, 7.3, 7.8, 8.3];
    }
    return tickData;
  } else {
    return null;
  }
}
/**
 *设置Y轴刻度的精确度
 */
function getFixedNum(index) {
  if (index == 'hr' || index == 'bp') {
    return 0;
  } else {
    return 1;
  }
}
//获取各个指标的区间大小
function getTickData(data, type) {
  var tickData = new Array();
  //没有数据的时候设置默认值
  if (data.data.length <= 0 || data.healthIndex == 'stepnum') {
    tickData = [null, null, 1];
    return tickData;
  }
  var numArray = getMaxMinNum(data, type);
  if (!numArray) {
    tickData = [8.5, 4.0, 0.5];
    return tickData;
  }
  if (data.healthIndex == 'hr') {
    if (data.data[0].value) {
      tickData[0] = numArray[0] + 5;
      tickData[1] = numArray[1] - 5;
      tickData[2] = 5;
    } else {
      tickData[0] = numArray[0] + 25;
      tickData[1] = numArray[1] - 25;
      tickData[2] = 5;
    }
  } else if (data.healthIndex == 'bs') {
    if (data.data[0].value) {
      tickData[0] = numArray[0];
      tickData[1] = numArray[1] - 2;
      tickData[2] = Math.ceil(((tickData[0] + tickData[1] ) / 10)) - 1.6;
    } else {
      tickData[0] = numArray[0] + 1;
      tickData[1] = numArray[1] - 1;
      tickData[2] = Math.ceil(((tickData[0] + tickData[1] ) / 10)) - 2.5;
    }
  } else if (data.healthIndex == 'ox') {
    if (data.data[0].value) {
      tickData[0] = numArray[0] + 1;
      tickData[1] = numArray[1] - 1;
      tickData[2] = 1;
    } else {
      tickData[0] = numArray[0] + 1;
      tickData[1] = numArray[1] - 1;
      // tickData[2] = Math.floor((tickData[0] + tickData[1] ) / 10);
      tickData[2] = 1;
    }
  } else if (type == 'TZ') {
    tickData[0] = numArray[0] + 5;
    tickData[1] = numArray[1] - 5;
    tickData[2] = Math.floor((tickData[0] + tickData[1] ) / 30) - 1;
  } else if (data.healthIndex == 'bmi') {
    tickData[0] = numArray[0] + 2;
    tickData[1] = numArray[1] - 2;
    tickData[2] = Math.floor((tickData[0] + tickData[1] ) / 20) - 1;
  } else {
    tickData[0] = numArray[0] + 10;
    tickData[1] = numArray[1] - 10;
    tickData[2] = Math.floor((tickData[0] + tickData[1] ) / 10);
  }
  if (tickData[1] < 0) {
    tickData[1] = 0;
  }
  if (tickData[2] == 0) {
    tickData[2] = 1;
  }
  return tickData;
}
//获取数据中的最大值和最小值
function getMaxMinNum(data, type) {
  var maxNum;
  var minNum;
  var array = new Array();
  if (data.data[0].itemCode) {
    if (data.healthIndex == 'bmi') {
      for (var j = 0; j < data.data.length; j++) {
        if (data.data[j].itemCode == 'TZ') {
          maxNum = data.data[j].data;
          minNum = data.data[j].data;
          break;
        }
      }
      for (var i = 0; i < data.data.length; i++) {
        if (data.data[i].itemCode == 'TZ') {
          if (parseFloat(data.data[i].data) > maxNum) {
            maxNum = parseFloat(data.data[i].data);
          }
          if (parseFloat(data.data[i].data) < minNum) {
            minNum = parseFloat(data.data[i].data);
          }
        }
      }

    } else {
      maxNum = data.data[0].data;
      minNum = data.data[0].data;
      for (var i = 0; i < data.data.length; i++) {
        if (parseFloat(data.data[i].data) > maxNum) {
          maxNum = parseFloat(data.data[i].data);
        }
        if (parseFloat(data.data[i].data) < minNum) {
          minNum = parseFloat(data.data[i].data);
        }
      }
    }
  } else if (data.healthIndex == 'bp') {
    maxNum = data.data[0].value.high;
    minNum = data.data[0].value.low;
    for (var i = 0; i < data.data.length; i++) {
      if (parseFloat(data.data[i].value.high) > maxNum) {
        maxNum = parseFloat(data.data[i].value.high);
      }
      if (parseFloat(data.data[i].value.low) < minNum) {
        minNum = parseFloat(data.data[i].value.low);
      }
    }
  } else if (data.healthIndex == 'bs') {
    var t1 = new Array();
    var t2 = new Array();
    for (var i = 0; i < data.data.length; i++) {
      if (data.data[i].type == 'XT1') {
        t1.push(parseFloat(data.data[i].value));
      } else if (data.data[i].type == 'XT2') {
        t2.push(parseFloat(data.data[i].value));
      }
    }
    if (!type) {
      if (t1.length == 0) {
        return null;
      } else {
        maxNum = t1[0];
        minNum = t1[0];
        for (var j = 0; j < t1.length; j++) {
          if (t1[j] > maxNum) {
            maxNum = t1[j];
          }
          if (t1[j] < minNum) {
            minNum = t1[j];
          }
        }
      }
    } else {
      if (t2.length == 0) {
        return null;
      } else {
        maxNum = t2[0];
        minNum = t2[0];
        for (var j = 0; j < t2.length; j++) {
          if (t2[j] > maxNum) {
            maxNum = t2[j];
          }
          if (t2[j] < minNum) {
            minNum = t2[j];
          }
        }
      }
    }
  } else if (type == 'TZ') {
    maxNum = data.data[0].value.weight;
    minNum = data.data[0].value.weight;
    for (var i = 0; i < data.data.length; i++) {
      if (parseFloat(data.data[i].value.weight) > maxNum) {
        maxNum = parseFloat(data.data[i].value.weight);
      }
      if (parseFloat(data.data[i].value.weight) < minNum) {
        minNum = parseFloat(data.data[i].value.weight);
      }
    }
  } else if (data.healthIndex == 'bmi') {
    maxNum = data.data[0].value.bmi;
    minNum = data.data[0].value.bmi;
    for (var i = 0; i < data.data.length; i++) {
      if (parseFloat(data.data[i].value.bmi) > maxNum) {
        maxNum = parseFloat(data.data[i].value.bmi);
      }
      if (parseFloat(data.data[i].value.bmi) < minNum) {
        minNum = parseFloat(data.data[i].value.bmi);
      }
    }
  } else {
    maxNum = data.data[0].value;
    minNum = data.data[0].value;
    for (var i = 0; i < data.data.length; i++) {
      if (parseFloat(data.data[i].value) > maxNum) {
        maxNum = parseFloat(data.data[i].value);
      }
      if (parseFloat(data.data[i].value) < minNum) {
        minNum = parseFloat(data.data[i].value);
      }
    }
  }
  array[0] = Math.ceil(maxNum);
  array[1] = Math.floor(minNum);
  console.log("最大个最小值", array);
  return array;
}
//获取页面div对应的ID
function getId(healthIndex) {
  if (healthIndex == 'XT1') {//血糖
    return "#xy_XT1";
  }
  if (healthIndex == 'ox') {//血氧 #7D9AE6
    return "#xy_ox";
  }
  if (healthIndex == 'hr') {    //心率
    return "#xy_hr";
  }
  if (healthIndex == 'bp') {    //血压
    return "#xy_bp";
  }
  if (healthIndex == 'bmi') {    //BMI
    return "#xy_bmi";
  }
}
//获取舒张压数据（散点图）
function getSzy(data) {
  var szyArray = new Array();
  if (data.data.length <= 0) {
    if (!data.timeCategory) {
      szyArray = [null, null, null, null, null, null, null];
    } else {
      szyArray = setArrayNull(szyArray, data.timeCategory);
    }
    return szyArray;
  }
  var c1 = 0;
  if (data.data[0].itemCode) {
    for (var i = data.data.length - 1; i >= 0; i--) {
      if (data.data[i].itemCode == 'SZY') {
        szyArray[c1++] = parseFloat(data.data[i].data);
      }
    }
  } else {
    for (var i = data.data.length - 1; i >= 0; i--) {
      var site = getSite(new Date(data.data[i].time), data.timeCategory);
      szyArray[site] = data.data[i].value.low;
    }
    szyArray = setArrayNull(szyArray, data.timeCategory);
  }
  return szyArray;
}
//获取收缩压数据（散点图）
function getSsy(data) {
  var ssyArray = new Array();
  if (data.data.length <= 0) {
    if (!data.timeCategory) {
      ssyArray = [null, null, null, null, null, null, null];
    } else {
      ssyArray = setArrayNull(ssyArray, data.timeCategory);
    }
    return ssyArray;
  }
  var c1 = 0;
  if (data.data[0].itemCode) {
    for (var i = data.data.length - 1; i >= 0; i--) {
      if (data.data[i].itemCode == 'SSY') {
        ssyArray[c1++] = parseFloat(data.data[i].data);
      }
    }
  } else {
    for (var i = data.data.length - 1; i >= 0; i--) {
      var site = getSite(new Date(data.data[i].time), data.timeCategory);
      ssyArray[site] = data.data[i].value.high;
    }
    ssyArray = setArrayNull(ssyArray, data.timeCategory);
  }
  return ssyArray;
}
//设置线条的宽度
function setLineWidth(index) {
  if (index == 'bp') {
    return 0;
  } else {
    return 1.0;
  }

}
<!-- health.js 里面所用到的方法  end -->


<!-- healthDetail.js 里面所用到的方法  start -->
//获取X轴坐标
function getDetailX(timeCategory) {
  var array = new Array();
  if (timeCategory == 'Day') {
    for (var i = 0; i < 24; i++) {
      if (i < 10) {
        array[i] = i;
      } else {
        array[i] = i;
      }
    }
  }
  if (timeCategory == 'Week') {
    array = ['星期日', '星期一', '星期二', '星期三', '星期四', '星期五', '星期六'];
  }
  if (timeCategory == 'Month') {
    for (var i = 1; i < 31; i++) {
      if (i < 10) {
        array[i - 1] = i;
      } else {
        array[i - 1] = i;
      }
    }
  }
  if (timeCategory == 'Year') {
    for (var i = 1; i < 13; i++) {
      if (i < 10) {
        array[i - 1] = i;
      } else {
        array[i - 1] = i;
      }
    }
  }
  return array;
}
//获取Y轴坐标
function getDetailY(data) {
  var yArray = new Array();
  if (data.data.length <= 0) {
    return setArrayNull(yArray, data.timeCategory);
  }
  if (data.healthIndex == 'bp') {
    var bpArray = new Array();
    for (var i = data.data.length - 1; i >= 0; i--) {
      bpArray[0] = data.data[i].value.low;
      bpArray[1] = data.data[i].value.high;
      var site = getSite(new Date(data.data[i].time), data.timeCategory);
      yArray[site] = bpArray;
      bpArray = new Array();
    }
  } else if (data.healthIndex == 'bs') {
    for (var j = 0; j < data.data.length; j++) {
      if (data.data[j].type == 'XT1') {
        var site = getSite(new Date(data.data[j].time), data.timeCategory);
        yArray[site] = data.data[j].value;
      }
    }
  } else if (data.healthIndex == 'bmi') {
    for (var i = data.data.length - 1; i >= 0; i--) {
      var site = getSite(new Date(data.data[i].time), data.timeCategory);
      yArray[site] = data.data[i].value.bmi;
    }
  } else {
    for (var j = 0; j < data.data.length; j++) {
      var site = getSite(new Date(data.data[j].time), data.timeCategory);
      yArray[site] = data.data[j].value;
    }
  }
  yArray = setArrayNull(yArray, data.timeCategory);
  console.log('Y轴数据', yArray);
  return yArray;
}
//获取数据点所对应X轴的位置
function getSite(cTime, timeCategory) {
  var site;
  if (timeCategory == 'Day') {
    site = cTime.getHours();
  }
  if (timeCategory == 'Week') {
    site = new Date(cTime).getDay();
  }
  if (timeCategory == 'Month') {
    site = cTime.getDate();
  }
  if (timeCategory == 'Year') {
    site = cTime.getMonth();
  }
  return site;
}
//设置数据点为空的为null值
function setYarray(array, timeCategory) {
  var xArray = getDetailX(timeCategory);
  for (var i = 0; i < xArray.length; i++) {
    if (!array[i]) {
      array[i] = [null, null];
    }
  }
  return array;
}
//设置数据点为空的为null值
function setArrayNull(array, timeCategory) {
  var xArray = getDetailX(timeCategory);
  for (var i = 0; i < xArray.length; i++) {
    if (!array[i]) {
      array[i] = null;
    }
  }
  return array;
}
//获取脉搏数据
function getMbData(data) {
  var array = new Array();
  if (data.data.length <= 0) {
    return setArrayNull(array, data.timeCategory);
  }
  for (var i = data.data.length - 1; i >= 0; i--) {
    var site = getSite(new Date(data.data[i].time), data.timeCategory);
    array[site] = data.data[i].value.mb;
  }
  array = setArrayNull(array, data.timeCategory);
  return array;
}
//获取体重数据
function getTZData(data) {
  var array = new Array();
  if (data.data.length <= 0) {
    return setArrayNull(array, data.timeCategory);
  }
  for (var i = data.data.length - 1; i >= 0; i--) {
    var site = getSite(new Date(data.data[i].time), data.timeCategory);
    array[site] = data.data[i].value.weight;
  }
  array = setArrayNull(array, data.timeCategory);
  console.log("体重数据", array);
  return array;
}
//根据goBack方法获取相对于的指标
function getIndex(index) {
  if (index == "g_xueya") {
    return "bp";
  }
  if (index == "g_xueyang") {
    return "ox";
  }
  if (index == "g_xuetang") {
    return "bs";
  }
  if (index == "g_xinlv") {
    return "hr";
  }
  if (index == "g_bmi") {
    return "bmi";
  }
}
//获取Y轴的标记单位
function getTitleText(healthIndex) {
  return;
  if (healthIndex == 'bs') {
    return "血糖浓度(mmol/L)"; //mmol/L
  }
  if (healthIndex == 'ox') {
    return "血氧饱和度(%)";    //%
  }
  if (healthIndex == 'hr') {
    return "心率次数(bpm/min)";    //bpm/min
  }
  if (healthIndex == 'bp') {
    return "血压(mmHg)";
  }
  if (healthIndex == 'BMI') {
    return "BMI(mmHg)";
  }
};
//设置字体的大小
function setFontSize(time) {
  if (time == "Week") {
    return "10px";
  } else {
    return "11px";
  }
};
//获取早餐后的数据
function getXT2Data(data) {
  var yArray = new Array();
  if (data.data.length <= 0) {
    return setArrayNull(yArray, data.timeCategory);
  }
  for (var j = 0; j < data.data.length; j++) {
    if (data.data[j].type == 'XT2' || data.data[j].type == 'XT4' || data.data[j].type == 'XT6') {
      var site = getSite(new Date(data.data[j].time), data.timeCategory);
      yArray[site] = data.data[j].value;
    }
  }
  yArray = setArrayNull(yArray, data.timeCategory);
  return yArray;
};
//获取午餐后的数据
function getXT6Data(data) {
  var yArray = new Array();
  if (data.data.length <= 0) {
    return setArrayNull(yArray, data.timeCategory);
  }
  for (var j = 0; j < data.data.length; j++) {
    if (data.data[j].type == 'XT2' || data.data[j].type == 'XT4' || data.data[j].type == 'XT6') {
      var site = getSite(new Date(data.data[j].time), data.timeCategory);
      yArray[site] = data.data[j].value;
    }
  }
  yArray = setArrayNull(yArray, data.timeCategory);
  return yArray;
};
//根据数据点获取各项指标的值
function getShowSite(data) {
  $("#zz_entersg").css("display", "none");
  $("#zz_tdata").css("color", "#6bd5b1");
  if (data.data.length <= 0) {
    return;
  }
  var show = new Array();
  if (data.healthIndex != 'bp') {
    var amou = parseFloat(data.data[0].data);
    if (data.data[0].itemCode == 'XL') {
      if (amou < 60) {
        show[0] = "过缓";
        show[1] = "您的心率<span style='color: #f4cc55;'>过缓</span>，如长期锻炼并精力充沛则不属病态。";
        $("#zz_tdata").css("color", "#f4cc55");
      } else if (amou >= 60 && amou <= 100) {
        show[0] = "正常";
        show[1] = "您的心率<span style='color: #6bd5b1;'>正常</span>，请继续保持。";
        $("#zz_tdata").css("color", "#6bd5b1");
      } else if (amou > 100) {
        show[0] = "过速";
        show[1] = "您心率<span style='color: #ff5656;'>过速</span>，注意日常保健，如有不适，请到医院就医。";
        $("#zz_tdata").css("color", "#ff5656");
      }
    } else if (data.data[0].itemCode == 'XY') {
      if (amou < 90) {
        show[0] = "低血氧";
        show[1] = "您的血氧<span style='color: #f4cc55;'>过低</span>，注意日常保健，如有不适，请到医院就医。";
        $("#zz_tdata").css("color", "#f4cc55");
      } else if (amou >= 90 && amou < 94) {
        show[0] = "偏低";
        show[1] = "您<span style='color: #f4cc55;'>供氧不足</span>，注意日常保健，如有不适，请到医院就医。";
        $("#zz_tdata").css("color", "#f4cc55");
      } else if (amou >= 94) {
        show[0] = "正常";
        show[1] = "您的血氧<span style='color: #6bd5b1;'>正常</span>，请继续保持。";
        $("#zz_tdata").css("color", "#6bd5b1");
      }
    } else if (data.data[0].itemCode == 'STEPNUM') {
      amou = 10;
      show[0] = "正常";
      show[1] = "少坐多动，适度锻炼";
      $("#zz_tdata").css("color", "#6bd5b1");
      /*            if (amou < 90) {
       show[0] = "低血氧";
       show[1] = "您的血氧<span style='color: #f4cc55;'>过低</span>，注意日常保健，如有不适，请到医院就医。";
       $("#zz_tdata").css("color", "#f4cc55");
       } else if (amou >= 90 && amou < 94) {
       show[0] = "偏低";
       show[1] = "您<span style='color: #f4cc55;'>供氧不足</span>，注意日常保健，如有不适，请到医院就医。";
       $("#zz_tdata").css("color", "#f4cc55");
       } else if (amou >= 94) {
       show[0] = "正常";
       show[1] = "您的血氧<span style='color: #6bd5b1;'>正常</span>，请继续保持。";
       $("#zz_tdata").css("color", "#6bd5b1");
       }*/
    } else if (data.healthIndex == 'sleep') {
      amou = 10;
      show[0] = "正常";
      show[1] = "早睡早起，身心健康";
      $("#zz_tdata").css("color", "#6bd5b1");
      /*            if (amou < 90) {
       show[0] = "低血氧";
       show[1] = "您的血氧<span style='color: #f4cc55;'>过低</span>，注意日常保健，如有不适，请到医院就医。";
       $("#zz_tdata").css("color", "#f4cc55");
       } else if (amou >= 90 && amou < 94) {
       show[0] = "偏低";
       show[1] = "您<span style='color: #f4cc55;'>供氧不足</span>，注意日常保健，如有不适，请到医院就医。";
       $("#zz_tdata").css("color", "#f4cc55");
       } else if (amou >= 94) {
       show[0] = "正常";
       show[1] = "您的血氧<span style='color: #6bd5b1;'>正常</span>，请继续保持。";
       $("#zz_tdata").css("color", "#6bd5b1");
       }*/
    } else if (data.data[0].itemCode == 'XT1' || data.data[0].itemCode == 'XT2' || data.data[0].itemCode == 'XT3' || data.data[0].itemCode == 'XT4' || data.data[0].itemCode == 'XT5' || data.data[0].itemCode == 'XT6' || data.data[0].itemCode == 'XT7') {
      console.log("最近一条数据", data.data[0]);
      if (data.data[0].itemCode == 'XT1') {
        if (amou < 4.4) {
          show[0] = "低血糖";
          show[1] = "您的血糖<span style='color: #f4cc55;'>过低</span>，若有不适症状请及时就医。";
          $("#zz_tdata").css("color", "#f4cc55");
        } else if (amou < 6.1) {
          show[0] = "正常";
          show[1] = "您的血糖<span style='color: #6bd5b1;'>正常</span>，请继续保持。";
          $("#zz_tdata").css("color", "#6bd5b1");
        } else if (amou <= 7.0) {
          show[0] = "偏高";
          show[1] = "您血糖<span style='color: #ff5656;'>较高</span>，注意日常保健，如有不适，请到医院就医。";
          $("#zz_tdata").css("color", "#ff5656");
        } else {
          show[0] = "糖尿病";
          show[1] = "您有<span style='color: #ff5656;'>糖尿病</span>，请及时到医院就医。";
          $("#zz_tdata").css("color", "#ff5656");
        }
      } else {
        if (amou < 4.4) {
          show[0] = "低血糖";
          show[1] = "您的血糖<span style='color: #f4cc55;'>过低</span>，若有不适症状请及时就医。";
          $("#zz_tdata").css("color", "#f4cc55");
        } else if (amou < 8.0) {
          show[0] = "正常";
          show[1] = "您的血糖<span style='color: #6bd5b1;'>正常</span>，请继续保持。";
          $("#zz_tdata").css("color", "#6bd5b1");
        } else if (amou <= 10.0) {
          show[0] = "偏高";
          show[1] = "您血糖<span style='color: #ff5656;'>较高</span>，注意日常保健，如有不适，请到医院就医。";
          $("#zz_tdata").css("color", "#ff5656");
        } else {
          show[0] = "糖尿病";
          show[1] = "您有<span style='color: #ff5656;'>糖尿病</span>，请及时到医院就医。";
          $("#zz_tdata").css("color", "#ff5656");
        }
      }
    } else if (data.data[0].itemCode == 'BMI' || data.data[0].itemCode == 'TZ' || data.data[0].itemCode == 'SG' || data.data[0].itemCode == 'ZFL') {
      var last = 0;
      for (var i = 0; i < data.data.length; i++) {
        if (data.data[i].itemCode == 'BMI') {
          amou = parseFloat(data.data[i].data);
          last++;
        }
        if (last == 1) {
          break;
        }
      }
      console.log("BMI", amou);
      if (amou) {
        console.log("最近一次BMI的值", amou);
        if (amou < 18.5) {
          show[0] = "偏低";
          show[1] = "您的BMI<span style='color: #f4cc55;'>偏低</span>，若有不适症状请及时就医。";
          $("#zz_dddd").css("color", "#f4cc55");
        } else if (amou > 18.5 && amou < 25) {
          show[0] = "正常";
          show[1] = "您的BMI<span style='color: #6bd5b1;'>正常</span>，请继续保持。";
          $("#zz_dddd").css("color", "#6bd5b1");
        } else if (amou > +25 && amou < 28) {
          show[0] = "偏高";
          show[1] = "您的BMI<span style='color: #ff5656;'>偏高</span>，注意日常保健，如有不适，请到医院就医。";
          $("#zz_dddd").css("color", "#ff5656");
        } else if (amou >= 28 && amou <= 32) {
          show[0] = "较高";
          show[1] = "您的BMI<span style='color: #ff5656;'>较高</span>，注意日常保健，如有不适，请到医院就医。";
          $("#zz_dddd").css("color", "#ff5656");
        } else if (amou > 32) {
          show[0] = "高";
          show[1] = "您的BMI<span style='color: #ff5656;'>过高</span>，注意日常保健，如有不适，请到医院就医。";
          $("#zz_dddd").css("color", "#ff5656");
        } else {
          show[0] = "异常";
          show[1] = "您的BMI<span style='color: #ff5656;'>异常</span>，请及时到医院就医。";
          $("#zz_dddd").css("color", "#ff5656");
        }
      }
    }
  } else {
    var bpArray = new Array();
    var count = 0;
    for (var i = 0; i < data.data.length; i++) {
      amou = parseFloat(data.data[i].data);
      if (data.data[i].itemCode == 'SSY') {
        bpArray[0] = parseFloat(data.data[i].data);
        count++;
      } else if (data.data[i].itemCode == 'SZY') {
        bpArray[1] = parseFloat(data.data[i].data);
        count++;
      }
      if (count == 2) {
        show = getXYdata(bpArray);
        break;
      }

    }
  }
  if (amou) {
    $("#zz_show").css("display", "block");
    $("#zz_show").html(show[1]);
  } else {
    $("#zz_show").css("display", "none");
  }
  console.log(show);
  return show;
};
//血压的数据处理
//逻辑存在问题，以后继续优化
function getXYdata(array) {
  var show = new Array();
  if (array[0] <= 90) {
    show[0] = "偏低";
    show[1] = "您的血压<span style='color: #f4cc55;'>过低</span>，若有不适症状请及时就医。";
    $("#zz_tdata").css("color", "#f4cc55");
  } else if (array[0] > 90 && array[0] < 120) {
    show[0] = "正常";
    show[1] = "您的血压<span style='color: #6bd5b1;'>正常</span>，请继续保持。";
    $("#zz_tdata").css("color", "#6bd5b1");
  } else if (array[0] >= 120 && array[0] <= 139) {
    show[0] = "偏高";
    show[1] = "您的血压<span style='color: #ff5656;'>有点高</span>，注意保健。";
    $("#zz_tdata").css("color", "#ff5656");
  } else if (array[0] >= 139 && array[0] < 159) {
    show[0] = "轻度";
    show[1] = "您血压<span style='color: #ff5656;'>较高</span>，注意日常保健，如有不适，请到医院就医。";
    $("#zz_tdata").css("color", "#ff5656");
  } else if (array[0] >= 159 && array[0] < 179) {
    show[0] = "中度";
    show[1] = "您血压<span style='color: #ff5656;'>高</span>，请及时到医院就医。";
    $("#zz_tdata").css("color", "#ff5656");
  } else if (array[0] >= 179) {
    show[0] = "重度";
    show[1] = "您血压<span style='color: #ff5656;'>极高</span>，请及时到医院就医。";
    $("#zz_tdata").css("color", "#ff5656");
  }
  //show = changeXYdata(show, array[1]);
  return show;
};
//交换血压的数据
function changeXYdata(show, data) {
  var temp = new Array();
  if (data >= 40 && data < 60) {
    temp[0] = "偏低";
    temp[1] = "您的血压过低，若有不适症状请及时就医。";
    /*        if(temp[0] == show[0]){
     temp = show ;
     }else{

     }*/
  } else if (data >= 60 && data < 80) {
    temp[0] = "正常";
    temp[1] = "您的血压在正常范围内，请继续保持。";
  } else if (data >= 80 && data < 89) {
    temp[0] = "偏高";
    temp[1] = "您的血压稍微有点高，注意保健。";
  } else if (data >= 89 && data < 99) {
    temp[0] = "轻度";
    temp[1] = "您血压较高，注意日常保健，如有不适，请到医院就医。";
  } else if (data >= 99 && data < 109) {
    temp[0] = "中度";
    temp[1] = "您血压较高，请及时到医院就医。";
  } else if (data >= 109 && data < 200) {
    temp[0] = "重度";
    temp[1] = "您血压较高，请及时到医院就医。";
  }
  return temp;
};
//暂时丢弃
/*function getXYdata(array) {
 var show = new Array();
 if ((array[0] >= 60 && array[0] < 90) || (array[1] >= 40 && array[1] < 60)) {
 show[0] = "低血压";
 show[1] = "您的血压过低，若有不适症状请及时就医。";
 } else if ((array[0] >= 90 && array[0] < 120) || (array[1] >= 60 && array[1] < 80)) {
 show[0] = "正常";
 show[1] = "您的血压在正常范围内，请继续保持。";
 } else if ((array[0] >= 120 && array[0] < 139) || (array[1] >= 80 && array[1] < 89)) {
 show[0] = "高值";
 show[1] = "您的血压稍微有点高，注意保健。";
 } else if ((array[0] >= 139 && array[0] < 159) || (array[1] >= 89 && array[1] < 99)) {
 show[0] = "偏高";
 show[1] = "您血压较高，注意日常保健，如有不适，请到医院就医。";
 } else if ((array[0] >= 159 && array[0] < 179) || (array[1] >= 99 && array[1] < 109)) {
 show[0] = "较高";
 show[1] = "您血压较高，请及时到医院就医。";
 } else if ((array[0] >= 179 && array[0] < 260) || (array[1] >= 109 && array[1] < 200)) {
 show[0] = "高血压";
 show[1] = "您血压较高，请及时到医院就医。";
 }
 show = changeXYdata(show, array[1]);
 return show;
 };*/
//页面移动标示的显示
function moveShowSite(site, data) {
  $(".g_a2").css('display', 'none');
  var index = data.healthIndex;
  if (data.healthIndex == "bp") {
    if (site == "偏低") {
      setTimeout(function () {
        $("#zz_" + index + "_1 a").css('display', 'block');
      }, 10);
    } else if (site == "正常") {
      setTimeout(function () {
        $("#zz_" + index + "_2 a").css('display', 'block');
      }, 10);
    } else if (site == "偏高") {
      setTimeout(function () {
        $("#zz_" + index + "_3 a").css('display', 'block');
      }, 10);
    } else if (site == "轻度") {
      setTimeout(function () {
        $("#zz_" + index + "_4 a").css('display', 'block');
      }, 10);
    } else if (site == "中度") {
      setTimeout(function () {
        $("#zz_" + index + "_5 a").css('display', 'block');
      }, 10);
    } else if (site == "重度") {
      setTimeout(function () {
        $("#zz_" + index + "_6 a").css('display', 'block');
      }, 10);
    }
  } else if (data.healthIndex == "bs") {
    console.log("进入血糖", index);
    if (site == "低血糖") {
      setTimeout(function () {
        $("#zz_" + index + "_1 a").css('display', 'block');
      }, 10);
    } else if (site == "正常") {
      setTimeout(function () {
        $("#zz_" + index + "_2 a").css('display', 'block');
      }, 10);
    } else if (site == "偏高") {
      setTimeout(function () {
        $("#zz_" + index + "_3 a").css('display', 'block');
      }, 10);
    } else if (site == "糖尿病") {
      setTimeout(function () {
        $("#zz_" + index + "_4 a").css('display', 'block');
      }, 10);
    }
  } else if (data.healthIndex == 'hr') {
    if (site == "过缓") {
      setTimeout(function () {
        $("#zz_" + index + "_1 a").css('display', 'block');
      }, 10);
    } else if (site == "正常") {
      setTimeout(function () {
        $("#zz_" + index + "_2 a").css('display', 'block');
      }, 10);
    } else if (site == "过速") {
      setTimeout(function () {
        $("#zz_" + index + "_3 a").css('display', 'block');
      }, 10);
    }
  } else if (data.healthIndex == 'ox') {
    if (site == "低血氧") {
      setTimeout(function () {
        $("#zz_" + index + "_1 a").css('display', 'block');
      }, 10);
    } else if (site == "偏低") {
      setTimeout(function () {
        $("#zz_" + index + "_2 a").css('display', 'block');
      }, 10);
    } else if (site == "正常") {
      setTimeout(function () {
        $("#zz_" + index + "_3 a").css('display', 'block');
      }, 10);
    }
  }
};
<!-- healthDetail.js 里面所用到的方法  end -->

<!-- healthData.js 里面所用到的方法  start -->
function getHealAllData(dataType, data, sg) {
  var array = new Array();
  var count = 0;
  try {
    if (!(data.data[0].examTime)) {
      return;
    }
  } catch (e) {
    throw new Error(e);
    return;
  }

  if (dataType == 'bp') {
    var bpObject = new Object();
    var x1 = 0;
    var temp = data.data[0].examTime;
    for (var i = 0; i < data.data.length; i++) {
      var tTime = data.data[i].examTime;
      if (tTime != temp) {
        temp = tTime;
        array[count++] = bpObject;
        bpObject = new Object();
        i--;
      } else {
        if (data.data[i].itemCode == 'SSY') {
          bpObject.ssy = data.data[i].data;
          bpObject.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm:ss');
          bpObject.number = data.data[i].runningNumber;
          x1++;
        } else if (data.data[i].itemCode == 'MB') {
          bpObject.mb = data.data[i].data;
          bpObject.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm:ss');
        } else if (data.data[i].itemCode == 'SZY') {
          bpObject.szy = data.data[i].data;
          bpObject.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm:ss');
          bpObject.number = data.data[i].runningNumber;
          x1++;
        }
        bpObject.type = 'bp';
        bpObject.longTime = data.data[i].examTime;
      }
    }
    array[count++] = bpObject;
  } else if (dataType == 'bmi') {
    console.log(data, sg);
    var bpObject = new Object();
    var x1 = 0;
    var temp = data.data[0].examTime;
    var count1 = 0;
    for (var i = 0; i < data.data.length; i++) {
      var tTime = data.data[i].examTime;
      if (tTime != temp) {
        temp = tTime;
        array[count1++] = bpObject;
        bpObject = new Object();
        i--;
      } else {
        if (data.data[i].itemCode == 'TZ') {
          bpObject.tz = data.data[i].data;
          bpObject.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm:ss');
          bpObject.number = data.data[i].runningNumber;
          x1++;
        }
        else if (data.data[i].itemCode == 'ZFL') {
          bpObject.zfl_show = true;
          bpObject.zfl = data.data[i].data;
          if (data.data[i].data == null || data.data[i].data == "") {
            bpObject.zfl_show = false;
          }
          bpObject.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm:ss');
          bpObject.number = data.data[i].runningNumber;
          x1++;
        }
        else if (data.data[i].itemCode == 'SFL') {
          bpObject.sfl_show = true;
          bpObject.sfl = data.data[i].data;
          if (data.data[i].data == null || data.data[i].data == "") {
            bpObject.sfl_show = false;
          }
          bpObject.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm:ss');
          bpObject.number = data.data[i].runningNumber;
          x1++;
        }
        else if (data.data[i].itemCode == 'JRL') {
          bpObject.jrl_show = true;
          bpObject.jrl = data.data[i].data;
          if (data.data[i].data == null || data.data[i].data == "") {
            bpObject.jrl_show = false;
          }
          bpObject.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm:ss');
          bpObject.number = data.data[i].runningNumber;
          x1++;
        }
        else if (data.data[i].itemCode == 'DXL') {
          bpObject.dxl_show = true;
          bpObject.dxl = data.data[i].data;
          if (data.data[i].data == null || data.data[i].data == "") {
            bpObject.dxl_show = false;
          }
          bpObject.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm:ss');
          bpObject.number = data.data[i].runningNumber;
          x1++;
        }
        else if (data.data[i].itemCode == 'BMI') {
          bpObject.bmi = data.data[i].data;
          bpObject.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm:ss');
          bpObject.number = data.data[i].runningNumber;
          x1++;
        }
        else if (data.data[i].itemCode == 'SG') {
          bpObject.sg = data.data[i].data;
          bpObject.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm:ss');
          bpObject.number = data.data[i].runningNumber;
          x1++;
        }
        else if (data.data[i].itemCode == 'GZ') {
          bpObject.gz_show = true;
          bpObject.gz = data.data[i].data;
          if (data.data[i].data == null || data.data[i].data == "") {
            bpObject.gz_show = false;
          }
          bpObject.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm:ss');
          bpObject.number = data.data[i].runningNumber;
          x1++;
        }
        //TODO 2017-3-10添加
        bpObject.type = 'bmi';
        bpObject.longTime = data.data[i].examTime;
      }
    }
    array[count1++] = bpObject;
  } else if (dataType == 'bs') {
    var obj = new Object();
    for (var i = 0; i < data.data.length; i++) {
      obj.data = data.data[i].data;
      obj.type = changeXTItemcode(data.data[i].itemCode);
      obj.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm:ss');
      obj.number = data.data[i].runningNumber;
      obj.longTime = data.data[i].examTime;
      array[count++] = obj;
      obj = new Object();
    }
  } else {
    var obj = new Object();
    for (var i = 0; i < data.data.length; i++) {
      //TODO 2017-3-10添加
      obj.type = dataType;
      if (obj.type == 'XT1') {
        obj.type = "空腹";
      } else if (obj.type == 'XT2') {
        obj.type = "非空腹";
      }

      obj.data = data.data[i].data;
      obj.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm:ss');
      obj.longTime = data.data[i].examTime;
      obj.number = data.data[i].runningNumber;
      array[count++] = obj;
      obj = new Object();
    }
  }
  console.log(array);
  return array;
}

function changeTimeType(audioTime) {
  if (audioTime < 60) {
    return audioTime + "″";
  } else {
    var min = Math.floor(audioTime / 60);
    var ss = audioTime % 60;
    return min + "′" + ss + "″";
  }
}
function changeXTItemcode(code) {
  if (code == "XT1" || code == 'XT3' || code == 'XT5' || code == 'XT7') {
    return "空腹";
  }
  if (code == "XT2" || code == 'XT4' || code == 'XT6') {
    return "非空腹";
  }
  /*    if (code == "XT4") {
   return "午餐后";
   }
   if (code == "XT5") {
   return "晚餐前";
   }
   if (code == "XT6") {
   return "晚餐后";
   }*/
}
function getPageCount(index) {
  if (index == "bp") {
    return 5;
  } else {
    return 10;
  }
}
<!-- healthData.js 里面所用到的方法  end -->

<!-- 根据每日用药次数计算显示样式-->
//var countArray = ['第一次','第二次','第三次','第四次','第五次','第六次','第七次','第八次','第九次','第十次'];
var freqArray = new Array();
freqArray[1] = [
  {freqCount: '第一次', freqTime: '08:00'}
];
freqArray[2] = [
  {freqCount: '第一次', freqTime: '08:00'},
  {freqCount: '第二次', freqTime: '19:00'}
];
freqArray[3] = [
  {freqCount: '第一次', freqTime: '08:00'},
  {freqCount: '第二次', freqTime: '12:00'},
  {freqCount: '第三次', freqTime: '19:00'}
];
freqArray[4] = [
  {freqCount: '第一次', freqTime: '08:00'},
  {freqCount: '第二次', freqTime: '12:00'},
  {freqCount: '第三次', freqTime: '19:00'},
  {freqCount: '第四次', freqTime: '22:00'}
];
freqArray[5] = [
  {freqCount: '第一次', freqTime: '08:00'},
  {freqCount: '第二次', freqTime: '12:00'},
  {freqCount: '第三次', freqTime: '15:00'},
  {freqCount: '第四次', freqTime: '19:00'},
  {freqCount: '第五次', freqTime: '22:00'}
];
freqArray[6] = [
  {freqCount: '第一次', freqTime: '08:00'},
  {freqCount: '第二次', freqTime: '10:00'},
  {freqCount: '第三次', freqTime: '12:00'},
  {freqCount: '第四次', freqTime: '15:00'},
  {freqCount: '第五次', freqTime: '19:00'},
  {freqCount: '第六次', freqTime: '22:00'}
];
freqArray[7] = [
  {freqCount: '第一次', freqTime: '08:00'},
  {freqCount: '第二次', freqTime: '10:00'},
  {freqCount: '第三次', freqTime: '12:00'},
  {freqCount: '第四次', freqTime: '14:30'},
  {freqCount: '第五次', freqTime: '17:00'},
  {freqCount: '第六次', freqTime: '19:30'},
  {freqCount: '第七次', freqTime: '22:00'}
];
freqArray[8] = [
  {freqCount: '第一次', freqTime: '08:00'},
  {freqCount: '第二次', freqTime: '10:00'},
  {freqCount: '第三次', freqTime: '12:00'},
  {freqCount: '第四次', freqTime: '14:00'},
  {freqCount: '第五次', freqTime: '16:00'},
  {freqCount: '第六次', freqTime: '18:00'},
  {freqCount: '第七次', freqTime: '20:00'},
  {freqCount: '第八次', freqTime: '22:00'}
];
freqArray[9] = [
  {freqCount: '第一次', freqTime: '06:00'},
  {freqCount: '第二次', freqTime: '08:00'},
  {freqCount: '第三次', freqTime: '10:00'},
  {freqCount: '第四次', freqTime: '12:00'},
  {freqCount: '第五次', freqTime: '14:00'},
  {freqCount: '第六次', freqTime: '16:00'},
  {freqCount: '第七次', freqTime: '18:00'},
  {freqCount: '第八次', freqTime: '20:00'},
  {freqCount: '第九次', freqTime: '22:00'}
];
freqArray[10] = [
  {freqCount: '第一次', freqTime: '06:00'},
  {freqCount: '第二次', freqTime: '08:00'},
  {freqCount: '第三次', freqTime: '10:00'},
  {freqCount: '第四次', freqTime: '12:00'},
  {freqCount: '第五次', freqTime: '13:40'},
  {freqCount: '第六次', freqTime: '15:20'},
  {freqCount: '第七次', freqTime: '17:00'},
  {freqCount: '第八次', freqTime: '18:40'},
  {freqCount: '第九次', freqTime: '20:20'},
  {freqCount: '第十次', freqTime: '22:00'}
];
function getFreqInfo(num) {
  return freqArray[num];
}
function getType(type) {
  if (type == '单日') {
    return 'OneDay';
  }
  if (type == '每天') {
    return 'EveryDay';
  }
  if (type == '连续') {
    return 'Series';
  }
}


//
var weekArray = ['周日', '周一', '周二', '周三', '周四', '周五', '周六'];
function formatDate(date) {
  var nowDate = new Date();   //获取当前时间
  var nowMonth = nowDate.getMonth() + 1;    //获取当前时间的月份
  var nowDay = nowDate.getDate();    //获取当前时间的日
  //处理需要转换的时间
  var year = date.getYear();
  var month = date.getMonth() + 1;
  var day = date.getDate();
  var week = date.getDay();
  var hour = date.getHours();
  var minute = date.getMinutes();
  if (minute < 10) {
    minute = '0' + minute;
  }
  if (month == nowMonth && nowDay == day && year == nowDate.getYear()) {
    return "今天 " + hour + ":" + minute;
  }
  if (month == nowMonth) {  //时间月份不等于当前月份
    if (nowDay - day < 7) {
      week = weekArray[week];
      return week + " " + hour + ":" + minute;
    } else {
      return month + "月" + day + "日 " + hour + ":" + minute;
    }
  } else if (nowMonth - month > 0) {
    return month + "月" + day + "日 " + hour + ":" + minute;
  } else {
    return month + "月" + day + "日 " + hour + ":" + minute;
  }
}

/**
 * 克隆对象
 * @param obj
 * @returns {*}
 */
function clone(obj) {
  var o;
  switch (typeof obj) {
    case 'undefined':
      break;
    case 'string'   :
      o = obj + '';
      break;
    case 'number'   :
      o = obj - 0;
      break;
    case 'boolean'  :
      o = obj;
      break;
    case 'object'   :
      if (obj === null) {
        o = null;
      } else {
        if (obj instanceof Array) {
          o = [];
          for (var i = 0, len = obj.length; i < len; i++) {
            o.push(clone(obj[i]));
          }
        } else {
          o = {};
          for (var k in obj) {
            o[k] = clone(obj[k]);
          }
        }
      }
      break;
    default:
      o = obj;
      break;
  }
  return o;
}

/**
 * 是否存在英文字符
 * @param str
 * @returns {boolean}
 */
function has_chinese(str) {
  var ret = false;
  var reg = new RegExp("[\u4e00-\u9fa5]");
  if (reg.test(str)) {
    ret = true;
  }
  return ret;
}

//控制声音分贝的大小
function change_db() {
  //开始监听录音的声音的分贝
  DBMeter.start(function (db) {
    if (db <= 30) {
      $(".z_speaking .z_black1 .z_audioWrap").css("height", "5px");
    } else if (db <= 40) {
      $(".z_speaking .z_black1 .z_audioWrap").css("height", "15px");
    } else if (db <= 45) {
      $(".z_speaking .z_black1 .z_audioWrap").css("height", "20px");
    } else if (db <= 50) {
      $(".z_speaking .z_black1 .z_audioWrap").css("height", "30px");
    } else if (db <= 55) {
      $(".z_speaking .z_black1 .z_audioWrap").css("height", "40px");
    } else if (db <= 60) {
      $(".z_speaking .z_black1 .z_audioWrap").css("height", "45px");
    } else if (db <= 65) {
      $(".z_speaking .z_black1 .z_audioWrap").css("height", "55px");
    } else {
      $(".z_speaking .z_black1 .z_audioWrap").css("height", "60px");
    }
  }, function (e) {
    console.log('code: ' + e.code + ', message: ' + e.message);
  });
}

function stop_db() {
  DBMeter.isListening(function (isListening) {
    DBMeter.stop(function () {
      $(".z_speaking .z_black1 .z_audioWrap").css("height", "5px");
      console.log("DBMeter well stopped");
    }, function (e) {
      alert("error");
      console.log('code: ' + e.code + ', message: ' + e.message);
    });
  });

}

/**
 * 根据坐标获取元素
 * @param e
 */
function getEleFromPoint(e) {
  event.cancelBubble = true;
  var element = document.elementFromPoint(event.clientX, event.clientY);
  // console.log(element);
  return element;
}

/**
 * 邮箱和手机号显示处理
 */
function emailAndPhone(data) {
  //是手机号的情况
  var str = "";
  if (/^1[3|4|5|7|8]\d{9}$/.test(data)) {
    str = data.substr(0, 3) + "***" + data.substr(7, 11);
  }
  if (/^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/.test(data)) {
    str = data.substr(0, 3) + "***" + data.substr(data.indexOf("@"), data.length);
  }
  return str;
}
/**
 * 通过正则验证手机或者邮箱
 */
function checkEmailAndPhone(data) {
  //是手机号的情况
  if (/^1[3|4|5|7|8]\d{9}$/.test(data)) {
    return true;
  } else if (/^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/.test(data)) {
    return true;
  } else {
    return false;
  }
}

// 对Date的扩展，将 Date 转化为指定格式的String
// 月(M)、日(d)、小时(h)、分(m)、秒(s)、季度(q) 可以用 1-2 个占位符，
// 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字)
// 例子：
// (new Date()).Format("yyyy-MM-dd hh:mm:ss.S") ==> 2016-06-06 08:09:04.423
// (new Date()).Format("yyyy-M-d h:m:s.S")      ==> 2016-6-6 8:9:4.18
Date.prototype.Format = function (fmt) {
  var o = {
    "M+": this.getMonth() + 1,                 //月份
    "d+": this.getDate(),                    //日
    "h+": this.getHours(),                   //小时
    "m+": this.getMinutes(),                 //分
    "s+": this.getSeconds(),                 //秒
    "q+": Math.floor((this.getMonth() + 3) / 3), //季度
    "S": this.getMilliseconds()             //毫秒
  };
  if (/(y+)/.test(fmt))
    fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
  for (var k in o)
    if (new RegExp("(" + k + ")").test(fmt))
      fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
  return fmt;
}

//获取广播名称
function getEmitName(dataType) {
  if (dataType == "bp") {
    return "CHECK_BP";
  } else if (dataType == "bs") {
    return "CHECK_BS";
  } else if (dataType == "hr") {
    return "CHECK_HR";
  } else {
    return "CHECK_OX";
  }
}

/**
 * 第一个字符串中是否包含第二个字符串
 * @param str
 * @param substr
 * @returns {boolean}
 */
function isContains(str, substr) {
  return str.indexOf(substr) >= 0;
}
/**
 * 蓝牙数据转码
 * @param hexCharCodeStr
 * @returns {string}
 */
function hexCharCodeToStr(hexCharCodeStr) {
  var trimedStr = hexCharCodeStr.trim();
  var rawStr = trimedStr.substr(0, 2).toLowerCase() === "0x" ? trimedStr.substr(2) : trimedStr;
  var len = rawStr.length;
  if (len % 2 !== 0) {
    return "";
  }
  var curCharCode;
  var resultStr = [];
  for (var i = 0; i < len; i = i + 2) {
    curCharCode = parseInt(rawStr.substr(i, 2), 16); // ASCII Code Value
    resultStr.push(String.fromCharCode(curCharCode));
  }
  return resultStr.join("");
}
function decode(s) {
  return s.replace(/.{4}/g, function ($) {
    return String.fromCharCode(parseInt($, 16));
  });
}
function strToHexCharCode(str) {
  if (str === "")
    return "";
  var hexCharCode = [];
  hexCharCode.push("0x");
  for (var i = 0; i < str.length; i++) {
    if ((str.charCodeAt(i)).toString(16).length < 2) {
      hexCharCode.push("0" + (str.charCodeAt(i)).toString(16));
    } else {
      hexCharCode.push((str.charCodeAt(i)).toString(16));
    }
  }
  return hexCharCode.join("");
}
//发送命令
function sendCommand(encoded, address, serviceId, UUID) {
  if (encoded == "D" || encoded == "A" || encoded == "B") {
    var bytes = bluetoothle.stringToBytes(encoded);
  } else {
    var bytes = bluetoothle.stringToBytes(hexCharCodeToStr(encoded));
  }
  var encodedString = bluetoothle.bytesToEncodedString(bytes);
  bluetoothle.isInitialized(function (data) {
    if (data.isInitialized) {//如果蓝牙已经初始化
      //判断蓝牙是否启用
      bluetoothle.isEnabled(function (data) {
        if (data.isEnabled) {
          bluetoothle.write(function (data) {
              console.log("发送成功");
            }, function (e) {
              console.log(e);
              console.log("发送失败");
            },
            {
              "value": encodedString,
              "service": serviceId,
              "characteristic": UUID,
              "type": "read",
              "address": address
            });
        } else {
          bluetoothle.enable(function () {//开启蓝牙
            bluetoothle.write(function (data) {
                console.log("发送成功");
              }, function (e) {
                console.log("发送失败");
              },
              {
                "value": encodedString,
                "service": serviceId,
                "characteristic": UUID,
                "type": "noResponse",
                "address": address
              });
          }, function () {
          });
        }
      });
    } else {
      bluetoothle.initialize(function () {//初始化
        //判断蓝牙是否启用
        bluetoothle.isEnabled(function (data) {
          if (data.isEnabled) {
            bluetoothle.write(function (data) {
                console.log("发送成功");
              }, function (e) {
                console.log("发送失败");
              },
              {
                "value": encodedString,
                "service": serviceId,
                "characteristic": UUID,
                "type": "noResponse",
                "address": address
              });
          } else {
            bluetoothle.enable(function () {//开启蓝牙
              bluetoothle.write(function (data) {
                }, function (e) {
                },
                {
                  "value": encodedString,
                  "service": serviceId,
                  "characteristic": UUID,
                  "type": "noResponse",
                  "address": address
                });
            }, function () {
            });
          }
        });
      }, function () {
      }, {
        "request": true,
        "statusReceiver": false
      });
    }
  });
}
//判断蓝牙是否连接
function isConnectBlue(address) {
  //判断蓝牙是否初始化、
  bluetoothle.isInitialized(function (data) {
    if (data.isInitialized) {//如果蓝牙已经初始化
      //判断蓝牙是否启用
      bluetoothle.isEnabled(function (data) {
        if (data.isEnabled) {
          bluetoothle.isConnected(function (data) {
            if (data.isConnected) {
              return true;
            } else {
              return false;
            }
          }, function () {
            return false;
          }, {
            "address": address
          });
        }
      });
    }
  });
}
//同步时间
function setWristTime(address) {
  var date = new Date();
  var year = parseInt(date.getFullYear() - 2000).toString(2);
  if (year.length < 6) {
    year = addZero(year, 6);
  }
  var month = parseInt(date.getMonth() + 1).toString(2);
  if (month.length < 4) {
    month = addZero(month, 4);
  }
  var day = parseInt(date.getDate()).toString(2);
  if (day.length < 5) {
    day = addZero(day, 5);
  }
  var hours = parseInt(date.getHours()).toString(2);

  if (hours.length < 5) {
    hours = addZero(hours, 5);
  }
  var min = parseInt(date.getMinutes()).toString(2);
  if (min.length < 6) {
    min = addZero(min, 6);
  }
  var sec = parseInt(date.getSeconds()).toString(2);
  if (sec.length < 6) {
    sec = addZero(sec, 6);
  }
  var timeStr = year + month + day + hours + min + sec;
  console.log("二进制结果", timeStr.length);
  timeStr = parseInt(timeStr, 2).toString(16);
  console.log("十六进制结果", timeStr);
  timeStr = "ab000009000000000100010004" + timeStr;
  console.log("结果", timeStr);
  if (!address) {
    var bytes = bluetoothle.stringToBytes(hexCharCodeToStr(timeStr));
    var encodedString = bluetoothle.bytesToEncodedString(bytes);
    return encodedString;
  }
  bluetoothle.discover(function (data) {
    console.log("discover  成功");
    sendCommand(timeStr, address, '0001', '0002');
  }, function (e) {
    console.log("discover  失败");
  }, {
    "address": address
  });
}
//断开蓝牙连接
function cutConnectBlue(address) {
  bluetoothle.disconnect(function (data) {
    bluetoothle.close(function (data) {
    }, function (e) {
      //                    alert("蓝牙连接失败+close连接失败");
    }, {
      "address": address
    });
  }, function (e) {
  }, {
    "address": address
  });
}
/**
 * 二进制添加0
 * @param str
 * @param num
 */
function addZero(str, num) {
  for (var i = 0; i < num; i++) {
    if (str.length == num) {
      break;
    } else {
      str = '0' + str;
    }
  }
  return str;
}

function stringToChar(str) {
  var hr = [];
  for (var i = 0; i < str.length;) {
    hr.push(str[i] + "" + str[i + 1]);
    i += 2;
  }
  return hr;
}
function stringToChar4(str) {
  var hr = [];
  for (var i = 0; i < str.length;) {
    hr.push(str[i] + "" + str[i + 1] + "" + str[i + 2] + "" + str[i + 3]);
    i += 4;
  }
  return hr;
}

/**
 *数组根据字符匹配度排序
 *
 */
function sortByMatch(org, arg1, arg2) {
  if (arg1.isContains(arg1, org)) {
    return true;
  } else {
    return false;
  }
}
//获取产品名称
function getProductName(data, type) {
  for (var i = 0; i < data.length; i++) {
    if (data[i].type == type) {
      return data[i].productName;
    }
  }
}
//获取产品的价格
function getProductPrice(data, type) {
  for (var i = 0; i < data.length; i++) {
    if (data[i].type == type) {
      if (data[i].discountPrice) {
        return data[i].discountPrice;
      }
      return data[i].oldPrice;
    }
  }
}
//获取产品的图片
function getProductImage(data, type) {
  for (var i = 0; i < data.length; i++) {
    if (data[i].type == type) {
      return data[i].productImage;
    }
  }
}

/*
 * 检测对象是否是空对象(不包含任何可读属性)。
 */
function isEmptyObject(obj) {
  for (var name in obj) {
    return false;
  }
  return true;
};

//发送智能防丢命令
function sendLostCommand(type, address) {
  var date = new Date();
  if (type == 'on') {
    var hours = parseInt(date.getHours()).toString(2);
    if (hours.length < 5) {
      hours = addZero(hours, 5);
    }
    var min = parseInt(date.getMinutes()).toString(2);
    if (min.length < 6) {
      min = addZero(min, 6);
    }
    var hours2 = (parseInt(date.getHours()) + 3).toString(2);
    if (hours2.length < 5) {
      hours2 = addZero(hours2, 5);
    }
    var str2 = 'ab000009000000000100070004';
    var str = '1001' + hours + min + hours2 + min + '000000';
    str = parseInt(str, 2).toString(16);
    str2 = str2 + str;
    console.log(str, str2);
    sendCommand(str2, address, '0001', '0002');
  }
  if (type == 'off') {
    var hours = parseInt(date.getHours()).toString(2);
    if (hours.length < 5) {
      hours = addZero(hours, 5);
    }
    var min = parseInt(date.getMinutes()).toString(2);
    if (min.length < 6) {
      min = addZero(min, 6);
    }
    var hours2 = (parseInt(date.getHours()) + 3).toString(2);
    if (hours2.length < 5) {
      hours2 = addZero(hours2, 5);
    }
    var str2 = 'ab000009000000000100070004';
    var str = '0001' + hours + min + hours2 + min + '000000';
    str = parseInt(str, 2).toString(16);
    str2 = str2 + str;
    sendCommand(str2, address, '0001', '0002');
  }
}
/**
 * 获取JSON对象的长度
 * @param obj
 * @returns {number}
 * @constructor
 */
function JSONLength(obj) {
  var size = -1, key;
  for (key in obj) {
    if (obj.hasOwnProperty(key))
      size++;
  }
  return size;
};
//获取虚线
function getLineStyle(index) {
  if (index == 'XT2') {
    return 'longdashdot';
  }
  return null;
}

function getShowSlide(data) {
  console.log("sadhfa;skdlfhasfaslfhasklhfdalk hdsfhladh")
  if (data.total > 0) {
    var page = Math.ceil(data.total / 7);
    for (var i = 3; i > page; i--) {
      console.log(i)
      $("#xy_" + data.healthIndex + "_" + i).css("display", "none");
    }
  }
}

function getText(index) {
  if (index == 'stepnum') {
    return '时间点(点)';
  }
  return null;
}
function getPointWidth(index) {
  if (index == 'stepnum') {
    return 5;
  }
  return 3;
}
function getTimeArray() {
  var timeArr = [];
  var date = new Date();
  for (var i = 2, count = 0; i < 24; i = i + 3, count++) {
    timeArr[count] = new Date(date.getFullYear(), date.getMonth(), date.getDate(), i).getTime();
  }
  return timeArr;
}
function getStepArray(data) {
  var arr = [];
  for (var i = 0, count = 0; i < 24; i = i + 3, count++) {
    arr[count] = parseInt(data[i], 16) + parseInt(data[i + 1], 16) + parseInt(data[i + 2], 16);
  }
  return arr;
}
function geKcal(data) {
  if (data.data.length == 0) {
    return 0;
  } else {
    var count = 0;
    for (var i = 0; i < data.data.length; i++) {
      count += parseFloat(data.data[i].data);
    }
    return Math.floor(65 * 1.036 * 170 * 0.32 * count * 0.00001);
  }
}
function getKm(data) {
  if (data.data.length == 0) {
    return 0;
  } else {
    var count = 0;
    for (var i = 0; i < data.data.length; i++) {
      count += parseFloat(data.data[i].data);
    }
    return Math.floor(170 * 32 * count * 0.00001) / 100;
  }
}
//获取睡眠数据图表
function getSleepDate(data) {
  var sleepCount = 0;
  for (var i = 0; i < data.data.length - 1; i++) {
    sleepCount += parseInt(data.data[i].data)
  }
  var sleepDate = [];

  for (var i = data.data.length - 1; i >= 0; i--) {
    var o = new Object();
    if (data.data[i].itemCode == 'SLEEPLIGHT') {
      o.light = parseInt(data.data[i].data) * 100 / sleepCount;
      o.light1 = date2str(new Date(data.data[i].examTime), "hh:mm") + "~" + date2str(new Date(data.data[i - 1].examTime), "hh:mm");
    } else if (data.data[i].itemCode == 'SLEEPDEEP') {
      o.deep = parseInt(data.data[i].data) * 100 / sleepCount;
      o.deep1 = date2str(new Date(data.data[i].examTime), "hh:mm") + "~" + date2str(new Date(data.data[i - 1].examTime), "hh:mm");
    } else if (data.data[i].itemCode == 'WAKE') {
      o.weak = parseInt(data.data[i].data) * 100 / sleepCount;
      o.weak1 = date2str(new Date(data.data[i].examTime), "hh:mm") + "~" + date2str(new Date(data.data[i - 1].examTime), "hh:mm");

    }
    sleepDate.push(o);
  }
  console.log(sleepDate)
  return sleepDate;
}
function getDeepData(data) {
  var o = new Object();
  if (data.data.length == 0) {
    o.deep = 0 + "分";
    o.light = 0 + "分";
    o.weak = 0 + "次";
    return o;
  } else {
    var count1 = 0;
    var count2 = 0;
    var count3 = 0;
    for (var i = 0; i < data.data.length; i++) {
      if (data.data[i].itemCode == 'SLEEPDEEP') {
        count1 += parseInt(data.data[i].data);
      } else if (data.data[i].itemCode == 'SLEEPLIGHT') {
        count2 += parseInt(data.data[i].data);
      } else if (data.data[i].itemCode == 'WAKE') {
        count3++;
      }
    }
    var hour1 = Math.floor(count1 / 60);
    var min1 = count1 % 60;
    var hour2 = Math.floor(count2 / 60);
    var min2 = count2 % 60;
    if (hour1 == 0) {
      o.deep = min1 + "分";
    } else {
      o.deep = hour1 + "小时" + min1 + "分";
    }
    if (hour2 == 0) {
      o.light = min1 + "分";
    } else {
      o.light = hour2 + "小时" + min2 + "分";
    }
    o.weak = count3 + "次";

  }
  return o;
}
/**
 * 获取睡眠时间
 * @param time
 * @returns {string}
 */
function getSleepTime(time) {
  var year = date2str(new Date(time), 'yyyy年MM月dd日');
  var week = wArray[new Date(time).getDay()];
  return year + " " + week;
}

/**
 * 判断两个对象的值是否相等
 * @param a
 * @param b
 * @returns {boolean}
 */
function isObjectValueEqual(a, b) {
  // Of course, we can do it use for in
  // Create arrays of property names
  var aProps = Object.getOwnPropertyNames(a);
  var bProps = Object.getOwnPropertyNames(b);

  // If number of properties is different,
  // objects are not equivalent
  if (aProps.length != bProps.length) {
    return false;
  }

  for (var i = 0; i < aProps.length; i++) {
    var propName = aProps[i];

    // If values of same property are not equal,
    // objects are not equivalent
    if (a[propName] !== b[propName]) {
      return false;
    }
  }

  // If we made it this far, objects
  // are considered equivalent
  return true;
}

/**
 * 为String类型添加 trim() 方法
 * @returns {string}
 */
String.prototype.trim = function () {
  return this.replace(/(^\s*)|(\s*$)/g, "");
}

String.prototype.ltrim = function () {
  return this.replace(/(^\s*)/g, "");
}
String.prototype.rtrim = function () {
  return this.replace(/(\s*$)/g, "");
}
function stringToChar4To10(str) {
  var hr = [];
  for (var i = 0; i < str.length;) {
    hr.push(parseInt(str[i] + "" + str[i + 1] + "" + str[i + 2] + "" + str[i + 3], 16));
    i += 4;
  }
  return hr;
}
function getEcgData(data) {
  console.log("utilFetchEcgData:", data);
  var array = new Array();
  var arrayOneTime = new Array();
  var count = 0;
  var oneTimeCount = 0;
  var o = new Object();
  //通过creattime区分每条
  var temp = data.data[0].examTime;
  var createTime = data.data[0].createTime;
  var flag = false;
  for (var i = 0; i < data.data.length; i++) {
    var tTime = data.data[i].examTime;
    var cTime = data.data[i].createTime;
    if (createTime != cTime) {
      createTime = cTime;
      //本条和上一条的examtime不同则放入下一个数组，相同翻入同一个数组
      if (temp != tTime) {
        o.exanTimeFlag = false;
        temp = tTime;
        array[oneTimeCount++] = o;
      } else {
        o.exanTimeFlag = true;
        arrayOneTime[count] = o;
        count++;
      }
      o = new Object();
      i--;
    } else {
      if (temp != data.data[data.data.length - 1].examTime) {
        flag = true;
      }
      if (data.data[i].itemCode == 'PAC') {
        o.PAC = data.data[i].data;
        o.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm');
        o.number = data.data[i].runningNumber;
        o.examTime11 = data.data[i].examTime;
      } else if (data.data[i].itemCode == 'PVC') {
        o.PVC = data.data[i].data;
        o.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm');
      } else if (data.data[i].itemCode == 'ECGHR') {
        o.ECGHR = data.data[i].data;
        o.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm');
        o.number = data.data[i].runningNumber;
        //o.GEAR = data.data[i].ecgGear;
      } else if (data.data[i].itemCode == 'AF') {
        o.AF = data.data[i].data == 0 ? '无' : '有';
        o.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm');
        o.number = data.data[i].runningNumber;
      } else if (data.data[i].itemCode == 'ECGTIME') {
        o.ECGTIME = data.data[i].data = getTestTime(data.data[i].data);
        o.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm');
        o.number = data.data[i].runningNumber;
      }
    }
  }
  if (flag) {
    array[oneTimeCount++] = o;
  } else {
    arrayOneTime[count] = o;
  }
  //array[oneTimeCount++] = arrayOneTime;
  array.push(arrayOneTime);
  return array;

}

/*function getEcgData(data) {
  var array = new Array();
  var count = 0;
  var o = new Object();
  var temp = data.data[0].examTime;
  var ecgCount = 0;
  var createTime = data.data[0].createTime;

  for (var i = 0; i < data.data.length; i++) {
    var cTime = data.data[i].createTime;
    var tTime = data.data[i].examTime;
    if (createTime != cTime) {
      createTime=cTime;
      if(temp!=tTime){
        temp = tTime;
        o.ecgDataFlag = "实时心电";
        array[count++] = o;
      }else{
        temp = tTime;
        if(ecgCount<8){
          o.ecgDataFlag = "2小时心电";
        }else if(ecgCount>=8&&ecgCount<32){
          o.ecgDataFlag = "8小时心电";
        }
        array[count++] = o;
        ecgCount++;
      }

      o = new Object();
      i--;
    } else {

      if (data.data[i].itemCode == 'PAC') {
        o.PAC = data.data[i].data;
        o.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm');
        o.createTime = date2str(new Date(data.data[i].createTime), 'yyyy年MM月dd日 hh:mm');
        o.number = data.data[i].runningNumber;
      } else if (data.data[i].itemCode == 'PVC') {
        o.PVC = data.data[i].data;
        o.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm');
        o.createTime = date2str(new Date(data.data[i].createTime), 'yyyy年MM月dd日 hh:mm');
      } else if (data.data[i].itemCode == 'ECGHR') {
        o.ECGHR = data.data[i].data;
        o.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm');
        o.createTime = date2str(new Date(data.data[i].createTime), 'yyyy年MM月dd日 hh:mm');
        o.number = data.data[i].runningNumber;
      } else if (data.data[i].itemCode == 'AF') {
        o.AF = data.data[i].data == 0 ? '无' : '有';
        o.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm');
        o.createTime = date2str(new Date(data.data[i].createTime), 'yyyy年MM月dd日 hh:mm');
        o.number = data.data[i].runningNumber;
      } else if (data.data[i].itemCode == 'ECGTIME') {
        o.ECGTIME = data.data[i].data = getTestTime(data.data[i].data);
        o.time = date2str(new Date(data.data[i].examTime), 'yyyy年MM月dd日 hh:mm');
        o.createTime = date2str(new Date(data.data[i].createTime), 'yyyy年MM月dd日 hh:mm');
        o.number = data.data[i].runningNumber;
      }/!*else if(cTime == data.data[data.data.length-1].examTime&&ecgCount){

       }*!/
    }
  }
  if(1<ecgCount<8){
    o.ecgDataFlag = "2小时心电";
  }else if(ecgCount>=8&&ecgCount<32){
    o.ecgDataFlag = "8小时心电";
  }else if(ecgCount==0){
    o.ecgDataFlag = "实时心电";
  }
  array[count++] = o;
  return array;
}*/


function getTestTime(time) {
  var m = parseInt(parseInt(time) / 60);
  var s = parseInt(time) % 60;
  console.log(m, s);
  var Str = "";
  if (m < 10) {
    Str = "0" + m;
  } else {
    Str = m;
  }
  if (s < 10) {
    Str = Str + ":0" + s;
  } else {
    Str = Str + ":" + s;
  }
  return Str;
}

//属性比较器
function compare(propertyName) {
  return function (object1, object2) {
    var value1 = object1[propertyName];
    var value2 = object2[propertyName];
    if (value2 > value1) { //<正序
      return 1;
    } else if (value2 < value1) {
      return -1;
    } else {
      return 0;
    }
  }
}

/**
 * 分组健康数据
 * 血压计{}
 * 血糖计{}
 * 体脂称{}
 * @param obj
 */
function dealHealthData(obj) {
  if (!obj.hasOwnProperty('itemCode')) {
    return;
  }

}
