angular.module('File', [])

    .factory('FileServer', function ($cordovaFile,$cordovaFileTransfer,$timeout) {
        return  {
            /**
             * 本地写入文件
             * @param fileName
             * @param content
             */
            writeFile: function (fileName,content) {
                var log_path = window.devicePath + "HealthPatient/log/";
                //alert(fileName,+"--"+content+"--");
                $cordovaFile.checkFile(log_path,fileName)
                    .then(function (success) {
                        $cordovaFile.writeExistingFile(log_path,fileName, content)
                            .then(function (success) {
                                // success
                            }, function (error) {
                                // error
                            });
                       // alert(JSON.stringify(success));
                    }, function (error) {
                        // error
//                        alert(JSON.stringify(error));
                        $cordovaFile.createFile(log_path, fileName, true)
                            .then(function (success) {
                                // success
                                    $cordovaFile.writeExistingFile(log_path,fileName, content)
                                        .then(function (success) {
                                            // success
                                        }, function (error) {
                                            // error
                                        });

                            }, function (error) {
                                // error
                            });

                    });

            },
            /**
             * 图片存入本地
             * @param url
             * @returns {string}
             */
            saveHeadImg:function(url,phone){
                /*var url = "http://cdn.wall-pix.net/albums/art-space/00030109.jpg";*/
//                alert(window.devicePath);
                var targetPath = window.devicePath + "HealthPatient/pic/"+phone+".jpg";
                var trustHosts = true;
                var options = {};
                $cordovaFileTransfer.download(url, targetPath, options, trustHosts)
                    .then(function(result) {
                        // Success!
                        //alert(JSON.stringify(result));
                    }, function(err) {
                        //alert(JSON.stringify(err));
                        // Error
                    }, function (progress) {
                        /*$timeout(function () {
                            $scope.downloadProgress = (progress.loaded / progress.total) * 100;
                        });*/
                    });
                return targetPath;
                  },
            /**
             * 从本地复制图片到另一个目录
             * @param url
             * @returns {*}
             */
            copyImg:function(path,name){
                var targetPath=window.devicePath + "HealthPatient/pic/";
                /*var name='modified.jpg';*/
                var targetName='headImg.jpg';
                var flag=false;
                $cordovaFile.copyFile(path,name,targetPath,targetName)
                    .then(function (success) {
                        // success
                        alert(JSON.stringify(success));
                        alert("复制成功！");
                        flag=true;
                    }, function (error) {
                        // error
                        alert(JSON.stringify(error));
                        alert("复制失败！");
                        flag=false;
                    });
                return flag;
            }

        }//return


    });
