/**
 * Created by john on 2016-8-15.
 */
angular.module('WristStrap', [])

    .factory('strapService', function ($http, $q, $rootScope) {
        // Might use a resource here that returns a JSON array
        return {

        };

    })


    .controller('strapCtrl', function ($scope, $ionicNativeTransitions, $stateParams, buletoothService, $state, $cacheFactory) {
        //特殊页面回退参数
        var cache = $cacheFactory.get($state.current.name);
        if (!cache) {
            cache = $cacheFactory($state.current.name);
        }
        cache.put('special_back', true);
        cache.put('stateParams', $stateParams);
        var address = "";
        buletoothService.PlaceSearchHistory.findByType(4).then(function (data) {
            if (data) {
                address = data.placeAddress;
            }
        }, function (e) {

        });
        $scope.form = {
            isEat: false,
            isCheck: false,
            isCall: false,
            isQQ: false,
            isWeixin: false,
            isSms: false,
            isMore: false,
            isLost: false,
            isStand: false
        };
        //跳转到我的手环
        $scope.goMyWrist = function () {
            $ionicNativeTransitions.stateGo('z_myWrist', {backUrl: 'z_wristStrap', address: address}, {
                "type": "slide",
                "direction": "left",
                "duration": 400
            });
        };
        $scope.goBack = function () {
            $ionicNativeTransitions.stateGo('g_my_equipment', {backUrl: 'tab.mine'}, {
                "type": "slide",
                "direction": "right",
                "duration": 400
            });
        };
        var c_name = $state.current.name;
        $scope.$on(c_name + '_HARDWARE_BACK', function () {
            $scope.goBack();
        });
        //查找手环
        $scope.searchWrist = function () {
            var lookStr = "ab000005000000000100080000";
            sendCommand(lookStr, address, '0001', '0002');
        };
        //设置各种提醒
        var mindArray = ['isEat', 'isCheck', 'isCall', 'isQQ', 'isWeixin', 'isSms', 'isMore', 'isLost', 'isStand'];
        $scope.setRemind = function (index) {
            bluetoothle.isConnected(function (data) {
                if (data.isConnected) {
                    if (localStorage.getItem(mindArray[index]) == 1) {
                        localStorage.setItem(mindArray[index], 0);
                        if (index == 7) {
                            //智能防丢关闭
                            var lostStr = "ab00000600000000010009000900";
                            sendCommand(lostStr, address, '0001', '0002');
                        } else if (index == 8) {
                            sendLostCommand('off', address);
                        }
                    } else {
                        localStorage.setItem(mindArray[index], 1);
                        if (index == 7) {
                            //智能防丢开启
                            var lostStr = "ab00000600000000010009000901";
                            sendCommand(lostStr, address, '0001', '0002');
                        } else if (index == 8) {
                            sendLostCommand('on', address);
                        }
                    }
                    $scope.findRemind();
                }
            }, function () {
                ErrorShow("手环未连接");
                $scope.findRemind();
            }, {
                "address": address
            });
        };
        //查询各个提醒的标识位
        $scope.findRemind = function () {
            for (var i = 0; i < mindArray.length; i++) {
                switch (mindArray[i]) {
                    case "isCall":
                        $scope.form.isCall = localStorage.getItem("isCall") == 1 ? true : false;
                        $("#zz_" + mindArray[i]).attr("checked", $scope.form.isCall);
                        break;
                    case "isQQ":
                        $scope.form.isQQ = localStorage.getItem("isQQ") == 1 ? true : false;
                        $("#zz_" + mindArray[i]).attr("checked", $scope.form.isQQ);
                        break;
                    case "isWeixin":
                        $scope.form.isWeixin = localStorage.getItem("isWeixin") == 1 ? true : false;
                        $("#zz_" + mindArray[i]).attr("checked", $scope.form.isWeixin);
                        break;
                    case "isSms":
                        $scope.form.isSms = localStorage.getItem("isSms") == 1 ? true : false;
                        $("#zz_" + mindArray[i]).attr("checked", $scope.form.isSms);
                        break;
                    case "isMore":
                        $scope.form.isMore = localStorage.getItem("isMore") == 1 ? true : false;
                        $("#zz_" + mindArray[i]).attr("checked", $scope.form.isMore);
                        break;
                    case "isLost":
                        $scope.form.isLost = localStorage.getItem("isLost") == 1 ? true : false;
                        $("#zz_" + mindArray[i]).attr("checked", $scope.form.isLost);
                        break;
                    case "isStand":
                        $scope.form.isStand = localStorage.getItem("isStand") == 1 ? true : false;
                        $("#zz_" + mindArray[i]).attr("checked", $scope.form.isStand);
                        break;
                    case "isEat":
                        $scope.form.isEat = localStorage.getItem("isEat") == 1 ? true : false;
                        $("#zz_" + mindArray[i]).attr("checked", $scope.form.isEat);
                        break;
                    case "isCheck":
                        $scope.form.isCheck = localStorage.getItem("isCheck") == 1 ? true : false;
                        $("#zz_" + mindArray[i]).attr("checked", $scope.form.isCheck);
                        break;
                }
            }
            $scope.$apply();
        };
        $scope.findRemind();
        $scope.health = function () {
            setWristTime(address);
        }
    })
    .controller('myStrapCtrl', function ($scope, $ionicNativeTransitions, buletoothService, $stateParams, $timeout, $state, $cacheFactory, DeviceData, $rootScope) {
        var address = $stateParams.address;
        $rootScope.flag = {
            isBindFlag: true,       //是否绑定标志位
            manage: true           //手环管理标志位
        };
        bluetoothle.isInitialized(function (data) {
            if (data.isInitialized) {//如果蓝牙已经初始化
                //判断蓝牙是否启用
                bluetoothle.isEnabled(function (data) {
                    if (data.isEnabled) {
                        bluetoothle.isConnected(function (data) {
                            if (data.isConnected) {
                                $scope.flag.manage = false;
                                $scope.$apply();
                            }
                        }, function () {
                            $("#zz_connect").show();
                            $rootScope.connectBlue(address);
                            $timeout(function () {
                                if ($scope.flag.manage) {
                                    $scope.flag.manage = true;
                                    $scope.$apply();
                                    //$("#zz_connect").hide();
                                    // ErrorShow("请将手环靠近手机再尝试");
                                }
                            }, 30000);
                        }, {
                            "address": address
                        });
                    }
                });
            }
        });
        $scope.goBack = function () {
            if ($rootScope.flag.isBindFlag) {
                $ionicNativeTransitions.stateGo('z_wristStrap', {backUrl: 'g_my_equipment'}, {
                    "type": "slide",
                    "direction": "right", // 'left|right|up|down', default 'left' (which is like 'next')
                    "duration": 400 // in milliseconds (ms), default 400
                });
            } else {
                $ionicNativeTransitions.stateGo('g_my_equipment', {backUrl: 'tab.mine'}, {
                    "type": "slide",
                    "direction": "right", // 'left|right|up|down', default 'left' (which is like 'next')
                    "duration": 400 // in milliseconds (ms), default 400
                });
            }
        };
        var mindArray = ['isEat', 'isCheck', 'isCall', 'isQQ', 'isWeixin', 'isSms', 'isMore', 'isLost', 'isStand'];
        //解除手环绑定功能
        $scope.removeMyStrap = function () {
            //点击删除 跳转到 解绑 友好提示页面
            $ionicNativeTransitions.stateGo('g_ts2',{
                backUrl:'z_wristStrap'
            },{
                "type": "slide",
                "direction": "left",
                "duration": 400
            });
            $rootScope.isReConnect = false;
            buletoothService.PlaceSearchHistory.deleteByType(4);
            $scope.flag.isBindFlag = false;
            for (var i = 0; i < mindArray.length; i++) {
                localStorage.removeItem(mindArray[i]);
            }
            //解除绑定并断开连接
            cutConnectBlue(address);
            $scope.flag.manage = null;
            $scope.$emit("cancelPair", {type: 5});
//            $timeout(function () {
//                $ionicNativeTransitions.stateGo('g_my_equipment', {backUrl: 'tab.mine'}, {
//                    "type": "slide",
//                    "direction": "right", // 'left|right|up|down', default 'left' (which is like 'next')
//                    "duration": 400 // in milliseconds (ms), default 400
//                });
//            }, 1000)
        };
        $scope.$on('bindSuccess', function (evt, data) {
            $("#zz_connect").hide();
            $scope.flag.manage = false;
            $scope.$apply();

        });

        //连接手环
        $scope.blueconn = function () {
            $rootScope.isReConnect = true;
            $rootScope.showFail = true;
            $rootScope.connectBlue(address);
        };
        //断开手环连接
        $scope.bluecut = function () {
            $rootScope.isReConnect = false;
            cutConnectBlue(address);
            $scope.flag.manage = true;
        };
    });