cordova.define("com.sinoicity.easemob.EasemobPlugin", function(require, exports, module) {
var argscheck = require('cordova/argscheck');

var EasemobPlugin = function() {};

/*EasemobPlugin.prototype.init = function(retCallback) {
    cordova.exec(function(ret){retCallback(ret)}, function(err){retCallback(null, err)}, "EasemobPlugin","init", ["init"]);
};*/

EasemobPlugin.prototype.login = function(options, retCallback) {
    var getValue = argscheck.getValue;
    options = options || {};
	var loginuser = getValue(options.loginuser, null);
    var loginpwd = getValue(options.loginpwd, null);
    cordova.exec(function(ret){retCallback(ret)}, function(err){retCallback(null, err)}, "EasemobPlugin","login", [loginuser,loginpwd]);
};

EasemobPlugin.prototype.videoCall = function(options, retCallback) {
    var getValue = argscheck.getValue;
    options = options || {};
    var touserId= getValue(options.touserId, null);
	var touserName = getValue(options.touserName, null);
    cordova.exec(function(ret){retCallback(ret)}, function(err){retCallback(null, err)}, "EasemobPlugin","videoCall", [touserId,touserName]);
};

EasemobPlugin.prototype.logout = function(options, retCallback) {
    var getValue = argscheck.getValue;
    options = options || {};
    cordova.exec(function(ret){retCallback(ret)}, function(err){retCallback(null, err)}, "EasemobPlugin","logout",[]);
};

module.exports = new EasemobPlugin();

});
